/*
** NTUnixSubs.h - Missing Unix functions
**
*/

#include <winsock.h>	/* this is where you find the definition of timeval */

struct timezone {
	int	tz_minuteswest;	/* minutes west of Greenwich */
	int	tz_dsttime;	/* type of dst correction (not available easily in NT) */
};

int strcasecmp (char *s1,char *s2);
int strncasecmp (char *s1,char *s2, int len);

int getopt (int argc, char **argv, char *optstring);

#ifndef gettimeofday
#define gettimeofday(t,z)   NTgettimeofday(t,z)
#endif gettimeofday
int NTgettimeofday (struct timeval *tv, struct timezone *tz);

int inet_netof (struct in_addr in);

/* shared memory IPC simulator */
#define SHM_RDONLY 0x10000

#define IPC_CREAT   0
#define IPC_RMID    0

int shmget (int shm_key, int shm_len, int shmFlag);
void *shmat (int shmId, void *loc, int shmFlag);
int shmdt (void *shm_addr);
int shmctl (int shm_key, int flags, void *shm_buf);

/* tis4000 semaphore mechanisms */
int sem_create (int key, int initval);
int sem_open (int key);
int sem_rm (int id);
int sem_close (int id);
int sem_signal (int id);
int sem_wait (int id);

