/*agentErrs.h,v 1.1.1.1 1999/08/03 14:41:18 tis4000 Exp */

/****************************************************************/
/*								*/
/*	This software is the proprietary property of Tate	*/
/*	Integrated Systems, L.P.  Patents and copyrights are	*/
/*	pending.						*/
/*								*/
/*	This software is furnished under a license and may	*/
/*	be used and copied only in accordance with the terms	*/
/*	of such license and with the inclusion of the above	*/
/*	notice. This software or any other copies thereof	*/
/*	may not be provided or otherwise made available to	*/
/*	any other person. No title to and ownership of the	*/
/*	software is hereby transferred.				*/
/*								*/
/*	The information in this software is subject to		*/
/*	change without notice and should not be construed 	*/
/*	as a commitment by Tate Integrated Systems L.P. or	*/
/*	its third party suppliers.				*/
/*								*/
/*	Tate Integrated Systems, L.P. (TIS) and its third	*/
/*	party suppliers assume no responsibility for the	*/
/*	use or inability to use any of its software. TIS	*/
/*	software is provided "as is" without warranty of	*/
/*	any kind and TIS expressly disclaims all implied	*/
/*	warranties, including but not limited to the implied	*/
/*	warranties of merchantability and fitness for a		*/
/*	particular purpose.					*/
/*								*/
/*	Notice: Notwithstanding any other lease or license	*/
/*	that may pertain to or accompany the delivery of this	*/
/*	computer software, the rights of the Government		*/
/*	regarding its use, reproduction, and disclosure are	*/
/*	as set forth in Section 52.227-19 of the FARS		*/
/*	Computer Software-Restricted Rights clause.		*/
/*								*/
/****************************************************************/


/****************************************************************/
/*								*/
/*		ERROR CODES FOR CHANNEL ACCESS			*/
/*								*/
/*	The following error codes are the ones that a user	*/
/*	application will see. The values of these codes are	*/
/*	the same as those generated by previous implementa-	*/
/*	tions of Channel Access to minimize the impact on	*/
/*	the user community. I don't have any clothes that	*/
/*	go well with tar and feathers. I have a very "East	*/
/*	Coast" group of users.					*/
/*								*/
/*	Author: Gordon Uchenick					*/
/*								*/
/****************************************************************/

#ifndef INCLagentErrs
#define INCLagentErrs

#define	AGNT_ADDFAIL	168	/* Local database event add failed    */
#define AGNT_ALLOCMEM	 48	/* Can't allocate dynamic memory      */
#define AGNT_BADCHID	106	/* Bad CHID address or corrupted CHID */
#define AGNT_BADCOUNT	176	/* Count exceeds native count         */
#define AGNT_BADTYPE	114	/* Illegal data type		      */
#define AGNT_EVDISALLOW	210	/* Can't do this in an event handler  */
#define AGNT_GETFAIL	152	/* Local database get has failed      */
#define AGNT_NORMAL	  1	/* Normal successful completion       */
#define AGNT_PUTFAIL	160	/* Local database put has failed      */
#define AGNT_STRTOBIG	 96	/* Request is too large for a buffer  */
#define AGNT_TIMEOUT	 80	/* The operation has timed out	      */
#define AGNT_DISCONN	195	/* Network Connection lost	      */
#define AGNT_NOCACTX	264	/* Attempt to import from a task without a CA context failed */
#endif INCLagentErrs
