#ifndef ldfwH
#define	ldfwH

/* define prototypes for the lead/follow (ldfw) recSup routines */

int	ldfwCheckInit (struct link *pumpList, short *pumpStatus);

int	ldfwPumpAvailable (struct pumpRecord *pumpRec);

void	ldfwPumpsRunning (struct link *pumpList, short *lowerLimit,
			  short *upperLimit, short *pumpStatus,
			  unsigned long *pumpTimes, short *runningPumps,
			  short *stoppingPumps, short reservePumps,
			  unsigned long *lastChange, unsigned long *lastCommand);

int	ldfwStartPump(unsigned long *lastChange, float	secsBetweenStarts,
		      struct link *pumpList, short *pumpStatus,
		      unsigned long *pumpTimes, float offTimeSetpoint,
		      short selMode, short *lastDesigStart,
		      short *desigSeq, unsigned long *lastCommand);

int	ldfwStopPump(unsigned long *lastChange, float secsBetweenStops,
		     struct link *pumpList, short *pumpStatus,
		     unsigned long *pumpTimes, short selMode,
		     short *manSeq, unsigned long *lastCommand);

#endif	ldfwH
