
/* sigcharRecord.h */
#ifndef INCsigcharRecordh
#define INCsigcharRecordh
#ifndef	INCLlstLibh
#include <lstLib.h>	/* list structure definition for the monitor list */
#endif
#ifndef	INCLsemLibh
#include <semLib.h>	/* semaphore structure definition for the monitor lock*/
#endif
#ifndef INCLfast_lockh
#include <fast_lock.h>	/* fast lock data structures and macros */
#endif
#ifndef INCLlinkh
#include <link.h>	/* fast lock data structures and macros */
#endif
#ifndef INC_tsDefs_h
#include <tsDefs.h>	/* time-stamp related definitions */
#endif
struct sigcharRecord	{
	char		name[28];		/*  */
	char		desc[41];		/*  */
	char alignPad1;		/*  */
	unsigned short	scan;		/*  */
	short		phas;		/*  */
	short		evnt;		/*  */
	unsigned short	dtyp;		/*  */
	unsigned short	tenb;		/*  */
	struct dset	*dset;		/*  */
	LIST		mlis;		/*  */
	FAST_LOCK	mlok;		/*  */
	struct link	sdis;		/*  */
	struct link	adis;		/*  */
	short		disv;		/*  */
	short		disa;		/*  */
	unsigned char	pact;		/*  */
	unsigned char	udf;		/*  */
	short		lset;		/*  */
	short		lcnt;		/*  */
	short		proc;		/*  */
	short		init;		/*  */
	unsigned short	stat;		/*  */
	unsigned short	sevr;		/*  */
	unsigned short	nsta;		/*  */
	unsigned short	nsev;		/*  */
	short		tagd;		/*  */
	TS_STAMP	latm;		/*  */
	TS_STAMP      lptm;		/*  */
	unsigned short	ack;		/*  */
	unsigned short	oscn;		/*  */
	unsigned short	aenb;		/*  */
	char		resn[16];		/*  */
	char		algp[16];		/*  */
	short		rdur;		/*  */
	void          *radr;		/*  */
	short		rduf;		/*  */
	short		rcrc;		/*  */
	struct scanLock *lsad;		/*  */
	struct dbCommon *lsnr;		/*  */
	short		ini2;		/*  */
	unsigned short	msev;		/*  */
	unsigned short	psta;		/*  */
	unsigned short	psev;		/*  */
	short		hhll;		/*  */
	short		hilo;		/*  */
	short		aldl;		/*  */
	short		rtct;		/*  */
	unsigned long	larf;		/*  */
	short		dvct;		/*  */
	unsigned short	itag;		/*  */
	long		tstp;		/*  */
	short		ralm;		/*  */
	char alignPad3[2];		/*  */
	/* start of sigchar specific fields */ 
	double		val;		/*  */
	struct link	inp;		/*  */
	struct link	flnk;		/*  */
	float		x1;		/*  */
	float		x2;		/*  */
	float		x3;		/*  */
	float		x4;		/*  */
	float		x5;		/*  */
	float		x6;		/*  */
	float		x7;		/*  */
	float		x8;		/*  */
	float		x9;		/*  */
	float		x10;		/*  */
	float		x11;		/*  */
	float		x12;		/*  */
	float		x13;		/*  */
	float		x14;		/*  */
	float		x15;		/*  */
	float		x16;		/*  */
	float		x17;		/*  */
	float		x18;		/*  */
	float		x19;		/*  */
	float		x20;		/*  */
	float		x21;		/*  */
	float		x22;		/*  */
	float		x23;		/*  */
	float		x24;		/*  */
	float		x25;		/*  */
	float		x26;		/*  */
	float		x27;		/*  */
	float		x28;		/*  */
	float		x29;		/*  */
	float		x30;		/*  */
	float		x31;		/*  */
	float		x32;		/*  */
	float		y1;		/*  */
	float		y2;		/*  */
	float		y3;		/*  */
	float		y4;		/*  */
	float		y5;		/*  */
	float		y6;		/*  */
	float		y7;		/*  */
	float		y8;		/*  */
	float		y9;		/*  */
	float		y10;		/*  */
	float		y11;		/*  */
	float		y12;		/*  */
	float		y13;		/*  */
	float		y14;		/*  */
	float		y15;		/*  */
	float		y16;		/*  */
	float		y17;		/*  */
	float		y18;		/*  */
	float		y19;		/*  */
	float		y20;		/*  */
	float		y21;		/*  */
	float		y22;		/*  */
	float		y23;		/*  */
	float		y24;		/*  */
	float		y25;		/*  */
	float		y26;		/*  */
	float		y27;		/*  */
	float		y28;		/*  */
	float		y29;		/*  */
	float		y30;		/*  */
	float		y31;		/*  */
	float		y32;		/*  */
	float		xlow;		/*  */
	float		xhgh;		/*  */
	float		hihi;		/*  */
	float		high;		/*  */
	float		low;		/*  */
	float		lolo;		/*  */
	float		roc;		/*  */
	float		hopr;		/*  */
	double		hyst;		/*  */
	double		adel;		/*  */
	double		mdel;		/*  */
	double		lalm;		/*  */
	double		alst;		/*  */
	double		mlst;		/*  */
	double		cinp;		/*  */
	double		pinp;		/*  */
	float		lopr;		/*  */
	short		prec;		/*  */
	unsigned short	mode;		/*  */
	char		egu[16];		/*  */
	void           *rocb;		/*  */
	short		rocn;		/*  */
	short		rocc;		/*  */
	short		roci;		/*  */
	short		numx;		/*  */
	unsigned short	usef;		/*  */
	unsigned short	flsv;		/*  */
	unsigned short	fhsv;		/*  */
	unsigned short	hhsv;		/*  */
	unsigned short	hsv;		/*  */
	unsigned short	lsv;		/*  */
	unsigned short	llsv;		/*  */
	unsigned short	rcsv;		/*  */
	short		frps;		/*  */
	short		fpps;		/*  */
	float		devs;		/*  */
	float		devl;		/*  */
	unsigned short	dvsv;		/*  */
	short		sbhl;		/*  */
};
#endif

