/*drvEnraf_proto.h,v 1.1.1.1 1999/08/03 14:42:56 tis4000 Exp */

/****************************************************************/
/*								*/
/*	This software is the proprietary property of Tate	*/
/*	Integrated Systems, L.P.  Patents and copyrights are	*/
/*	pending.						*/
/*								*/
/*	This software is furnished under a license and may	*/
/*	be used and copied only in accordance with the terms	*/
/*	of such license and with the inclusion of the above	*/
/*	notice. This software or any other copies thereof	*/
/*	may not be provided or otherwise made available to	*/
/*	any other person. No title to and ownership of the	*/
/*	software is hereby transferred.				*/
/*								*/
/*	The information in this software is subject to		*/
/*	change without notice and should not be construed 	*/
/*	as a commitment by Tate Integrated Systems L.P. or	*/
/*	its third party suppliers.				*/
/*								*/
/*	Tate Integrated Systems, L.P. (TIS) and its third	*/
/*	party suppliers assume no responsibility for the	*/
/*	use or inability to use any of its software. TIS	*/
/*	software is provided "as is" without warranty of	*/
/*	any kind and TIS expressly disclaims all implied	*/
/*	warranties, including but not limited to the implied	*/
/*	warranties of merchantability and fitness for a		*/
/*	particular purpose.					*/
/*								*/
/*	Notice: Notwithstanding any other lease or license	*/
/*	that may pertain to or accompany the delivery of this	*/
/*	computer software, the rights of the Government		*/
/*	regarding its use, reproduction, and disclosure are	*/
/*	as set forth in Section 52.227-19 of the FARS		*/
/*	Computer Software-Restricted Rights clause.		*/
/*								*/
/****************************************************************/

/****************************************************************/
/*								*/
/*	This software is the proprietary property of Tate	*/
/*	Integrated Systems, L.P.  Patents and copyrights are	*/
/*	pending.						*/
/*								*/
/*	This software is furnished under a license and may	*/
/*	be used and copied only in accordance with the terms	*/
/*	of such license and with the inclusion of the above	*/
/*	notice. This software or any other copies thereof	*/
/*	may not be provided or otherwise made available to	*/
/*	any other person. No title to and ownership of the	*/
/*	software is hereby transferred.				*/
/*								*/
/*	The information in this software is subject to		*/
/*	change without notice and should not be construed 	*/
/*	as a commitment by Tate Integrated Systems L.P. or	*/
/*	its third party suppliers.				*/
/*								*/
/*	Tate Integrated Systems, L.P. (TIS) and its third	*/
/*	party suppliers assume no responsibility for the	*/
/*	use or inability to use any of its software. TIS	*/
/*	software is provided "as is" without warranty of	*/
/*	any kind and TIS expressly disclaims all implied	*/
/*	warranties, including but not limited to the implied	*/
/*	warranties of merchantability and fitness for a		*/
/*	particular purpose.					*/
/*								*/
/*	Notice: Notwithstanding any other lease or license	*/
/*	that may pertain to or accompany the delivery of this	*/
/*	computer software, the rights of the Government		*/
/*	regarding its use, reproduction, and disclosure are	*/
/*	as set forth in Section 52.227-19 of the FARS		*/
/*	Computer Software-Restricted Rights clause.		*/
/*								*/
/****************************************************************/


/* Name: smod_proto.h */


static	long init ();

	void TRACEON (unsigned short line);

	void TRACEOFF (unsigned short line);

	void RTRACEON (unsigned short line);

	void RTRACEOFf (unsigned short line);

	void TRACELEVEL (unsigned short line, unsigned short level);

	int STOPDRIVER (short ln);

	int STARTDRIVER1 (unsigned short ln, char *mode,unsigned short delay);

	int STARTDRIVER2 (unsigned short ln, char *mode,unsigned short delay);

	void SETDELAYS (unsigned short line,
			unsigned short tickcount1,
			unsigned short tickcount2,
			unsigned short tickcount3);

	void MAIN (unsigned short line, unsigned char *mode, unsigned short delay);

static 	void on_line (unsigned short line,unsigned short mod);

static 	void mark_not_valid (MODPLC  *pmod);

static	void scan_plc (MODPLC *pmod, unsigned short line,unsigned short mod);

static	void checkoutputs (unsigned short line);

	int AIDRIVER (char *pointname, unsigned short link, unsigned short adapter,
	    unsigned short card, unsigned short signal, short *pvalue,
	    unsigned short conversion, unsigned char *resname);

	int AODRIVER (char *pointname, unsigned short link, unsigned short adapter,
	    unsigned short card, unsigned short signal,double dvalue, unsigned short value,
	    unsigned short conversion, unsigned char *resname);

	int AOREAD (char *pointname, unsigned short link, unsigned short adapter,
	    unsigned short card, unsigned short signal, unsigned short *pvalue,
	    unsigned short conv, unsigned char *resname);

	int BIDRIVER (char *pointname, unsigned short link, unsigned short adapter,
	    unsigned short card, unsigned short signal, unsigned long mask,
	    unsigned long *pvalue, unsigned char *resname);

	int BODRIVER (char *pointname, unsigned short link, unsigned short adapter,
	    unsigned short card, unsigned short signal, unsigned long value,
	    unsigned long mask, unsigned char *resname);

	int BOREAD (char *pointname, unsigned short link, unsigned short adapter,
	    unsigned short card, unsigned short signal, unsigned long *pvalue,
	    unsigned long mask, unsigned char *resname);

static 	void register_resource (unsigned short link,MODPLC *pmod,unsigned char *resname);

static	void outqueinit (unsigned short line);

static	OUTQENT *ogetemptyp (unsigned short line);

static	void omarkfull (unsigned short line);

static	OUTQENT *ogetnextp (unsigned short line);

static	void oreleasefull (unsigned short line);

static	void link_status (unsigned short line);

static 	int allocate_plc (unsigned short line, unsigned short plc);

static	void start_rx (unsigned short line,SEMAPHORE *semid,unsigned short *pstatus);

static	void stop_rx (unsigned short line );

static	void rx_int_proc (unsigned short line );

static	int check_line_activity (unsigned short line, unsigned short predelay);

static	void start_tx (unsigned short line,SEMAPHORE *semid,unsigned short *pstatus);

static	void stop_tx (unsigned short line );

static	void tx_int_proc (unsigned short line );

static	unsigned short msgxfer (unsigned short fline,unsigned short resplen,
        MODPLC *pmod, unsigned short rxlength);

static	void init_plc_tab (unsigned short line, unsigned short mod);

static 	void initplc (MODPLC  *pmod);

static	void initstats (MODPLC *pmod);

static	unsigned short modloopback (unsigned short line, unsigned short mod, MODPLC *pmod);

static	void prepresponses (unsigned short line);

static	int any_responding (unsigned short line);

static	unsigned short readcoils (unsigned short line, unsigned short mod,
                       MODPLC *pmod, unsigned short bitaddr, unsigned short readlen);

static	unsigned short readdis (unsigned short line, unsigned short mod,
	               MODPLC *pmod, unsigned short bitaddr, unsigned short readlen);

static	unsigned short readais (unsigned short line, unsigned short mod,
	               MODPLC *pmod, unsigned short regaddr, unsigned short reglen);

static	unsigned short readregs (unsigned short line, unsigned short mod,
                       MODPLC *pmod, unsigned short regaddr, unsigned short reglen);

static	unsigned short setcoil (unsigned short line, unsigned short mod,
		       MODPLC *pmod, unsigned short bitaddr, unsigned long mask,
		       unsigned long val);

static	unsigned short setreg (unsigned short line, unsigned short mod,
		       MODPLC *pmod, unsigned short regaddr, unsigned short val,
		       double dblval, unsigned short conv);

static 	int loadinit (unsigned short line,MODPLC *pmod,unsigned short mod);

static 	int loadnextblock (unsigned short line);

static 	int loadlogic (LOADINFO *plinfo);

static 	int loadmemory (LOADINFO *plinfo, unsigned short type);

static 	terminateload (LOADINFO *plinfo,unsigned short line, unsigned short success,
        unsigned short code);

static 	int plc_logout (LOADINFO *plinfo);

static 	int plc_login (LOADINFO *plinfo);

static 	int plc_start (LOADINFO *plinfo);

static 	int plc_stop (LOADINFO *plinfo);

static 	int pollfordone (LOADINFO *plinfo, int subfunction, unsigned short geterrcode);

static 	int plc_init (LOADINFO *plinfo);

static 	int plc_getdim (LOADINFO *plinfo);

static 	int plc_setdim (LOADINFO *plinfo);

static 	int setrunmode (LOADINFO *plinfo, short value);

static 	int getrunmode (LOADINFO *plinfo, short *pvalue);

static 	int get_plc_state (LOADINFO *plinfo, short *pvalue);

static 	int readmem (LOADINFO *plinfo, unsigned short page, unsigned short address,
	    unsigned short datalen, char *databuf);

static  int writemem (LOADINFO *plinfo, unsigned short page, unsigned short address,
	    unsigned short datalen, char *databuf);

static 	int writelogic (LOADINFO *plinfo, unsigned short page, unsigned short address,
	    unsigned short datalen, char *databuf);

static 	int writeascii (LOADINFO *plinfo, unsigned short page, unsigned short address,
	    unsigned short datalen, char *databuf);

static	void makecrc (unsigned char *chkbuf, int len,char unsigned *retbuf);

static	void hexascii (unsigned short val,char *buf);

static	short asciihex (unsigned short *val,char *buf);

	void TABLEINFO (unsigned short line, unsigned short maddr);

static 	void printcoilhdr (unsigned char *buffer, unsigned short cnt);

static 	void printdihdr (unsigned char *buffer, unsigned short cnt);

static	void printaihdr (unsigned char *buffer, unsigned short cnt);

static 	void printreghdr (unsigned char *buffer, unsigned short cnt);

	LINEINFO ();

