/*drvNwmod_proto.h,v 1.1.1.1 1999/08/03 14:43:32 tis4000 Exp */

/****************************************************************/
/*								*/
/*	This software is the proprietary property of Tate	*/
/*	Integrated Systems, L.P.  Patents and copyrights are	*/
/*	pending.						*/
/*								*/
/*	This software is furnished under a license and may	*/
/*	be used and copied only in accordance with the terms	*/
/*	of such license and with the inclusion of the above	*/
/*	notice. This software or any other copies thereof	*/
/*	may not be provided or otherwise made available to	*/
/*	any other person. No title to and ownership of the	*/
/*	software is hereby transferred.				*/
/*								*/
/*	The information in this software is subject to		*/
/*	change without notice and should not be construed 	*/
/*	as a commitment by Tate Integrated Systems L.P. or	*/
/*	its third party suppliers.				*/
/*								*/
/*	Tate Integrated Systems, L.P. (TIS) and its third	*/
/*	party suppliers assume no responsibility for the	*/
/*	use or inability to use any of its software. TIS	*/
/*	software is provided "as is" without warranty of	*/
/*	any kind and TIS expressly disclaims all implied	*/
/*	warranties, including but not limited to the implied	*/
/*	warranties of merchantability and fitness for a		*/
/*	particular purpose.					*/
/*								*/
/*	Notice: Notwithstanding any other lease or license	*/
/*	that may pertain to or accompany the delivery of this	*/
/*	computer software, the rights of the Government		*/
/*	regarding its use, reproduction, and disclosure are	*/
/*	as set forth in Section 52.227-19 of the FARS		*/
/*	Computer Software-Restricted Rights clause.		*/
/*								*/
/****************************************************************/

/* Name: drvNwmod_proto.h */

static	long init ();

        int  assignLockGroup (int group, char *resource);

static	void master_updateredimage (unsigned short line, unsigned short section);

static	void master_updateredidimage (unsigned short line);

static	void slave_updateredimage0 (unsigned short line, NWMODREDUPD *redbuf, int size);

static	void slave_updateredimage1 (unsigned short line, NWMODREDUPD *redbuf, int size);

static	void slave_updateredimage2 (unsigned short line, NWMODREDUPD *redbuf, int size);

static	void slave_updateredimage3 (unsigned short line, NWMODREDUPD *redbuf, int size);

static	void slave_updateredidimage (unsigned short line, NWMODREDIDUPD *redbuf, int size);

static	void slave_updateredimage (unsigned short line, NWMODREDUPD *redbuf, int size, unsigned short section);

        void htmaptableinit (unsigned short line);

        void HELP (unsigned short level);

	void TRACEON (unsigned short line);

	void TRACEOFF (unsigned short line);

	void TRAFFICON (unsigned short line);

	void TRAFFICOFF (unsigned short line);

	void RTRACE (unsigned short line, unsigned short level);

	void RTRACEON (unsigned short line);

	void RTRACEOFf (unsigned short line);

	void TRACELEVEL (unsigned short line, unsigned short level);

        void setmaxidsend (unsigned short line, unsigned short count);

        void dumpmaxidcount (unsigned short line);

        void SIMON (unsigned short line, unsigned short delay, int low, int high, int digenable);

        void SIMOFF (unsigned short line);

        void CONTRACEON (unsigned short line);

        void CONTRACEOFF (unsigned short line);

        void RUNTRACEON (unsigned short line);

        void RUNTRACEOFF (unsigned short line);

        void REJECTTRACEON (unsigned short line);

        void REJECTTRACEOFF (unsigned short line);

        void NACKTRACEON (unsigned short line);

        void NACKTRACEOFF (unsigned short line);

        void FILETRACEON (unsigned short line);

        void FILETRACEOFF (unsigned short line);

        void DEFAULTTRACE (unsigned short line);

        void ERRORTRACE (unsigned short line);

        void nwmodsnag(unsigned short line);

        void nwmodunsnag(unsigned short line);

	int  STOPDRIVER (short ln);

        int  STARTDRIVER (unsigned short line,
                          unsigned short port,
                          char *mode,
                          unsigned short delay,
                          unsigned short hdflag,
                          unsigned short delay1,
                          unsigned short delay2,
                          unsigned short private);

	void SETCOMM (unsigned short line,
                      unsigned short tickcount1,
                      unsigned short hdflag,
                      unsigned short tickcount2,
                      unsigned short tickcount3);

        int  ASSIGNGROUP (unsigned short line, unsigned short group);

        void nwmodgrouptable (void);

        void nwmodlocktable (void);

        void nwmodlockall (void);

        void nwmodsetlock (unsigned short group);

        void nwmodclrlock (unsigned short group);

        void nwmodgrouphelp (void);

        void SHOWINFO (unsigned short line);

	void MAIN (unsigned short line,
                   unsigned short port,
                   unsigned char *mode,
                   unsigned short delay,
                   unsigned short hdflag,
                   unsigned short delay1,
                   unsigned short delay2,
                   unsigned short private);

static  int checkgroup (unsigned short line, unsigned short *lstate, unsigned short tracenum);

static  void slave_on_line (unsigned short line, unsigned short mod);

static 	void on_line (unsigned short line,unsigned short mod);

static 	void mark_not_valid (MODPLC  *pmod);

static  void manage_coil_validity (MODPLC  *pmod);

static  int  checkiddownload (unsigned short line, unsigned short mod, MODPLC *pmod);

static	void scan_plc (MODPLC *pmod, unsigned short line,unsigned short mod);

        void htrendupdate (unsigned short line);

        void htrendmarkvalid (unsigned short line,  unsigned short mod, MODPLC *pmod);

static  int  htrendcheck (unsigned short line);

static	void sim_plc (MODPLC *pmod, unsigned short line, unsigned short mod);

static	void checkoutputs (unsigned short line);

	int  AIDRIVER (char *pointname, unsigned short link, unsigned short adapter,
	     unsigned  short card, unsigned short signal, short *pvalue,
	     unsigned  short conversion, unsigned char *resname);

	int  AODRIVER (char *pointname, unsigned short link, unsigned short adapter,
	     unsigned  short card, unsigned short signal,double dvalue, unsigned short value,
	     unsigned  short conversion, unsigned char *resname);

	int  AOREAD   (char *pointname, unsigned short link, unsigned short adapter,
	     unsigned  short card, unsigned short signal, unsigned short *pvalue,
	     unsigned  short conv, unsigned char *resname);

	int  BIDRIVER (char *pointname, unsigned short link, unsigned short adapter,
	     unsigned  short card, unsigned short signal, unsigned long mask,
	     unsigned  long *pvalue, unsigned char *resname);

	int  BODRIVER (char *pointname, unsigned short link, unsigned short adapter,
	     unsigned  short card, unsigned short signal, unsigned long value,
	     unsigned  long mask, unsigned char *resname);

	int  BOREAD   (char *pointname, unsigned short link, unsigned short adapter,
	     unsigned  short card, unsigned short signal, unsigned long *pvalue,
	     unsigned  long mask, unsigned char *resname);

        int  SIDRIVER (char *pointname, unsigned short link, unsigned short adapter,
             unsigned  short card, unsigned short signal, short *pvalue,
             unsigned  short len, unsigned char *resname);

        int  SODRIVER (char *pointname, unsigned short link, unsigned short adapter,
             unsigned  short card, unsigned short signal, unsigned char *value,
             unsigned  short len, unsigned char *resname);

static void  register_resource (unsigned short link, MODPLC *pmod,
                                unsigned char *resname, char *pointname);

static	void outqueinit (unsigned short line);

static	OUTQENT *ogetemptyp (unsigned short line);

static	void omarkfull (unsigned short line);

static	OUTQENT *ogetnextp (unsigned short line);

static	void oreleasefull (unsigned short line);

static	void link_status (unsigned short line);

static 	int  allocate_plc (unsigned short line, unsigned short plc);

static	void start_rx (unsigned short line,SEMAPHORE *semid,unsigned short *pstatus);

static	void stop_rx (unsigned short line );

static	void rx_int_proc (unsigned short line );

static	int  check_line_activity (unsigned short line, unsigned short predelay);

static	void start_tx (unsigned short line,SEMAPHORE *semid,unsigned short *pstatus);

static	void stop_tx (unsigned short line );

static	void tx_int_proc (unsigned short line );

static	unsigned short msgxfer (unsigned short fline,unsigned short resplen,
        MODPLC *pmod, unsigned short rxlength);

static	void init_plc_tab (unsigned short line, unsigned short mod);

static 	void initplc (MODPLC  *pmod);

static	void initstats (MODPLC *pmod);

static	unsigned short hiamodloopback (unsigned short line, unsigned short mod, MODPLC *pmod);

static	unsigned short modloopback (unsigned short line, unsigned short mod, MODPLC *pmod);

static	void prepresponses (unsigned short line);

static	int any_responding (unsigned short line);

static	unsigned short readcoils (unsigned short line, unsigned short mod,
                       MODPLC *pmod, unsigned short bitaddr, unsigned short readlen);

static	unsigned short readdis (unsigned short line, unsigned short mod,
	               MODPLC *pmod, unsigned short bitaddr, unsigned short readlen);

static	unsigned short readais (unsigned short line, unsigned short mod,
	               MODPLC *pmod, unsigned short regaddr, unsigned short reglen);

static	unsigned short readregs (unsigned short line, unsigned short mod,
                       MODPLC *pmod, unsigned short regaddr, unsigned short reglen);

static	unsigned short readhtregs (unsigned short line, unsigned short mod,
                       MODPLC *pmod, unsigned short regaddr,
                       unsigned short reglen);

static	unsigned short setcoil (unsigned short line, unsigned short mod,
		       MODPLC *pmod, unsigned short bitaddr, unsigned long mask,
		       unsigned long val);

static	unsigned short setreg (unsigned short line, unsigned short mod,
		       MODPLC *pmod, unsigned short regaddr, unsigned short val,
		       double dblval, unsigned short conv);

static	unsigned short setstring (unsigned short line, unsigned short mod,
			          MODPLC *pmod, unsigned short signal,
			          unsigned char *buf, unsigned short olen);

static 	int loadinit (unsigned short line,MODPLC *pmod,unsigned short mod);

static 	int loadnextblock (unsigned short line);

static 	int loadlogic (LOADINFO *plinfo);

static 	int loadmemory (LOADINFO *plinfo, unsigned short type);

static 	terminateload (LOADINFO *plinfo,unsigned short line, unsigned short success,
        unsigned short code);

static 	int plc_logout (LOADINFO *plinfo);

static 	int plc_login (LOADINFO *plinfo);

static 	int plc_start (LOADINFO *plinfo);

static 	int plc_stop (LOADINFO *plinfo);

static 	int pollfordone (LOADINFO *plinfo, int subfunction, unsigned short geterrcode);

static 	int plc_init (LOADINFO *plinfo);

static 	int plc_getdim (LOADINFO *plinfo);

static 	int plc_setdim (LOADINFO *plinfo);

static 	int setrunmode (LOADINFO *plinfo, short value);

static 	int getrunmode (LOADINFO *plinfo, short *pvalue);

static 	int get_plc_state (LOADINFO *plinfo, short *pvalue);

static 	int readmem (LOADINFO *plinfo, unsigned short page, unsigned short address,
	    unsigned short datalen, char *databuf);

static  int writemem (LOADINFO *plinfo, unsigned short page, unsigned short address,
	    unsigned short datalen, char *databuf);

static 	int writelogic (LOADINFO *plinfo, unsigned short page, unsigned short address,
	    unsigned short datalen, char *databuf);

static 	int writeascii (LOADINFO *plinfo, unsigned short page, unsigned short address,
	    unsigned short datalen, char *databuf);

static	int sendidtable (unsigned short line, unsigned short mod, MODPLC *pmod);

static	void makecrc (unsigned char *chkbuf, int len,char unsigned *retbuf);

static	void hexascii (unsigned short val,char *buf);

static  short asciihex (unsigned short *val,char *buf);

static  void terminateidload (LOADID *idinfo, unsigned short line, unsigned short success,
                                              unsigned short code, unsigned short entry_count);

static  void terminatehtload (LOADHT *htinfo, unsigned short line, unsigned short success,
                                              unsigned short code, unsigned short entry_count);

static  void eatspaces(char *ch, FILE *handle);

static  void eatline(char *ch, FILE *handle);

        void newidfile (unsigned short line);

        void setidpending (unsigned short line, unsigned short mod);

        void clearidpending (unsigned short line, unsigned short mod);

static  int  checkidfile (unsigned short line);
             
static  int  loadidfile (unsigned short line);

        void testidfile (unsigned short line);
       
        void dumpidtable (unsigned short line);

static  int  loadhtfile (unsigned short line);

        void testhtfile (unsigned short line);

        void dumphttable (unsigned short line);

static  void terminatemapload (LOADHTMAP *mapinfo, unsigned short line, unsigned short success,
                                             unsigned short code, unsigned short entry_count);

static  int  loadmapfile (unsigned short line);

static  int writemapfile (unsigned short line);

        void nwmod_mapmon (unsigned short line);

        void testmapfile (unsigned short line);

static  void terminatemapstore (LOADHTMAP *mapinfo, unsigned short line, unsigned short success,
                               unsigned short code, unsigned short entry_count);

static  int  storemapfile (unsigned short line);

        void nwmoddumpmap (unsigned short line, unsigned short mod);

        void DUMPMSGCNTS (unsigned short line);

        void CLEARMSGCNTS (unsigned short line);

        void DUMPPLCSTATS (unsigned short line, unsigned short maddr);

        void CLEARPLCSTATS (unsigned short line, unsigned short maddr);

	void TABLEINFO (unsigned short line, unsigned short maddr);

static 	void printcoilhdr (unsigned char *buffer, unsigned short cnt);

static 	void printdihdr (unsigned char *buffer, unsigned short cnt);

static	void printaihdr (unsigned char *buffer, unsigned short cnt);

static 	void printreghdr (unsigned char *buffer, unsigned short cnt);

	LINEINFO ();

/* gordon's code: 9/3/97 */
        int  assignLockGroup (int group, char *resource);

/* End of File:     drvNwmod_proto.h */


