#ifndef	alvuprogressdialogHXX
#define	alvuprogressdialogHXX

class alvuProgressCancelButton;

// *** ACKMANY DIALOG CLASS *********************************************

class alvuProgressDialog : public vdialog
{

public:
    // overrides for vkindTyped
    vkindTYPED_FULL_DECLARATION(alvuProgressDialog);

    // the default versions of necessary constructors/destructors
    vloadableINLINE_CONSTRUCTORS(alvuProgressDialog, vdialog);

    // vloadable override
    void LoadInit (vresource resource);

    // override
    void ObserveWindow (vevent *event);

    // override
    void Destroy ();

    void OpenProgress (int remaining);

    vtextitem		    *itemsText;
    alvuProgressCancelButton    *cancelButton;

    void FreeAckPtrs (void);
    void UpdateCount (int remaining);
};


// *** CANCEL BUTTON CLASS **********************************************

class alvuProgressCancelButton : public vbutton
{
    alvuProgressDialog	*progressDialog;

public:
    // overrides for vkindTyped
    vkindTYPED_FULL_DECLARATION(alvuProgressCancelButton);

    // the default versions of necessary constructors/destructors
    vloadableINLINE_CONSTRUCTORS(alvuProgressCancelButton, vbutton);

    // override
    void ObserveDialogItem (vevent *event);

    // class extensions
    void StoreProgressDialog (alvuProgressDialog *dlg)
	{ progressDialog = dlg; }
};

#endif	alvuprogressdialogHXX

