/****************************************************************/
/*								*/
/*	This software is the proprietary property of Tate	*/
/*	Integrated Systems, L.P.  Patents and copyrights are	*/
/*	pending.						*/
/*								*/
/*	This software is furnished under a license and may	*/
/*	be used and copied only in accordance with the terms	*/
/*	of such license and with the inclusion of the above	*/
/*	notice. This software or any other copies thereof	*/
/*	may not be provided or otherwise made available to	*/
/*	any other person. No title to and ownership of the	*/
/*	software is hereby transferred.				*/
/*								*/
/*	The information in this software is subject to		*/
/*	change without notice and should not be construed 	*/
/*	as a commitment by Tate Integrated Systems L.P. or	*/
/*	its third party suppliers.				*/
/*								*/
/*	Tate Integrated Systems, L.P. (TIS) and its third	*/
/*	party suppliers assume no responsibility for the	*/
/*	use or inability to use any of its software. TIS	*/
/*	software is provided "as is" without warranty of	*/
/*	any kind and TIS expressly disclaims all implied	*/
/*	warranties, including but not limited to the implied	*/
/*	warranties of merchantability and fitness for a		*/
/*	particular purpose.					*/
/*								*/
/*	Notice: Notwithstanding any other lease or license	*/
/*	that may pertain to or accompany the delivery of this	*/
/*	computer software, the rights of the Government		*/
/*	regarding its use, reproduction, and disclosure are	*/
/*	as set forth in Section 52.227-19 of the FARS		*/
/*	Computer Software-Restricted Rights clause.		*/
/*								*/
/****************************************************************/


#include <stdio.h>
#include <Xm/MainW.h>
#include <Xm/RowColumn.h>
#include <Xm/Frame.h>
#include <Xm/BulletinB.h>
#include <Xm/SelectioB.h>
#include <Xm/Text.h>
#include <Xm/Label.h>
#include <Xm/Separator.h>
#include <Xm/PushB.h>
#include <Xm/ToggleB.h>
#include <sys/time.h>
#include <stat.h>
#include "avmDefs.h"
/* #include "../newtrend/trendDefs.h" */
#include "../newtrend/oracleSnap.h"
#include "../newtrend/oracleSnapLib.h"
#include "../newtrend/archiveLib.h"
#include "catlib.h"
/* prototypes */
void avmCreateEdit(Widget);			/* create main dialog box */
void avmApply(Widget,XtPointer,XmSelectionBoxCallbackStruct *);	/* save data to current record */
void avmDismiss(Widget,XtPointer,XtPointer);   	/* ask to exit program...prompt if modified */
void avmHelp(Widget,XtPointer,XtPointer);   	/* ask to exit program...prompt if modified */
void avmDoDismiss(Widget,XtPointer,XtPointer);  /* exit program */
void avmDelete(Widget,XtPointer,XtPointer);     /* ask to delete current(selected) record */
void avmDoDelete(Widget,XtPointer,XtPointer);	/* actually delete record */
void avmSelect(Widget,XtPointer,XmSelectionBoxCallbackStruct *);     /* select record from list based on date range */
void avmCheckPath(Widget ,XtPointer ,XmTextVerifyCallbackStruct *); 	/* force date format */
void avmModified(Widget,XtPointer,XtPointer);	/* mark record as modified via this callback */
void avmCreateAreYouSure(char *,char *);	/* create/pop-up decision dialog */
void avmCreateInfo(char *,char *);	       	/* create/pop-up information dialog */
void editInit(void);				/* init first edit session */
void avmLoad(Widget ,XtPointer ,XtPointer );	/* perform oracle load via this callback */
void avmUnLoad(Widget ,XtPointer ,XtPointer );	/* query oracle un-load via this callback */
void avmDoUnLoad(Widget ,XtPointer ,XtPointer ); /* perorm oracle un-load via this callback */
void avmArchive(Widget ,XtPointer ,XtPointer );	/* perorm oracle drop and file delete via this callback */
/* externs */
extern int avmIsModified;			/* start as zero (not modified) */
extern Widget avmTopLevel;			/* top level from XtVaAppInitialize */
extern Widget avmEditDialog;			/* main container dialog */
extern Widget avmAreYouSure;			/* used for user decision prompts */
extern Widget avmInfo;				/* used for user information prompts */
extern time_t timezone;
/* #define ENABLE_ADDITION 1 */
