/****************************************************************/
/*								*/
/*	This software is the proprietary property of Tate	*/
/*	Integrated Systems, L.P.  Patents and copyrights are	*/
/*	pending.						*/
/*								*/
/*	This software is furnished under a license and may	*/
/*	be used and copied only in accordance with the terms	*/
/*	of such license and with the inclusion of the above	*/
/*	notice. This software or any other copies thereof	*/
/*	may not be provided or otherwise made available to	*/
/*	any other person. No title to and ownership of the	*/
/*	software is hereby transferred.				*/
/*								*/
/*	The information in this software is subject to		*/
/*	change without notice and should not be construed 	*/
/*	as a commitment by Tate Integrated Systems L.P. or	*/
/*	its third party suppliers.				*/
/*								*/
/*	Tate Integrated Systems, L.P. (TIS) and its third	*/
/*	party suppliers assume no responsibility for the	*/
/*	use or inability to use any of its software. TIS	*/
/*	software is provided "as is" without warranty of	*/
/*	any kind and TIS expressly disclaims all implied	*/
/*	warranties, including but not limited to the implied	*/
/*	warranties of merchantability and fitness for a		*/
/*	particular purpose.					*/
/*								*/
/*	Notice: Notwithstanding any other lease or license	*/
/*	that may pertain to or accompany the delivery of this	*/
/*	computer software, the rights of the Government		*/
/*	regarding its use, reproduction, and disclosure are	*/
/*	as set forth in Section 52.227-19 of the FARS		*/
/*	Computer Software-Restricted Rights clause.		*/
/*								*/
/****************************************************************/


/*
	Field definitions header file for udb.dbf
*/

F4FIELD_INFO	udbFieldInfo[] = 
	{
	{"NAME",	'C',	28,	0},
	{"UDBNAME",	'C',	16,	0},	/* dnam	*/
	{"FLNK",	'C',	28,	0},	/* flnk	*/
	{"INPUT1",	'C',	28,	0},	/* inp1	*/
	{"INPUT1PP",	'L',	1,	0},
	{"INPUT1MS",	'L',	1,	0},
	{"INPUT2",	'C',	28,	0},	/* inp2	*/
	{"INPUT2PP",	'L',	1,	0},
	{"INPUT2MS",	'L',	1,	0},
	{"INPUT3",	'C',	28,	0},	/* inp3	*/
	{"INPUT3PP",	'L',	1,	0},
	{"INPUT3MS",	'L',	1,	0},
	{"INPUT4",	'C',	28,	0},	/* inp4	*/
	{"INPUT4PP",	'L',	1,	0},
	{"INPUT4MS",	'L',	1,	0},
	{"INPUT5",	'C',	28,	0},	/* inp5	*/
	{"INPUT5PP",	'L',	1,	0},
	{"INPUT5MS",	'L',	1,	0},
	{"INPUT6",	'C',	28,	0},	/* inp6	*/
	{"INPUT6PP",	'L',	1,	0},
	{"INPUT6MS",	'L',	1,	0},
	{"INPUT7",	'C',	28,	0},	/* inp7	*/
	{"INPUT7PP",	'L',	1,	0},
	{"INPUT7MS",	'L',	1,	0},
	{"INPUT8",	'C',	28,	0},	/* inp8	*/
	{"INPUT8PP",	'L',	1,	0},
	{"INPUT8MS",	'L',	1,	0},
	{"OUTPUT1",	'C',	28,	0},	/* out1	*/
	{"OUTPUT1PP",	'L',	1,	0},
	{"OUTPUT2",	'C',	28,	0},	/* out2	*/
	{"OUTPUT2PP",	'L',	1,	0},
	{"OUTPUT3",	'C',	28,	0},	/* out3	*/
	{"OUTPUT3PP",	'L',	1,	0},
	{"OUTPUT4",	'C',	28,	0},	/* out4	*/
	{"OUTPUT4PP",	'L',	1,	0},
	{"OUTPUT5",	'C',	28,	0},	/* out5	*/
	{"OUTPUT5PP",	'L',	1,	0},
	{"OUTPUT6",	'C',	28,	0},	/* out6	*/
	{"OUTPUT6PP",	'L',	1,	0},
	{"OUTPUT7",	'C',	28,	0},	/* out7	*/
	{"OUTPUT7PP",	'L',	1,	0},
	{"OUTPUT8",	'C',	28,	0},	/* out8	*/
	{"OUTPUT8PP",	'L',	1,	0},
	{"MODE",	'N',	1,	0},	/* mode, no dV	*/
	{"INITMODE",	'C',	15,	0},	/* imde	*/
	{"MODESTR1",	'C',	16,	0},	/* mst1	*/
	{"MODESTR2",	'C',	16,	0},	/* mst2	*/
	{"MODESTR3",	'C',	16,	0},	/* mst3	*/
	{"MODESTR4",	'C',	16,	0},	/* mst4	*/
	{"MODESTR5",	'C',	16,	0},	/* mst5	*/
	{"MODESTR6",	'C',	16,	0},	/* mst6	*/
	{"MODESTR7",	'C',	16,	0},	/* mst7	*/
	{"MODESTR8",	'C',	16,	0},	/* mst8	*/
	{"CMDSTR1",	'C',	16,	0},	/* cst1	*/
	{"CMDSTR2",	'C',	16,	0},	/* cst2	*/
	{"CMDSTR3",	'C',	16,	0},	/* cst3	*/
	{"CMDSTR4",	'C',	16,	0},	/* cst4	*/
	{"CMDSTR5",	'C',	16,	0},	/* cst5	*/
	{"CMDSTR6",	'C',	16,	0},	/* cst6	*/
	{"CMDSTR7",	'C',	16,	0},	/* cst7	*/
	{"CMDSTR8",	'C',	16,	0},	/* cst8	*/
	{"FUNCTION",	'N',	1,	0},	/* func, no dV */
	{"INITFUNC",	'C',	15,	0},	/* ifun	*/
	{"FUNCSTR1",	'C',	16,	0},	/* fst1	*/
	{"FUNCSTR2",	'C',	16,	0},	/* fst2	*/
	{"FUNCSTR3",	'C',	16,	0},	/* fst3	*/
	{"FUNCSTR4",	'C',	16,	0},	/* fst4	*/
	{"STSSTR1",	'C',	16,	0},	/* ss01	*/
	{"STSSTR2",	'C',	16,	0},	/* ss02	*/
	{"STSSTR3",	'C',	16,	0},	/* ss03	*/
	{"STSSTR4",	'C',	16,	0},	/* ss04	*/
	{"STSSTR5",	'C',	16,	0},	/* ss05	*/
	{"STSSTR6",	'C',	16,	0},	/* ss06	*/
	{"STSSTR7",	'C',	16,	0},	/* ss07	*/
	{"STSSTR8",	'C',	16,	0},	/* ss08	*/
	{"STSSTR9",	'C',	16,	0},	/* ss09	*/
	{"STSSTR10",	'C',	16,	0},	/* ss10	*/
	{"STSSTR11",	'C',	16,	0},	/* ss11	*/
	{"STSSTR12",	'C',	16,	0},	/* ss12	*/
	{"ALARMSV01",	'C',	13,	0},	/* sv01	*/
	{"ALARMSV02",	'C',	13,	0},	/* sv02	*/
	{"ALARMSV03",	'C',	13,	0},	/* sv03	*/
	{"ALARMSV04",	'C',	13,	0},	/* sv04	*/
	{"ALARMSV05",	'C',	13,	0},	/* sv05	*/
	{"ALARMSV06",	'C',	13,	0},	/* sv06	*/
	{"ALARMSV07",	'C',	13,	0},	/* sv07	*/
	{"ALARMSV08",	'C',	13,	0},	/* sv08	*/
	{"ALARMSV09",	'C',	13,	0},	/* sv09	*/
	{"ALARMSV10",	'C',	13,	0},	/* sv10	*/
	{"ALARMSV11",	'C',	13,	0},	/* sv11	*/
	{"ALARMSV12",	'C',	13,	0},	/* sv12	*/
	{"COSSEVR",	'C',	13,	0},	/* cosv	*/
	{"UNDSEVR",	'C',	13,	0},	/* unsv	*/
	{"CHECKBX01",	'L',	1,	0},	/* ck1	*/
	{"CHECKBX02",	'L',	1,	0},	/* ck2	*/
	{"CHECKBX03",	'L',	1,	0},	/* ck3	*/
	{"CHECKBX04",	'L',	1,	0},	/* ck4	*/
	{"CHECKBX05",	'L',	1,	0},	/* ck5	*/
	{"CHECKBX06",	'L',	1,	0},	/* ck6	*/
	{"CHECKBX07",	'L',	1,	0},	/* ck7	*/
	{"CHECKBX08",	'L',	1,	0},	/* ck8	*/
	{"FLOAT01",	'N',	11,	4},	/* n01	*/
	{"FLOAT02",	'N',	11,	4},	/* n02	*/
	{"FLOAT03",	'N',	11,	4},	/* n03	*/
	{"FLOAT04",	'N',	11,	4},	/* n04	*/
	{"FLOAT05",	'N',	11,	4},	/* n05	*/
	{"FLOAT06",	'N',	11,	4},	/* n06	*/
	{"FLOAT07",	'N',	11,	4},	/* n07	*/
	{"FLOAT08",	'N',	11,	4},	/* n08	*/
	{"FLOAT09",	'N',	11,	4},	/* n09	*/
	{"FLOAT10",	'N',	11,	4},	/* n10	*/
	{"FLOAT11",	'N',	11,	4},	/* n11	*/
	{"FLOAT12",	'N',	11,	4},	/* n12	*/
	{"DOUBLE01",	'N',	15,	4},	/* d01	*/
	{"DOUBLE02",	'N',	15,	4},	/* d02	*/
	{"DOUBLE03",	'N',	15,	4},	/* d03	*/
	{"DOUBLE04",	'N',	15,	4},	/* d04	*/
	{"DOUBLE05",	'N',	15,	4},	/* d05	*/
	{"DOUBLE06",	'N',	15,	4},	/* d06	*/
	{"ULONG01",	'N',	11,	0},	/* u01	*/
	{"ULONG02",	'N',	11,	0},	/* u02	*/
	{"FLOATLIM01",	'C',	15,	0},	/* fl01	*/
	{"FLOATLIM02",	'C',	15,	0},	/* fl02	*/
	{"FLOATLIM03",	'C',	15,	0},	/* fl03	*/
	{"FLOATLIM04",	'C',	15,	0},	/* fl04	*/
	{"FLOATLIM05",	'C',	15,	0},	/* fl05	*/
	{"FLOATLIM06",	'C',	15,	0},	/* fl06	*/
	{"FLOATLIM07",	'C',	15,	0},	/* fl07	*/
	{"FLOATLIM08",	'C',	15,	0},	/* fl08	*/
	{"FLOATLIM09",	'C',	15,	0},	/* fl09	*/
	{"FLOATLIM10",	'C',	15,	0},	/* fl10	*/
	{"FLOATLIM11",	'C',	15,	0},	/* fl11	*/
	{"FLOATLIM12",	'C',	15,	0},	/* fl12	*/
	{"DBLLIM01",	'C',	15,	0},	/* dl01	*/
	{"DBLLIM02",	'C',	15,	0},	/* dl02	*/
	{"DBLLIM03",	'C',	15,	0},	/* dl03	*/
	{"DBLLIM04",	'C',	15,	0},	/* dl04	*/
	{"DBLLIM05",	'C',	15,	0},	/* dl05	*/
	{"DBLLIM06",	'C',	15,	0},	/* dl06	*/
	{"ULONGLIM01",	'C',	15,	0},	/* ul01	*/
	{"ULONGLIM02",	'C',	15,	0},	/* ul02	*/
	{"LIM1LOW",	'N',	11,	4},	/* l1lo	*/
	{"LIM1HIGH",	'N',	11,	4},	/* l1hi	*/
	{"LIM1PREC",	'N',	1,	0},	/* l1pr	*/
	{"LIM2LOW",	'N',	11,	4},	/* l2lo	*/
	{"LIM2HIGH",	'N',	11,	4},	/* l2hi	*/
	{"LIM2PREC",	'N',	1,	0},	/* l2pr	*/
	{"LIM3LOW",	'N',	11,	4},	/* l3lo	*/
	{"LIM3HIGH",	'N',	11,	4},	/* l3hi	*/
	{"LIM3PREC",	'N',	1,	0},	/* l3pr	*/
	{"TFLTLIM01",	'C',	15,	0},	/* ft01	*/
	{"TFLTLIM02",	'C',	15,	0},	/* ft02	*/
	{"TFLTLIM03",	'C',	15,	0},	/* ft03	*/
	{"TFLTLIM04",	'C',	15,	0},	/* ft04	*/
	{"TFLTLIM05",	'C',	15,	0},	/* ft05	*/
	{"TFLTLIM06",	'C',	15,	0},	/* ft06	*/
	{"TFLTLIM07",	'C',	15,	0},	/* ft07	*/
	{"TFLTLIM08",	'C',	15,	0},	/* ft08	*/
	{"TFLTLIM09",	'C',	15,	0},	/* ft09	*/
	{"TFLTLIM10",	'C',	15,	0},	/* ft10	*/
	{"TFLTLIM11",	'C',	15,	0},	/* ft11	*/
	{"TFLTLIM12",	'C',	15,	0},	/* ft12	*/
	{"TFLTLIM13",	'C',	15,	0},	/* ft13	*/
	{"TFLTLIM14",	'C',	15,	0},	/* ft14	*/
	{"TFLTLIM15",	'C',	15,	0},	/* ft15	*/
	{"TFLTLIM16",	'C',	15,	0},	/* ft16	*/
	{"TULLIM01",	'C',	15,	0},	/* ud01	*/
	{"TULLIM02",	'C',	15,	0},	/* ud02	*/
	{"TULLIM03",	'C',	15,	0},	/* ud03	*/
	{"TULLIM04",	'C',	15,	0},	/* ud04	*/
	{"TULLIM05",	'C',	15,	0},	/* ud05	*/
	{"TULLIM06",	'C',	15,	0},	/* ud06	*/
	{"TULLIM07",	'C',	15,	0},	/* ud07	*/
	{"TULLIM08",	'C',	15,	0},	/* ud08	*/
	{"TDBLLIM01",	'C',	15,	0},	/* td01	*/
	{"TDBLLIM02",	'C',	15,	0},	/* td02	*/
	{"TDBLLIM03",	'C',	15,	0},	/* td03	*/
	{"TDBLLIM04",	'C',	15,	0},	/* td04	*/
	{0,0,0,0}
	};

T4TAG_INFO	udbTagInfo[] = 
	{
	{"NAME",	"NAME",	0,	0,	0},
	{0,0,0,0,0}
	};


