#ifndef vubodialogclassHXX
#define	vubodialogclassHXX

class	vuBoContainerClass : public vcontainer
{

public:

    // overrides from vkindTyped
    vkindTYPED_FULL_DECLARATION(vuBoContainerClass);

    // the default versions of necessary constructors/destructor
    vloadableINLINE_CONSTRUCTORS(vuBoContainerClass, vcontainer);

    // vloadable override
    void LoadInit (vresource resource);

    // override 
    void Destroy ();

    // pointers to fields in container, public so don't need funcs to
    // get at them from vuBoDialogClass

    vuBoardTypeMenuClass	*boardType;
    filteredTextitem	*line;
    filteredTextitem	*addr;
    filteredTextitem	*card;
    filteredTextitem	*signal;
    filteredTextitem	*secondsHigh;
    filteredTextitem	*readback;
    vuPvNameButtonClass	*valueLocButton;
    vuFilteredTextitem	*valueLoc;
    vuPvNameButtonClass	*outputButton;
    vuFilteredTextitem	*output;
    filteredTextitem	*constantValue;
    vuCheckBoxClass	*onScan;
    vuCheckBoxClass	*onAlarm;
    vuCheckBoxClass	*closedLoop;
    vuCheckBoxClass	*invertOutput;
    vuCheckBoxClass	*outputOnChange;
    filteredTextitem	*zeroState;
    filteredTextitem	*oneState;
    vuChoiceGblMenuClass	*zeroSeverity;
    vuChoiceGblMenuClass	*oneSeverity;
    vuChoiceGblMenuClass	*cosSeverity;
    vuPvNameButtonClass	*alarmDisableButton;
    vuFilteredTextitem	*alarmDisable;
    filteredTextitem	*alarmDelay;
    vuFilteredTextitem	*alarmGroup;
};


//*** BO DIALOG CLASS ***************************************************

class	vuBoDialogClass : public vuCommonDialogClass
{
    vuBoContainerClass	*boContainer;
    vstr		*boTitle;

public:

    // overrides from vkindTyped
    vkindTYPED_FULL_DECLARATION(vuBoDialogClass);

    // the default versions of necessary constructors/destructor
    vloadableINLINE_CONSTRUCTORS(vuBoDialogClass, vuCommonDialogClass);

    // vloadable override
    void LoadInit (vresource resource);

    // override
    void Destroy ();

    // overide base vuCommonDialogClass
    void resetDialog (void);

    // override base class load and save functions
    void vuLoadDialog (vchar *pointName);
    void vuSaveDialog (vchar *pointName);
};

#endif	vubodialogclassHXX

