#ifndef vupatdialogclassHXX
#define	vupatdialogclassHXX

class	vuPatBoardTypeMenuClass;

class	vuPatContainerClass : public vcontainer
{

public:

    // overrides from vkindTyped
    vkindTYPED_FULL_DECLARATION(vuPatContainerClass);

    // the default versions of necessary constructors/destructor
    vloadableINLINE_CONSTRUCTORS(vuPatContainerClass, vcontainer);

    // vloadable override
    void LoadInit (vresource resource);

    // override 
    void Destroy ();

    // pointers to fields in container, public so don't need funcs to
    // get at them from vuPatDialogClass

    vuPatBoardTypeMenuClass	*outputBoard;
    filteredTextitem	*posLine;
    filteredTextitem	*posAddr;
    filteredTextitem	*posCard;
    filteredTextitem	*posSignal;
    vuCheckBoxClass	*posInvert;
    filteredTextitem	*negLine;
    filteredTextitem	*negAddr;
    filteredTextitem	*negCard;
    filteredTextitem	*negSignal;
    vuCheckBoxClass	*negInvert;
    vuPatBoardTypeMenuClass	*rlBoard;
    filteredTextitem	*rlLine;
    filteredTextitem	*rlAddr;
    filteredTextitem	*rlCard;
    filteredTextitem	*rlSignal;
    vuCheckBoxClass	*rlInvert;
    vuPatBoardTypeMenuClass	*fbBoard;
    filteredTextitem	*fbLine;
    filteredTextitem	*fbAddr;
    filteredTextitem	*fbCard;
    filteredTextitem	*fbSignal;
    vuPvNameButtonClass	*setptButton;
    vuFilteredTextitem	*setpt;
    filteredTextitem	*initialSetpt;
    vuCheckBoxClass	*onScan;
    vuCheckBoxClass	*onAlarm;
    vuCheckBoxClass	*closedLoop;
    vuPvNameButtonClass	*posChannelButton;
    vuFilteredTextitem	*posChannel;
    vuPvNameButtonClass	*negChannelButton;
    vuFilteredTextitem	*negChannel;
    filteredTextitem	*precision;
    vuPvNameButtonClass	*rlChannelButton;
    vuFilteredTextitem	*rlChannel;
    vuPvNameButtonClass	*fbChannelButton;
    vuFilteredTextitem	*fbChannel;
    filteredTextitem	*monitorDeadband;
    filteredTextitem	*archiveDeadband;
    filteredTextitem	*alarmDeadband;
    filteredTextitem	*irLow;
    filteredTextitem	*irHigh;
    filteredTextitem	*displayLow;
    filteredTextitem	*displayHigh;
    filteredTextitem	*instDeviation;
    filteredTextitem	*strokeTime;
    filteredTextitem	*gap;
    filteredTextitem	*posRocLimit;
    filteredTextitem	*negRocLimit;

    filteredTextitem		*hihiLimit;
    vuChoiceGblMenuClass	*hihiSeverity;
    filteredTextitem		*highLimit;
    vuChoiceGblMenuClass	*highSeverity;
    filteredTextitem		*lowLimit;
    vuChoiceGblMenuClass	*lowSeverity;
    filteredTextitem		*loloLimit;
    vuChoiceGblMenuClass	*loloSeverity;
    filteredTextitem		*clampHigh;
    vuChoiceGblMenuClass	*clampHighSeverity;
    filteredTextitem		*clampLow;
    vuChoiceGblMenuClass	*clampLowSeverity;

    vuFilteredTextitem	*alarmGroup;
    vuPvNameButtonClass	*alarmDisableButton;
    vuFilteredTextitem	*alarmDisable;
    filteredTextitem	*alarmDelay;
};


//*** PAT DIALOG CLASS ****************************************************

class	vuPatDialogClass : public vuCommonDialogClass
{
    vuPatContainerClass	*patContainer;
    vstr		*patTitle;

public:

    // overrides from vkindTyped
    vkindTYPED_FULL_DECLARATION(vuPatDialogClass);

    // the default versions of necessary constructors/destructor
    vloadableINLINE_CONSTRUCTORS(vuPatDialogClass, vuCommonDialogClass);

    // vloadable override
    void LoadInit (vresource resource);

    // override
    void Destroy ();

    // overide base vuCommonDialogClass
    void resetDialog (void);

    // override base class load and save functions
    void vuLoadDialog (vchar *pointName);
    void vuSaveDialog (vchar *pointName);
};


// *** PAT BOARDTYPE MENU CLASS  ***********************************************

class vuPatBoardTypeMenuClass : public vuBoardTypeMenuClass
{

public:

    // overrides from vkindTyped
    vkindTYPED_FULL_DECLARATION(vuPatBoardTypeMenuClass);

    // the default versions of necessary constructors/destructor
    vloadableINLINE_CONSTRUCTORS(vuPatBoardTypeMenuClass, vuBoardTypeMenuClass);

    // override function to build pat board menus
    void vuBuildBoardTypeMenu (int aux_ptype);
};

#endif	vupatdialogclassHXX
