#ifndef vuptodialogclassHXX
#define	vuptodialogclassHXX

class	vuPtoContainerClass : public vcontainer
{

public:

    // overrides from vkindTyped
    vkindTYPED_FULL_DECLARATION(vuPtoContainerClass);

    // the default versions of necessary constructors/destructor
    vloadableINLINE_CONSTRUCTORS(vuPtoContainerClass, vcontainer);

    // vloadable override
    void LoadInit (vresource resource);

    // override 
    void Destroy ();

    // pointers to fields in container, public so don't need funcs to
    // get at them from vuPtoDialogClass

    vuBoardTypeMenuClass	*outputBoard;
    filteredTextitem	*posLine;
    filteredTextitem	*posAddr;
    filteredTextitem	*posCard;
    filteredTextitem	*posSignal;
    vuCheckBoxClass	*posInvert;
    filteredTextitem	*negLine;
    filteredTextitem	*negAddr;
    filteredTextitem	*negCard;
    filteredTextitem	*negSignal;
    vuCheckBoxClass	*negInvert;
    vuPvNameButtonClass	*valueLocButton;
    vuFilteredTextitem	*valueLoc;
    filteredTextitem	*precision;
    filteredTextitem	*eguTag;
    vuCheckBoxClass	*onScan;
    vuCheckBoxClass	*onAlarm;
    vuCheckBoxClass	*closedLoop;
    vuPvNameButtonClass	*posChannelButton;
    vuFilteredTextitem	*posChannel;
    vuPvNameButtonClass	*negChannelButton;
    vuFilteredTextitem	*negChannel;
    spinnerClass	*numberBits;
    vuChoiceRecMenuClass	*pulseType;
    filteredTextitem	*monitorDeadband;
    filteredTextitem	*archiveDeadband;
    filteredTextitem	*alarmDeadband;
    filteredTextitem	*displayLow;
    filteredTextitem	*displayHigh;
    filteredTextitem	*onValue;
    filteredTextitem	*offValue;
    filteredTextitem	*minimumValue;
    filteredTextitem	*scale;
    filteredTextitem		*hihiLimit;
    vuChoiceGblMenuClass	*hihiSeverity;
    filteredTextitem		*highLimit;
    vuChoiceGblMenuClass	*highSeverity;
    filteredTextitem		*lowLimit;
    vuChoiceGblMenuClass	*lowSeverity;
    filteredTextitem		*loloLimit;
    vuChoiceGblMenuClass	*loloSeverity;
    filteredTextitem		*clampHigh;
    vuChoiceGblMenuClass	*clampHighSeverity;
    filteredTextitem		*clampLow;
    vuChoiceGblMenuClass	*clampLowSeverity;
    vuFilteredTextitem	*alarmGroup;
    filteredTextitem	*alarmDelay;
    vuPvNameButtonClass	*alarmDisableButton;
    vuFilteredTextitem	*alarmDisable;
};


//*** PTO DIALOG CLASS ****************************************************

class	vuPtoDialogClass : public vuCommonDialogClass
{
    vuPtoContainerClass	*ptoContainer;
    vstr		*ptoTitle;

public:

    // overrides from vkindTyped
    vkindTYPED_FULL_DECLARATION(vuPtoDialogClass);

    // the default versions of necessary constructors/destructor
    vloadableINLINE_CONSTRUCTORS(vuPtoDialogClass, vuCommonDialogClass);

    // vloadable override
    void LoadInit (vresource resource);

    // override
    void Destroy ();

    // overide base vuCommonDialogClass
    void resetDialog (void);

    // override base class load and save functions
    void vuLoadDialog (vchar *pointName);
    void vuSaveDialog (vchar *pointName);
};

#endif	vuptodialogclassHXX
