#ifndef vutddialogclassHXX
#define	vutddialogclassHXX

class	vuTdContainerClass : public vcontainer
{

public:

    // overrides from vkindTyped
    vkindTYPED_FULL_DECLARATION(vuTdContainerClass);

    // the default versions of necessary constructors/destructor
    vloadableINLINE_CONSTRUCTORS(vuTdContainerClass, vcontainer);

    // vloadable override
    void LoadInit (vresource resource);

    // override 
    void Destroy ();

    // pointers to fields in container, public so don't need funcs to
    // get at them from vuTdDialogClass

    vuBoardTypeMenuClass	*boardType;
    filteredTextitem	*line;
    filteredTextitem	*addr;
    filteredTextitem	*card;
    filteredTextitem	*signal;
    vuPvNameButtonClass	*valueLocButton;
    vuFilteredTextitem	*valueLoc;
    vuPvNameButtonClass	*outputButton;
    vuFilteredTextitem	*output;
    filteredTextitem	*constantValue;
    filteredTextitem	*zeroState;
    filteredTextitem	*oneState;
    filteredTextitem	*tdValue1;
    filteredTextitem	*tdValue2;
    filteredTextitem	*dwellTime;
    vuChoiceGblMenuClass	*zeroSeverity;
    vuChoiceGblMenuClass	*oneSeverity;
    vuChoiceGblMenuClass	*cosSeverity;
    vuCheckBoxClass	*onScan;
    vuCheckBoxClass	*onAlarm;
    vuCheckBoxClass	*closedLoop;
    vuCheckBoxClass	*invertOutput;
    vuCheckBoxClass	*initTimer;
    vuChoiceRecMenuClass	*timerChoice;
    vuChoiceRecMenuClass	*edge;
    vuChoiceRecMenuClass	*cycleFirstState;
    vuPvNameButtonClass	*alarmDisableButton;
    vuFilteredTextitem	*alarmDisable;
    filteredTextitem	*alarmDelay;
    vuFilteredTextitem	*alarmGroup;
};


//*** TD DIALOG CLASS ***************************************************

class	vuTdDialogClass : public vuCommonDialogClass
{
    vuTdContainerClass	*tdContainer;
    vstr		*tdTitle;

public:

    // overrides from vkindTyped
    vkindTYPED_FULL_DECLARATION(vuTdDialogClass);

    // the default versions of necessary constructors/destructor
    vloadableINLINE_CONSTRUCTORS(vuTdDialogClass, vuCommonDialogClass);

    // vloadable override
    void LoadInit (vresource resource);

    // override
    void Destroy ();

    // overide base vuCommonDialogClass
    void resetDialog (void);

    // override base class load and save functions
    void vuLoadDialog (vchar *pointName);
    void vuSaveDialog (vchar *pointName);
};

#endif	vutddialogclassHXX

