/*DBCError.c,v 1.1.1.1 1999/08/03 14:42:35 tis4000 Exp */

/****************************************************************/
/*								*/
/*	This software is the proprietary property of Tate	*/
/*	Integrated Systems, L.P.  Patents and copyrights are	*/
/*	pending.						*/
/*								*/
/*	This software is furnished under a license and may	*/
/*	be used and copied only in accordance with the terms	*/
/*	of such license and with the inclusion of the above	*/
/*	notice. This software or any other copies thereof	*/
/*	may not be provided or otherwise made available to	*/
/*	any other person. No title to and ownership of the	*/
/*	software is hereby transferred.				*/
/*								*/
/*	The information in this software is subject to		*/
/*	change without notice and should not be construed 	*/
/*	as a commitment by Tate Integrated Systems L.P. or	*/
/*	its third party suppliers.				*/
/*								*/
/*	Tate Integrated Systems, L.P. (TIS) and its third	*/
/*	party suppliers assume no responsibility for the	*/
/*	use or inability to use any of its software. TIS	*/
/*	software is provided "as is" without warranty of	*/
/*	any kind and TIS expressly disclaims all implied	*/
/*	warranties, including but not limited to the implied	*/
/*	warranties of merchantability and fitness for a		*/
/*	particular purpose.					*/
/*								*/
/*	Notice: Notwithstanding any other lease or license	*/
/*	that may pertain to or accompany the delivery of this	*/
/*	computer software, the rights of the Government		*/
/*	regarding its use, reproduction, and disclosure are	*/
/*	as set forth in Section 52.227-19 of the FARS		*/
/*	Computer Software-Restricted Rights clause.		*/
/*								*/
/****************************************************************/

/*============================================================================*/
/*									      */
/*									      */
/*	Tate Integrated Systems, LP					      */
/*									      */
/*									      */
/*	Author:			Greg Tomalesky				      */
/*	Date:			19-Jan-1993				      */
/*									      */
/*	Module Name:		DBCError.c				      */
/*	Module Description:	Error messages				      */
/*									      */
/*									      */
/*									      */
/*									      */
/*									      */
/*									      */
/*									      */
/*									      */
/*									      */
/*	Modification History:	19-Jan-1993 GCT First try.		      */
/*									      */
/*									      */
/*									      */
/*									      */
/*									      */
/*============================================================================*/
char	*DBC_ErrorMsg[] =
	{
	"Success.",
	"Database XREF file access error.",
	"PVMAP file access error.",
	"Init CRC error.",
	"IOC List file access error.",
	"Resource list file access error.",
	"IOC list build error.",
	"Calc operands file error.",
	"Selector link file error.",
	"Fanout link file error.",
	"Pipe PV name file error.",
	"Pipe Commands file error.",
	"Tank PV name file error.",
	"Tank Commands file error.",
	"Tank temp probes file error.",
	"Tank Valves file error.",
	"Valve PV file error.",
	"Pump PV file error.",
	"POT PV file error.",
	"Can't create Broadcast socket.",
	"Can't set Broadcast socket options.",
	"Can't bind Broadcast socket.",
	"Can't create Listen socket.",
	"Can't bind Listen socket.",
	"Can't 'listen' on socket.",
	"SDR load error.",
	"Unsupported Pointtype.",
	"Unspecified Choice error.",
	"ARR Choice not found.",
	"DEV Choice not found.",
	"CVT Choice not found.",
	"IOADDR file error.",
	"Can't allocate memory for record.",
	"Type not in XREF list.",
	"No command strings.",
	"Can't convert special links.",
	"Can't find record!"
	};
