/*drvCom.c,v 1.1.1.1 1999/08/03 14:42:53 tis4000 Exp */

/****************************************************************/
/*								*/
/*	This software is the proprietary property of Tate	*/
/*	Integrated Systems, L.P.  Patents and copyrights are	*/
/*	pending.						*/
/*								*/
/*	This software is furnished under a license and may	*/
/*	be used and copied only in accordance with the terms	*/
/*	of such license and with the inclusion of the above	*/
/*	notice. This software or any other copies thereof	*/
/*	may not be provided or otherwise made available to	*/
/*	any other person. No title to and ownership of the	*/
/*	software is hereby transferred.				*/
/*								*/
/*	The information in this software is subject to		*/
/*	change without notice and should not be construed 	*/
/*	as a commitment by Tate Integrated Systems L.P. or	*/
/*	its third party suppliers.				*/
/*								*/
/*	Tate Integrated Systems, L.P. (TIS) and its third	*/
/*	party suppliers assume no responsibility for the	*/
/*	use or inability to use any of its software. TIS	*/
/*	software is provided "as is" without warranty of	*/
/*	any kind and TIS expressly disclaims all implied	*/
/*	warranties, including but not limited to the implied	*/
/*	warranties of merchantability and fitness for a		*/
/*	particular purpose.					*/
/*								*/
/*	Notice: Notwithstanding any other lease or license	*/
/*	that may pertain to or accompany the delivery of this	*/
/*	computer software, the rights of the Government		*/
/*	regarding its use, reproduction, and disclosure are	*/
/*	as set forth in Section 52.227-19 of the FARS		*/
/*	Computer Software-Restricted Rights clause.		*/
/*								*/
/****************************************************************/
/****************************************************************/
/*								*/
/*	This software is the proprietary property of Tate	*/
/*	Integrated Systems, L.P.  Patents and copyrights are	*/
/*	pending.						*/
/*								*/
/*	This software is furnished under a license and may	*/
/*	be used and copied only in accordance with the terms	*/
/*	of such license and with the inclusion of the above	*/
/*	notice. This software or any other copies thereof	*/
/*	may not be provided or otherwise made available to	*/
/*	any other person. No title to and ownership of the	*/
/*	software is hereby transferred.				*/
/*								*/
/*	The information in this software is subject to		*/
/*	change without notice and should not be construed 	*/
/*	as a commitment by Tate Integrated Systems L.P. or	*/
/*	its third party suppliers.				*/
/*								*/
/*	Tate Integrated Systems, L.P. (TIS) and its third	*/
/*	party suppliers assume no responsibility for the	*/
/*	use or inability to use any of its software. TIS	*/
/*	software is provided "as is" without warranty of	*/
/*	any kind and TIS expressly disclaims all implied	*/
/*	warranties, including but not limited to the implied	*/
/*	warranties of merchantability and fitness for a		*/
/*	particular purpose.					*/
/*								*/
/*	Notice: Notwithstanding any other lease or license	*/
/*	that may pertain to or accompany the delivery of this	*/
/*	computer software, the rights of the Government		*/
/*	regarding its use, reproduction, and disclosure are	*/
/*	as set forth in Section 52.227-19 of the FARS		*/
/*	Computer Software-Restricted Rights clause.		*/
/*								*/
/****************************************************************/
/*
/*  File: drvCom.c												
/*  Edit:  01/20/94     WEP: holds common data structures for primary/secondary driver semaphore logic		
*/  	

#define  MAIN        common_driver		/* NOTE: change here */
/*#define  AIDRIVER    common_aidriver         /* NOTE: change here */
/*#define  AODRIVER    common_aodriver         /* NOTE: change here */
/*#define  AOREAD      common_aoread           /* NOTE: change here */
/*#define  BIDRIVER    common_bidriver         /* NOTE: change here */
/*#define  BODRIVER    common_bodriver         /* NOTE: change here */
/*#define  BOREAD      common_boread           /* NOTE: change here */

#define  TRACEON     commontraceon		/* NOTE: change here */
#define  TRACEOFF    commontraceoff		/* NOTE: change here */
#define  RTRACEON    commonrestraceon		/* NOTE: change here */
#define  RTRACEOFF   commonrestraceoff		/* NOTE: change here */
#define  TRACELEVEL  commontrlv			/* NOTE: change here */

#define  STOPDRIVER  stopcommon			/* NOTE: change here */
#define  STARTDRIVER startcommon		/* NOTE: change here */
#define  SETDELAYS   common_setdelays		/* NOTE: change here */
/*#define  TABLEINFO   common_dmt              /* NOTE: change here */
/*#define  LINEINFO    common_sli              /* NOTE: change here */

#define
#include <ctype.h>

#include <vxWorks.h>
#include <sysLib.h>
#include <semLib.h>
#include <wdLib.h>
#include <rngLib.h>
#include <task_params.h>
#include <stdioLib.h>

#include <dbDefs.h>
#include <drvSup.h>
#include <module_types.h>
#include <drvCom.h>		          /* NOTE: change here */
#include <drvCom_proto.h> 		  /* NOTE: change here */
#include <restable.h>


/* static long	init(); */

struct	{
		long		number;	/* number of driver support functions in this structure */
		DRVSUPFUN	report;
		DRVSUPFUN	init;
	}
	drvCom={ 2,
		 NULL,
		 init };

/*
/*      Declare Data Structures
/*
*/

static unsigned short	mltrace[COMLINES];		/* controls output of certain resource related log messages (level) 	*/
static unsigned short	modrestrace[COMLINES];		/* controls output of MASTER/SLAVE arbitration log messages (binary) 	*/

SEM_ID	linemux[COMLINES] =			/* 1/18/94: global mutual-exclusion semaphore for shared resource of the data	*/
	{NULL, NULL, NULL, NULL, NULL,  /* array of pointers to dynamically allocated comm controls/buffers 		*/
	 NULL, NULL, NULL, NULL, NULL,  /* link controls access to common path shared by data and diagnostic channels. 	*/
	 NULL, NULL, NULL, NULL, NULL,  /* originally designed for use with MDS remote radio diagnostics.		*/
	 NULL, NULL, NULL, NULL, NULL,} ;
					
unsigned short primary_state[COMLINES] = /* 1/18/94: global mutual-exclusion semaphore for shared resource of the data	*/
	{NULL, NULL, NULL, NULL, NULL,  /* array of pointers to dynamically allocated comm controls/buffers 		*/
	 NULL, NULL, NULL, NULL, NULL,  /* link controls access to common path shared by data and diagnostic channels. 	*/
	 NULL, NULL, NULL, NULL, NULL,  /* originally designed for use with MDS remote radio diagnostics.		*/
	 NULL, NULL, NULL, NULL, NULL,} ;
					
static int	taskId;

static char	*taskname = "Common"; 	/* displayed when debugging */

static char    *bools[] = {
	"TRUE ",
	"FALSE"
    };


/**********
*
*	This routine is required by iocinit in the EPICS system.
*
**********/
static long init ()
    {
	return (0);
    }
/********
/*
/*	This routine enables logging of resource trace messages
/*
********/
void RTRACEON ()
    {
	modrestrace = TRUE;
    }

/********
/*
/*	This routine disables logging of resource trace messages
/*
********/
void RTRACEOFF ()
    {
	modrestrace = FALSE;
    }

/********
/*
/*	This routine controls logging of trace messages
/*
********/
void TRACELEVEL ( unsigned short level)
    {
	mltrace = level;
    }

#ifndef TEST
int STOPDRIVER ()
{
	    taskDelete (taskId);
	    return (1);
}

int STARTDRIVER ()
{
    taskId = taskSpawn (taskname, COM_PRIORITY, COM_TASK_OPTIONS, COM_STACK, MAIN);
}
#endif


/*
/*      MAIN	                                                                      	
/*                                                                                     	
/*      The purpose of this task is to send diagnostic commands periodically and on     
/*	demand to the MDS radio diagnostic channel. It will maintain a configuration    
/*	list supporting online additions and replacement of modules, and maintain a	
/*	table of most recently scanned values.                                          
/*                                                                                     	
*/                                                                                     	
/* not called from within this driver 						      */

void MAIN ()
    {
	long	        this_time, last_time;

/* Initialize the data structures */

	logMsg ("Initialize: Common Driver Code");
	while(true)
	{
		this_time = last_time;
		taskDelay(60):
	}
	logMsg ("Terminate: Common Driver Code");

     }

}/*                                                                        	
/*      hexascii                                                            	
/*                                                                          	
/*      The purpose of this routine is to convert the hex byte to 2 ascii   	
/*      characters and to place them into the buffer.                       	
/*                                                                          	
*/
/* not called from within this driver */


static	void hexascii (unsigned short val,char *buf)

    {
	char    hi,lo;

	hi = ((val & 0x0f0) >> 4);
	lo = (val & 0x0f);

	if (hi<=9)
		hi+='0';
	else
		hi+=('A'-10);
	if (lo<=9)
		lo+='0';
	else
		lo+=('A'-10);

	buf[0] = hi;
	buf[1] = lo;

    }


/*                                                                         	
/*      asciihex                                                    	   	
/*                                                                         	
/*      The purpose of this routine is to convert the next 2 ascii         	
/*      characters in the buffer to hex and return them in val. It         	
/*      will return TRUE if good conversion of FALSE if bad.               	
*/                                                                         	
/* not called from within this driver */


static	short asciihex (unsigned short *val,char *buf)

    {
	if ((buf[0] < '0') || (buf[0] > 'F')) return (FALSE);
	if ( buf[0] <= '9') *val = ((buf[0] & 0x0f) << 4);
	else
	{
	    if (buf[0] < 'A') return (FALSE);
	    else *val = ((buf[0] - 'A' + 10) << 4);
	}
	if ((buf[1] < '0') || (buf[1] > 'F')) return (FALSE);
	if ( buf[1] <= '9') *val += (buf[1] & 0x0f);
	else
	{
	    if (buf[1] < 'A') return (FALSE);
	    else *val += (buf[1] - 'A' + 10);
	}
	return (TRUE);
    }

}

/*	End of File:	drvCom.c */
