/*missing.c,v 1.1.1.1 1999/08/03 14:43:08 tis4000 Exp */

/************************************************************************/
/*									*/
/*		ROUTINES MISSING IN THE DEC RISC ULTRIX WORLD		*/
/*		(AND IN the SYSTEM V RELEASE 4 WORLD)			*/
/*									*/
/* The following set of very simple minded routines are defined in the  */
/* run time libraries in the Sun OS world. First, the Academy award for	*/
/* brain damage in a color workstation goes to DEC for not providing	*/
/* them. Secondly, it's easier to code them than it is to find all of	*/
/* the places that use them.						*/
/*									*/
/************************************************************************/

#include <math.h>
#if (defined(SOLARIS) || defined(WIN32))
#include <sys/time.h>
#endif

double exp10(x)
double x;
{
	return exp(x * 2.302585093);
}


int nint(quant)
double quant;
{
	return (int)rint(quant);
}

usleep(useconds)
unsigned useconds;
{
#ifdef SOLARIS
	{ struct timeval timedelay;
	  timedelay.tv_sec = useconds / 1000000;
	  timedelay.tv_usec = useconds % 1000000;
	  select(0, 0, 0, 0, &timedelay);
	}
#elif defined(WIN32)
/*
	Convert microseconds to seconds
*/

	useconds /= 1000;

	Sleep(useconds);
#else
/*
	Convert microseconds to seconds
*/

	useconds /= 1000000;

	sleep(useconds);
#endif
}

