#dlinfocvrt.m4,v 1.1.1.1 1999/08/03 14:43:47 tis4000 Exp

#################################################################
#								#
#	This software is the proprietary property of Tate	#
#	Integrated Systems, L.P.  Patents and copyrights are	#
#	pending.						#
#								#
#	This software is furnished under a license and may	#
#	be used and copied only in accordance with the terms	#
#	of such license and with the inclusion of the above	#
#	notice. This software or any other copies thereof	#
#	may not be provided or otherwise made available to	#
#	any other person. No title to and ownership of the	#
#	software is hereby transferred.				#
#								#
#	The information in this software is subject to		#
#	change without notice and should not be construed 	#
#	as a commitment by Tate Integrated Systems L.P. or	#
#	its third party suppliers.				#
#								#
#	Tate Integrated Systems, L.P. (TIS) and its third	#
#	party suppliers assume no responsibility for the	#
#	use or inability to use any of its software. TIS	#
#	software is provided "as is" without warranty of	#
#	any kind and TIS expressly disclaims all implied	#
#	warranties, including but not limited to the implied	#
#	warranties of merchantability and fitness for a		#
#	particular purpose.					#
#								#
#	Notice: Notwithstanding any other lease or license	#
#	that may pertain to or accompany the delivery of this	#
#	computer software, the rights of the Government		#
#	regarding its use, reproduction, and disclosure are	#
#	as set forth in Section 52.227-19 of the FARS		#
#	Computer Software-Restricted Rights clause.		#
#								#
#################################################################
include(../h/infodefines.m4)
COMMENT
#
#	D L I N F O C V R T . M 4
#
#	Author 	Jeffrey O. Hill
#		hill@luke.lanl.gov
#		505 665 1831
#
#	m4 macros which convert dldef.m4 to dlinfo.h
#
#
#	Notes
#
#
#	
#	History
#
#





#
#	NOTE: The text following is inserted into dlinfo.h
#
#
ENDCOMMENT
INLINE
/*
 *
 *	OPI display list structures auxillary information
 *	(The source of dlinfo.h is dldef.m4 - changes to dlinfo.h will
 *	be superseded)
 *
 *
 *	Author 	Jeffrey O. Hill
 *		hill@luke.lanl.gov
 *		505 665 1831
 *
 */
ENDINLINE




COMMENT
	BEWARE: if you change the quote characters- dont make them both
	the same character
ENDCOMMENT
divert(GINFO_DIVERT)
struct ginfo{
	int		size;
	struct sinfo	*sinfo;
};
divert(DEFAULT_DIVERT)

divert(GROUP_DIVERT)
struct group{
	char		**einfo;
	struct ginfo	*ginfo;
};
divert(DEFAULT_DIVERT)

include(../h/typeinfocvrt.m4)

define(OBJECTLIST,
`ENUMERATION($1)divert(GINFO_DIVERT)
#ifndef DLINFOGLBL
extern
#endif
struct ginfo $1_ginfo[] 
#ifdef DLINFOGLBL
= {
divert(GROUP_DIVERT)
#ifndef DLINFOGLBL
extern
#endif
struct group $1_group 
#ifdef DLINFOGLBL
= {
	$1_einfo,
	$1_ginfo
}
#endif
;
divert(CLASS_DIVERT)

#ifndef DLINFOGLBL
extern
#endif
enum dl_element_class	dl_element_class[]
#ifdef DLINFOGLBL
 = {
divert(DEFAULT_DIVERT)')

define(ENDOBJECTLIST,`ENDENUMERATION divert(GINFO_DIVERT)	{0,0}
}
#endif
;
divert(CLASS_DIVERT)	0};
#endif
;
divert(DEFAULT_DIVERT)')

define(OBJECT,
`ITEM($1,$2)STRUCTURE($1)divert(GINFO_DIVERT)	{ sizeof(struct PARENT_STRUCT),INSERT(PARENT_STRUCT)_sinfo },
divert(CLASS_DIVERT)	$3,
divert(DEFAULT_DIVERT)')

define(ENDOBJECT,`ENDSTRUCTURE')
define(ATTR,`FIELD($1,$2,$3,$4,$5,$6)')

include(dldef.m4)
