/*
	sinfo_string_init.c Created by ./sinfoStringConv
	on Mon Dec  1 14:17:03 1997

	Initialize strings within the 'sinfo' structure.
*/
#include	<edd.h>
#include	<dlinfo.h>
#include	<einfoString.h>
void	sinfoStringInit()
{

/* Initialize dl_element_hdr_sinfo structure */

dl_element_hdr_sinfo[0].pString = "~element type";
dl_element_hdr_sinfo[0].pDisp = dl_elements_einfo_d;
dl_element_hdr_sinfo[1].pString = "~available";
dl_element_hdr_sinfo[2].pString = "~shrt wds to nxt elmnt";

/* Initialize dl_object_hdr_sinfo structure */

dl_object_hdr_sinfo[0].pString = "~horizontal position";
dl_object_hdr_sinfo[1].pString = "~vertical position";
dl_object_hdr_sinfo[2].pString = "~horizontal size";
dl_object_hdr_sinfo[3].pString = "~vertical size";

/* Initialize dl_point_sinfo structure */

dl_point_sinfo[0].pString = "~horizontal position";
dl_point_sinfo[1].pString = "~vertical position";

/* Initialize dl_plot_hdr_sinfo structure */

dl_plot_hdr_sinfo[0].pString = "~available";
dl_plot_hdr_sinfo[1].pString = "~plot title";
dl_plot_hdr_sinfo[2].pString = "~x axis title";
dl_plot_hdr_sinfo[3].pString = "~y axis title";
dl_plot_hdr_sinfo[4].pString = "~plot package";
dl_plot_hdr_sinfo[5].pString = "~foreground color";
dl_plot_hdr_sinfo[6].pString = "~background color";

/* Initialize dl_control_hdr_sinfo structure */

dl_control_hdr_sinfo[0].pString = "~available";
dl_control_hdr_sinfo[1].pString = "~channel to control";
dl_control_hdr_sinfo[2].pString = "~foreground color";
dl_control_hdr_sinfo[3].pString = "~background color";

/* Initialize dl_monitor_hdr_sinfo structure */

dl_monitor_hdr_sinfo[0].pString = "~available";
dl_monitor_hdr_sinfo[1].pString = "~channel to monitor";
dl_monitor_hdr_sinfo[2].pString = "~foreground color";
dl_monitor_hdr_sinfo[3].pString = "~background color";

/* Initialize dl_sta_attr_sinfo structure */

dl_sta_attr_sinfo[0].pString = "~color";
dl_sta_attr_sinfo[1].pString = "~edge style";
dl_sta_attr_sinfo[1].pDisp = dl_edge_style_einfo_d;
dl_sta_attr_sinfo[2].pString = "~fill style";
dl_sta_attr_sinfo[2].pDisp = dl_fill_style_einfo_d;
dl_sta_attr_sinfo[3].pString = "~line width";

/* Initialize dl_dyn_mod_sinfo structure */

dl_dyn_mod_sinfo[0].pString = "~color modifier";
dl_dyn_mod_sinfo[0].pDisp = dl_dynamic_color_mod_einfo_d;
dl_dyn_mod_sinfo[1].pString = "~visibility modifier";
dl_dyn_mod_sinfo[1].pDisp = dl_dynamic_visibility_mod_einfo_d;

/* Initialize dl_dyn_param_sinfo structure */

dl_dyn_param_sinfo[0].pString = "~result of color rule execution";
dl_dyn_param_sinfo[1].pString = "~unused result of color rule execution";
dl_dyn_param_sinfo[2].pString = "~channel for dynamics";
dl_dyn_param_sinfo[3].pString = "~channels for dynamic color rules";
dl_dyn_param_sinfo[4].pString = "~color rule name";
dl_dyn_param_sinfo[5].pString = "~color rule arguments";

/* Initialize dl_dyn_attr_sinfo structure */

dl_dyn_attr_sinfo[0].pString = "~dynamic modifiers";
dl_dyn_attr_sinfo[1].pString = "~dynamic parameters";

/* Initialize dl_color_sinfo structure */

dl_color_sinfo[0].pString = "~red intensity";
dl_color_sinfo[1].pString = "~green intensity";
dl_color_sinfo[2].pString = "~blue intensity";
dl_color_sinfo[3].pString = "~greyscale intensity";
dl_color_sinfo[4].pString = "~blink enable";
dl_color_sinfo[4].pDisp = dl_on_off_einfo_d;
dl_color_sinfo[5].pString = "~available";

/* Initialize dl_color_rule_info_sinfo structure */

dl_color_rule_info_sinfo[0].pString = "~channel";
dl_color_rule_info_sinfo[1].pString = "~value";
dl_color_rule_info_sinfo[2].pString = "~logical connector";
dl_color_rule_info_sinfo[2].pDisp = dl_color_rule_connector_einfo_d;
dl_color_rule_info_sinfo[3].pString = "~relational operator";
dl_color_rule_info_sinfo[3].pDisp = dl_color_rule_operation_einfo_d;
dl_color_rule_info_sinfo[4].pString = "~color";
dl_color_rule_info_sinfo[5].pString = "~available";

/* Initialize dl_color_rule_sinfo structure */

dl_color_rule_sinfo[0].pString = "~rule name";
dl_color_rule_sinfo[1].pString = "~rule information";
dl_color_rule_sinfo[2].pString = "~foreground enable";
dl_color_rule_sinfo[2].pDisp = dl_on_off_einfo_d;
dl_color_rule_sinfo[3].pString = "~background enable";
dl_color_rule_sinfo[3].pDisp = dl_on_off_einfo_d;
dl_color_rule_sinfo[4].pString = "~foreground color";
dl_color_rule_sinfo[5].pString = "~background color";

/* Initialize dl_pen_sinfo structure */

dl_pen_sinfo[0].pString = "~pen channel";
dl_pen_sinfo[1].pString = "~pen color";
dl_pen_sinfo[2].pString = "~available";
dl_pen_sinfo[3].pString = "~available";
dl_pen_sinfo[4].pString = "~available";

/* Initialize dl_trace_sinfo structure */

dl_trace_sinfo[0].pString = "~x data channel";
dl_trace_sinfo[1].pString = "~y data channel";
dl_trace_sinfo[2].pString = "~data color";
dl_trace_sinfo[3].pString = "~available";
dl_trace_sinfo[4].pString = "~available";
dl_trace_sinfo[5].pString = "~available";

/* Initialize dl_rd_info_sinfo structure */

dl_rd_info_sinfo[0].pString = "~menu label";
dl_rd_info_sinfo[1].pString = "~display name";
dl_rd_info_sinfo[2].pString = "~display arguments";

/* Initialize dl_es_info_sinfo structure */

dl_es_info_sinfo[0].pString = "~menu label";
dl_es_info_sinfo[1].pString = "~script path";
dl_es_info_sinfo[2].pString = "~script arguments";

/* Initialize dl_hdr_sinfo structure */

dl_hdr_sinfo[0].pString = "~display list magic value";
dl_hdr_sinfo[1].pString = "~display list major version";
dl_hdr_sinfo[2].pString = "~display list minor version";
dl_hdr_sinfo[3].pString = "~number of dynamic graphical";
dl_hdr_sinfo[4].pString = "~number of process connections";
dl_hdr_sinfo[5].pString = "~number of strings";
dl_hdr_sinfo[6].pString = "~number of monitor elements";
dl_hdr_sinfo[7].pString = "~number of control elements";
dl_hdr_sinfo[8].pString = "~number of plot elements";
dl_hdr_sinfo[9].pString = "~number of related display elements";
dl_hdr_sinfo[10].pString = "~number of execute script elements";
dl_hdr_sinfo[11].pString = "~number of kill display elements";
dl_hdr_sinfo[12].pString = "~object header";
dl_hdr_sinfo[13].pString = "~foreground color";
dl_hdr_sinfo[14].pString = "~background color";
dl_hdr_sinfo[15].pString = "~shrt wds in display";
dl_hdr_sinfo[16].pString = "~shrt wds in static element portion";
dl_hdr_sinfo[17].pString = "~shrt wds in clr map portion";
dl_hdr_sinfo[18].pString = "~shrt wds in clr rules portion";
dl_hdr_sinfo[19].pString = "~shrt wd offset to dynamics";
dl_hdr_sinfo[20].pString = "~shrt wd offset to statics";
dl_hdr_sinfo[21].pString = "~shrt wd offset to monitors";
dl_hdr_sinfo[22].pString = "~shrt wd offset to controls";
dl_hdr_sinfo[23].pString = "~shrt wd offset to plots";
dl_hdr_sinfo[24].pString = "~shrt wd offset to related displays";
dl_hdr_sinfo[25].pString = "~shrt wd offset to execute scripts";
dl_hdr_sinfo[26].pString = "~shrt wd offset to kill displays";
dl_hdr_sinfo[27].pString = "~shrt wd offset to proc conns";
dl_hdr_sinfo[28].pString = "~shrt wd offset to strings";
dl_hdr_sinfo[29].pString = "~shrt wd offset to clr map";
dl_hdr_sinfo[30].pString = "~shrt wd offset to clr rules";
dl_hdr_sinfo[31].pString = "~default edge style";
dl_hdr_sinfo[31].pDisp = dl_edge_style_einfo_d;
dl_hdr_sinfo[32].pString = "~default fill style";
dl_hdr_sinfo[32].pDisp = dl_fill_style_einfo_d;
dl_hdr_sinfo[33].pString = "~default line width";
dl_hdr_sinfo[34].pString = "~default color modifier";
dl_hdr_sinfo[34].pDisp = dl_dynamic_color_mod_einfo_d;
dl_hdr_sinfo[35].pString = "~visibility modifier";
dl_hdr_sinfo[35].pDisp = dl_dynamic_visibility_mod_einfo_d;
dl_hdr_sinfo[36].pString = "~available";
dl_hdr_sinfo[37].pString = "~default color rule name";
dl_hdr_sinfo[38].pString = "~default channel";
dl_hdr_sinfo[39].pString = "~external color palette display name";
dl_hdr_sinfo[40].pString = "~exit action";
dl_hdr_sinfo[40].pDisp = dl_exit_action_einfo_d;
dl_hdr_sinfo[41].pString = "~startup program";
dl_hdr_sinfo[42].pString = "~privilege name";

/* Initialize dl_anygo_sinfo structure */

dl_anygo_sinfo[0].pString = "~element header";
dl_anygo_sinfo[1].pString = "~object header";
dl_anygo_sinfo[2].pString = "~id if in a group";

/* Initialize dl_rec_sinfo structure */

dl_rec_sinfo[0].pString = "~element header";
dl_rec_sinfo[1].pString = "~object header";
dl_rec_sinfo[2].pString = "~id if in a group";

/* Initialize dl_line_sinfo structure */

dl_line_sinfo[0].pString = "~element header";
dl_line_sinfo[1].pString = "~object header";
dl_line_sinfo[2].pString = "~id if in a group";
dl_line_sinfo[3].pString = "~n points following header";
dl_line_sinfo[4].pString = "~point parameters";
dl_line_sinfo[5].pString = "~original point parameters";

/* Initialize dl_oval_sinfo structure */

dl_oval_sinfo[0].pString = "~element header";
dl_oval_sinfo[1].pString = "~object header";
dl_oval_sinfo[2].pString = "~id if in a group";

/* Initialize dl_arc_sinfo structure */

dl_arc_sinfo[0].pString = "~element header";
dl_arc_sinfo[1].pString = "~object header";
dl_arc_sinfo[2].pString = "~id if in a group";
dl_arc_sinfo[3].pString = "~begin angle (64's of a degree)";
dl_arc_sinfo[4].pString = "~path length angle (64's of a degree)";

/* Initialize dl_text_sinfo structure */

dl_text_sinfo[0].pString = "~element header";
dl_text_sinfo[1].pString = "~object header";
dl_text_sinfo[2].pString = "~id if in a group";
dl_text_sinfo[3].pString = "~available";
dl_text_sinfo[4].pString = "~text string";
dl_text_sinfo[5].pString = "~text alignment";
dl_text_sinfo[5].pDisp = dl_string_alignment_einfo_d;

/* Initialize dl_user_sinfo structure */

dl_user_sinfo[0].pString = "~element header";
dl_user_sinfo[1].pString = "~object header";
dl_user_sinfo[2].pString = "~id if in a group";
dl_user_sinfo[3].pString = "~available";
dl_user_sinfo[4].pString = "~user parameters";

/* Initialize dl_anymo_sinfo structure */

dl_anymo_sinfo[0].pString = "~element header";
dl_anymo_sinfo[1].pString = "~object header";
dl_anymo_sinfo[2].pString = "~id if in a group";
dl_anymo_sinfo[3].pString = "~monitor header";

/* Initialize dl_bar_sinfo structure */

dl_bar_sinfo[0].pString = "~element header";
dl_bar_sinfo[1].pString = "~object header";
dl_bar_sinfo[2].pString = "~id if in a group";
dl_bar_sinfo[3].pString = "~monitor header";
dl_bar_sinfo[4].pString = "~label type";
dl_bar_sinfo[4].pDisp = dl_bar_label_type_einfo_d;
dl_bar_sinfo[5].pString = "~color modifier";
dl_bar_sinfo[5].pDisp = dl_dynamic_color_mod_einfo_d;
dl_bar_sinfo[6].pString = "~color rule name";
dl_bar_sinfo[7].pString = "~color rule arguments";
dl_bar_sinfo[8].pString = "~channels for dynamic color rules";
dl_bar_sinfo[9].pString = "~direction of increase";
dl_bar_sinfo[9].pDisp = dl_dynamic_direction_einfo_d;
dl_bar_sinfo[10].pString = "~fill modifier";
dl_bar_sinfo[10].pDisp = dl_dynamic_fill_mod_einfo_d;
dl_bar_sinfo[11].pString = "~result of color rule execution";
dl_bar_sinfo[12].pString = "~result of color rule execution";

/* Initialize dl_tank_sinfo structure */

dl_tank_sinfo[0].pString = "~element header";
dl_tank_sinfo[1].pString = "~object header";
dl_tank_sinfo[2].pString = "~id if in a group";
dl_tank_sinfo[3].pString = "~monitor header";
dl_tank_sinfo[4].pString = "~label type";
dl_tank_sinfo[4].pDisp = dl_tank_label_type_einfo_d;
dl_tank_sinfo[5].pString = "~color modifier";
dl_tank_sinfo[5].pDisp = dl_dynamic_color_mod_einfo_d;
dl_tank_sinfo[6].pString = "~color rule name";
dl_tank_sinfo[7].pString = "~color rule arguments";
dl_tank_sinfo[8].pString = "~channels for dynamic color rules";
dl_tank_sinfo[9].pString = "~fill modifier";
dl_tank_sinfo[9].pDisp = dl_dynamic_fill_mod_einfo_d;
dl_tank_sinfo[10].pString = "~direction of increase";
dl_tank_sinfo[10].pDisp = dl_dynamic_direction_einfo_d;
dl_tank_sinfo[11].pString = "~result of color rule execution";
dl_tank_sinfo[12].pString = "~result of color rule execution";

/* Initialize dl_meter_sinfo structure */

dl_meter_sinfo[0].pString = "~element header";
dl_meter_sinfo[1].pString = "~object header";
dl_meter_sinfo[2].pString = "~id if in a group";
dl_meter_sinfo[3].pString = "~monitor header";
dl_meter_sinfo[4].pString = "~label type";
dl_meter_sinfo[4].pDisp = dl_meter_label_type_einfo_d;
dl_meter_sinfo[5].pString = "~color modifier";
dl_meter_sinfo[5].pDisp = dl_dynamic_color_mod_einfo_d;
dl_meter_sinfo[6].pString = "~color rule name";
dl_meter_sinfo[7].pString = "~color rule arguments";
dl_meter_sinfo[8].pString = "~channels for dynamic color rules";
dl_meter_sinfo[9].pString = "~result of color rule execution";
dl_meter_sinfo[10].pString = "~result of color rule execution";

/* Initialize dl_indicator_sinfo structure */

dl_indicator_sinfo[0].pString = "~element header";
dl_indicator_sinfo[1].pString = "~object header";
dl_indicator_sinfo[2].pString = "~id if in a group";
dl_indicator_sinfo[3].pString = "~monitor header";
dl_indicator_sinfo[4].pString = "~label type";
dl_indicator_sinfo[4].pDisp = dl_indicator_label_type_einfo_d;
dl_indicator_sinfo[5].pString = "~color modifier";
dl_indicator_sinfo[5].pDisp = dl_dynamic_color_mod_einfo_d;
dl_indicator_sinfo[6].pString = "~color rule name";
dl_indicator_sinfo[7].pString = "~color rule arguments";
dl_indicator_sinfo[8].pString = "~channels for dynamic color rules";
dl_indicator_sinfo[9].pString = "~pointer direction";
dl_indicator_sinfo[9].pDisp = dl_pointer_direction_einfo_d;
dl_indicator_sinfo[10].pString = "~available";
dl_indicator_sinfo[11].pString = "~result of color rule execution";
dl_indicator_sinfo[12].pString = "~result of color rule execution";

/* Initialize dl_text_update_sinfo structure */

dl_text_update_sinfo[0].pString = "~element header";
dl_text_update_sinfo[1].pString = "~object header";
dl_text_update_sinfo[2].pString = "~id if in a group";
dl_text_update_sinfo[3].pString = "~monitor header";
dl_text_update_sinfo[4].pString = "~color modifier";
dl_text_update_sinfo[4].pDisp = dl_dynamic_color_mod_einfo_d;
dl_text_update_sinfo[5].pString = "~available";
dl_text_update_sinfo[6].pString = "~color rule name";
dl_text_update_sinfo[7].pString = "~color rule arguments";
dl_text_update_sinfo[8].pString = "~channels for dynamic color rules";
dl_text_update_sinfo[9].pString = "~text alignment";
dl_text_update_sinfo[9].pDisp = dl_string_alignment_einfo_d;
dl_text_update_sinfo[10].pString = "~text format";
dl_text_update_sinfo[10].pDisp = dl_string_format_einfo_d;
dl_text_update_sinfo[11].pString = "~result of color rule execution";
dl_text_update_sinfo[12].pString = "~result of color rule execution";

/* Initialize dl_symbol_sinfo structure */

dl_symbol_sinfo[0].pString = "~element header";
dl_symbol_sinfo[1].pString = "~object header";
dl_symbol_sinfo[2].pString = "~id if in a group";
dl_symbol_sinfo[3].pString = "~monitor header";
dl_symbol_sinfo[4].pString = "~available";
dl_symbol_sinfo[5].pString = "~symbol parameters";

/* Initialize dl_anypo_sinfo structure */

dl_anypo_sinfo[0].pString = "~element header";
dl_anypo_sinfo[1].pString = "~object header";
dl_anypo_sinfo[2].pString = "~id if in a group";
dl_anypo_sinfo[3].pString = "~common plot parameters";

/* Initialize dl_plot_sinfo structure */

dl_plot_sinfo[0].pString = "~element header";
dl_plot_sinfo[1].pString = "~object header";
dl_plot_sinfo[2].pString = "~id if in a group";
dl_plot_sinfo[3].pString = "~common plot parameters";
dl_plot_sinfo[4].pString = "~plot style";
dl_plot_sinfo[4].pDisp = dl_plot_style_einfo_d;
dl_plot_sinfo[5].pString = "~erase oldest sample";
dl_plot_sinfo[5].pDisp = dl_on_off_einfo_d;
dl_plot_sinfo[6].pString = "~sample save count";
dl_plot_sinfo[7].pString = "~available";
dl_plot_sinfo[8].pString = "~trace parameters";

/* Initialize dl_smith_overlay_sinfo structure */

dl_smith_overlay_sinfo[0].pString = "~element header";
dl_smith_overlay_sinfo[1].pString = "~object header";
dl_smith_overlay_sinfo[2].pString = "~id if in a group";
dl_smith_overlay_sinfo[3].pString = "~common plot parameters";
dl_smith_overlay_sinfo[4].pString = "~impedance grid";
dl_smith_overlay_sinfo[4].pDisp = dl_on_off_einfo_d;
dl_smith_overlay_sinfo[5].pString = "~admittance grid";
dl_smith_overlay_sinfo[5].pDisp = dl_on_off_einfo_d;
dl_smith_overlay_sinfo[6].pString = "~impedance grid color";
dl_smith_overlay_sinfo[7].pString = "~admittance grid color";
dl_smith_overlay_sinfo[8].pString = "~data color";
dl_smith_overlay_sinfo[9].pString = "~available";
dl_smith_overlay_sinfo[10].pString = "~x data channel";
dl_smith_overlay_sinfo[11].pString = "~y data channel";

/* Initialize dl_surface_plot_sinfo structure */

dl_surface_plot_sinfo[0].pString = "~element header";
dl_surface_plot_sinfo[1].pString = "~object header";
dl_surface_plot_sinfo[2].pString = "~id if in a group";
dl_surface_plot_sinfo[3].pString = "~common plot parameters";
dl_surface_plot_sinfo[4].pString = "~available";
dl_surface_plot_sinfo[5].pString = "~2D Z data channel";
dl_surface_plot_sinfo[6].pString = "~data color";
dl_surface_plot_sinfo[7].pString = "~available";
dl_surface_plot_sinfo[8].pString = "~viewing distance";
dl_surface_plot_sinfo[9].pString = "~xy viewing angle";
dl_surface_plot_sinfo[10].pString = "~z viewing angle";

/* Initialize dl_strip_sinfo structure */

dl_strip_sinfo[0].pString = "~element header";
dl_strip_sinfo[1].pString = "~object header";
dl_strip_sinfo[2].pString = "~id if in a group";
dl_strip_sinfo[3].pString = "~common plot parameters";
dl_strip_sinfo[4].pString = "~delay between samples";
dl_strip_sinfo[5].pString = "~delay units";
dl_strip_sinfo[5].pDisp = dl_time_units_einfo_d;
dl_strip_sinfo[6].pString = "~available";
dl_strip_sinfo[7].pString = "~available";
dl_strip_sinfo[8].pString = "~available";
dl_strip_sinfo[9].pString = "~pen parameters";

/* Initialize dl_anyco_sinfo structure */

dl_anyco_sinfo[0].pString = "~element header";
dl_anyco_sinfo[1].pString = "~object header";
dl_anyco_sinfo[2].pString = "~id if in a group";
dl_anyco_sinfo[3].pString = "~control header";

/* Initialize dl_valuator_sinfo structure */

dl_valuator_sinfo[0].pString = "~element header";
dl_valuator_sinfo[1].pString = "~object header";
dl_valuator_sinfo[2].pString = "~id if in a group";
dl_valuator_sinfo[3].pString = "~control header";
dl_valuator_sinfo[4].pString = "~label type";
dl_valuator_sinfo[4].pDisp = dl_valuator_label_type_einfo_d;
dl_valuator_sinfo[5].pString = "~color modifier";
dl_valuator_sinfo[5].pDisp = dl_dynamic_color_mod_einfo_d;
dl_valuator_sinfo[6].pString = "~color rule name";
dl_valuator_sinfo[7].pString = "~color rule arguments";
dl_valuator_sinfo[8].pString = "~channels for dynamic color rules";
dl_valuator_sinfo[9].pString = "~pointer direction";
dl_valuator_sinfo[9].pDisp = dl_pointer_direction_einfo_d;
dl_valuator_sinfo[10].pString = "~available";
dl_valuator_sinfo[11].pString = "~result of color rule execution";
dl_valuator_sinfo[12].pString = "~result of color rule execution";

/* Initialize dl_text_entry_sinfo structure */

dl_text_entry_sinfo[0].pString = "~element header";
dl_text_entry_sinfo[1].pString = "~object header";
dl_text_entry_sinfo[2].pString = "~id if in a group";
dl_text_entry_sinfo[3].pString = "~control header";
dl_text_entry_sinfo[4].pString = "~color modifier";
dl_text_entry_sinfo[4].pDisp = dl_dynamic_color_mod_einfo_d;
dl_text_entry_sinfo[5].pString = "~available";
dl_text_entry_sinfo[6].pString = "~color rule name";
dl_text_entry_sinfo[7].pString = "~color rule arguments";
dl_text_entry_sinfo[8].pString = "~channels for dynamic color rules";
dl_text_entry_sinfo[9].pString = "~result of color rule execution";
dl_text_entry_sinfo[10].pString = "~result of color rule execution";

/* Initialize dl_button_sinfo structure */

dl_button_sinfo[0].pString = "~element header";
dl_button_sinfo[1].pString = "~object header";
dl_button_sinfo[2].pString = "~id if in a group";
dl_button_sinfo[3].pString = "~control header";
dl_button_sinfo[4].pString = "~color modifier";
dl_button_sinfo[4].pDisp = dl_dynamic_color_mod_einfo_d;
dl_button_sinfo[5].pString = "~available";
dl_button_sinfo[6].pString = "~color rule name";
dl_button_sinfo[7].pString = "~color rule arguments";
dl_button_sinfo[8].pString = "~channels for dynamic color rules";
dl_button_sinfo[9].pString = "~result of color rule execution";
dl_button_sinfo[10].pString = "~result of color rule execution";
dl_button_sinfo[11].pString = "~stacking modifier";
dl_button_sinfo[11].pDisp = dl_button_stacking_einfo_d;
dl_button_sinfo[12].pString = "~available";

/* Initialize dl_choice_button_sinfo structure */

dl_choice_button_sinfo[0].pString = "~element header";
dl_choice_button_sinfo[1].pString = "~object header";
dl_choice_button_sinfo[2].pString = "~id if in a group";
dl_choice_button_sinfo[3].pString = "~control header";
dl_choice_button_sinfo[4].pString = "~color modifier";
dl_choice_button_sinfo[4].pDisp = dl_dynamic_color_mod_einfo_d;
dl_choice_button_sinfo[5].pString = "~available";
dl_choice_button_sinfo[6].pString = "~color rule name";
dl_choice_button_sinfo[7].pString = "~color rule arguments";
dl_choice_button_sinfo[8].pString = "~channels for dynamic color rules";
dl_choice_button_sinfo[9].pString = "~result of color rule execution";
dl_choice_button_sinfo[10].pString = "~result of color rule execution";
dl_choice_button_sinfo[11].pString = "~stacking modifier";
dl_choice_button_sinfo[11].pDisp = dl_button_stacking_einfo_d;
dl_choice_button_sinfo[12].pString = "~available";

/* Initialize dl_message_button_sinfo structure */

dl_message_button_sinfo[0].pString = "~element header";
dl_message_button_sinfo[1].pString = "~object header";
dl_message_button_sinfo[2].pString = "~id if in a group";
dl_message_button_sinfo[3].pString = "~control header";
dl_message_button_sinfo[4].pString = "~available";
dl_message_button_sinfo[5].pString = "~press message";
dl_message_button_sinfo[6].pString = "~release message";
dl_message_button_sinfo[7].pString = "~color modifier";
dl_message_button_sinfo[7].pDisp = dl_dynamic_color_mod_einfo_d;
dl_message_button_sinfo[8].pString = "~available";
dl_message_button_sinfo[9].pString = "~button behavior";
dl_message_button_sinfo[9].pDisp = dl_button_behavior_einfo_d;
dl_message_button_sinfo[10].pString = "~color rule name";
dl_message_button_sinfo[11].pString = "~color rule arguments";
dl_message_button_sinfo[12].pString = "~channels for dynamic color rules";
dl_message_button_sinfo[13].pString = "~result of color rule execution";
dl_message_button_sinfo[14].pString = "~result of color rule execution";

/* Initialize dl_menu_sinfo structure */

dl_menu_sinfo[0].pString = "~element header";
dl_menu_sinfo[1].pString = "~object header";
dl_menu_sinfo[2].pString = "~id if in a group";
dl_menu_sinfo[3].pString = "~control header";
dl_menu_sinfo[4].pString = "~color modifier";
dl_menu_sinfo[4].pDisp = dl_dynamic_color_mod_einfo_d;
dl_menu_sinfo[5].pString = "~available";
dl_menu_sinfo[6].pString = "~result of color rule execution";
dl_menu_sinfo[7].pString = "~result of color rule execution";
dl_menu_sinfo[8].pString = "~available";
dl_menu_sinfo[9].pString = "~color rule name";
dl_menu_sinfo[10].pString = "~color rule arguments";
dl_menu_sinfo[11].pString = "~channels for dynamic color rules";

/* Initialize dl_2d_control_sinfo structure */

dl_2d_control_sinfo[0].pString = "~element header";
dl_2d_control_sinfo[1].pString = "~object header";
dl_2d_control_sinfo[2].pString = "~id if in a group";
dl_2d_control_sinfo[3].pString = "~control header";
dl_2d_control_sinfo[4].pString = "~available";
dl_2d_control_sinfo[5].pString = "~y control channel";
dl_2d_control_sinfo[6].pString = "~foreground color";
dl_2d_control_sinfo[7].pString = "~background color";
dl_2d_control_sinfo[8].pString = "~label type";
dl_2d_control_sinfo[8].pDisp = dl_2d_control_label_type_einfo_d;
dl_2d_control_sinfo[9].pString = "~color modifier";
dl_2d_control_sinfo[9].pDisp = dl_dynamic_color_mod_einfo_d;
dl_2d_control_sinfo[10].pString = "~color rule name";
dl_2d_control_sinfo[11].pString = "~color rule arguments";
dl_2d_control_sinfo[12].pString = "~channels for dynamic color rules";

/* Initialize dl_related_display_sinfo structure */

dl_related_display_sinfo[0].pString = "~element header";
dl_related_display_sinfo[1].pString = "~object header";
dl_related_display_sinfo[2].pString = "~id if in a group";
dl_related_display_sinfo[3].pString = "~self kill";
dl_related_display_sinfo[3].pDisp = dl_on_off_einfo_d;
dl_related_display_sinfo[4].pString = "~available";
dl_related_display_sinfo[5].pString = "~display info";
dl_related_display_sinfo[6].pString = "~foreground color";
dl_related_display_sinfo[7].pString = "~background color";

/* Initialize dl_execute_script_sinfo structure */

dl_execute_script_sinfo[0].pString = "~element header";
dl_execute_script_sinfo[1].pString = "~object header";
dl_execute_script_sinfo[2].pString = "~id if in a group";
dl_execute_script_sinfo[3].pString = "~available";
dl_execute_script_sinfo[4].pString = "~script info";
dl_execute_script_sinfo[5].pString = "~foreground color";
dl_execute_script_sinfo[6].pString = "~background color";

/* Initialize dl_kill_display_sinfo structure */

dl_kill_display_sinfo[0].pString = "~element header";
dl_kill_display_sinfo[1].pString = "~object header";
dl_kill_display_sinfo[2].pString = "~id if in a group";
dl_kill_display_sinfo[3].pString = "~available";
dl_kill_display_sinfo[4].pString = "~button label";
dl_kill_display_sinfo[5].pString = "~foreground color";
dl_kill_display_sinfo[6].pString = "~background color";

/* Initialize dl_group_sinfo structure */

dl_group_sinfo[0].pString = "~element header";
dl_group_sinfo[1].pString = "~object header";

/* Initialize dl_pc_sinfo structure */

dl_pc_sinfo[0].pString = "~element header";
dl_pc_sinfo[1].pString = "~n dynamic elements on this conn";

/* Initialize dl_string_sinfo structure */

dl_string_sinfo[0].pString = "~element header";
dl_string_sinfo[1].pString = "~n references to this string";

/* Initialize dl_color_map_sinfo structure */

dl_color_map_sinfo[0].pString = "~element header";
dl_color_map_sinfo[1].pString = "~n colors following header";

/* Initialize dl_color_rule_table_sinfo structure */

dl_color_rule_table_sinfo[0].pString = "~element header";
dl_color_rule_table_sinfo[1].pString = "~n color rules following header";
dl_color_rule_table_sinfo[2].pString = "~available";

/* Initialize dl_basic_attribute_sinfo structure */

dl_basic_attribute_sinfo[0].pString = "~element header";
dl_basic_attribute_sinfo[1].pString = "~static attributes";

/* Initialize dl_dynamic_attribute_sinfo structure */

dl_dynamic_attribute_sinfo[0].pString = "~element header";
dl_dynamic_attribute_sinfo[1].pString = "~dynamic attributes";
return;
}
