/*dmMenus.h,v 1.1.1.1 1999/08/03 14:44:03 tis4000 Exp */

/****************************************************************/
/*								*/
/*	This software is the proprietary property of Tate	*/
/*	Integrated Systems, L.P.  Patents and copyrights are	*/
/*	pending.						*/
/*								*/
/*	This software is furnished under a license and may	*/
/*	be used and copied only in accordance with the terms	*/
/*	of such license and with the inclusion of the above	*/
/*	notice. This software or any other copies thereof	*/
/*	may not be provided or otherwise made available to	*/
/*	any other person. No title to and ownership of the	*/
/*	software is hereby transferred.				*/
/*								*/
/*	The information in this software is subject to		*/
/*	change without notice and should not be construed 	*/
/*	as a commitment by Tate Integrated Systems L.P. or	*/
/*	its third party suppliers.				*/
/*								*/
/*	Tate Integrated Systems, L.P. (TIS) and its third	*/
/*	party suppliers assume no responsibility for the	*/
/*	use or inability to use any of its software. TIS	*/
/*	software is provided "as is" without warranty of	*/
/*	any kind and TIS expressly disclaims all implied	*/
/*	warranties, including but not limited to the implied	*/
/*	warranties of merchantability and fitness for a		*/
/*	particular purpose.					*/
/*								*/
/*	Notice: Notwithstanding any other lease or license	*/
/*	that may pertain to or accompany the delivery of this	*/
/*	computer software, the rights of the Government		*/
/*	regarding its use, reproduction, and disclosure are	*/
/*	as set forth in Section 52.227-19 of the FARS		*/
/*	Computer Software-Restricted Rights clause.		*/
/*								*/
/****************************************************************/
/*******************************************************************************
*
*	dmMenu_def.h
*
*	defines for creation of menus for display mgr's. plot windows and
*		display windows
*
*	DK	3/4/91
*/

#include <plain_menus.h>

/* define index for exit display select --
*	NOTE: must change if menu modified 
*/
#define EXIT_SELECT	2

void	dmPrint_display();
void 	dmExit_display();
void	dmQuit_menu();
void	dmPause_plot();
void	dmPrint_plot();
void	dmAutorange_plot();
void	dmClear_plot();
void	dmPause_strip();
void	dmUnpause_strip();
void	dmPrint_strip();


char			*display_menu[] = {
	"cancel",
	"print display",
	"exit display window",
	0
};

struct jump_table	display_jt[] = {
	{dmQuit_menu,		(void *) 0},
	{dmPrint_display,	(void *) 0},
	{dmExit_display,	(void *) 0},
	{0,0}
};

struct menu_configuration display_mc = {
	"Display menu",
	display_menu,
	display_jt
};

char			*plot_menu[] = {
	"clear plot",
	"pause plot",
	"print plot",
	"autorange",
	"cancel",
	0
};

struct jump_table	plot_jt[] = {
	{dmClear_plot,		(void *) 0},
	{dmPause_plot,		(void *) 0},
	{dmPrint_plot,		(void *) 0},
	{dmAutorange_plot,	(void *) 0},
	{dmQuit_menu,		(void *) 0},
	{0,0}
};

struct menu_configuration plot_mc = {
	"Plot menu",
	plot_menu,
	plot_jt
};
char			*strip_menu[] = {
	"pause strip chart",
	"resume strip chart", 
	"print strip_chart",
	"cancel",
	0
};

struct jump_table	strip_jt[] = {
	{dmPause_strip,		(void *) 0},
	{dmUnpause_strip,	(void *) 0},
	{dmPrint_strip,		(void *) 0},
	{dmQuit_menu,		(void *) 0},
	{0,0}
};

struct menu_configuration strip_mc = {
	"Strip menu",
	strip_menu,
	strip_jt
};
