/*font_table.h,v 1.1.1.1 1999/08/03 14:44:04 tis4000 Exp */

/****************************************************************/
/*								*/
/*	This software is the proprietary property of Tate	*/
/*	Integrated Systems, L.P.  Patents and copyrights are	*/
/*	pending.						*/
/*								*/
/*	This software is furnished under a license and may	*/
/*	be used and copied only in accordance with the terms	*/
/*	of such license and with the inclusion of the above	*/
/*	notice. This software or any other copies thereof	*/
/*	may not be provided or otherwise made available to	*/
/*	any other person. No title to and ownership of the	*/
/*	software is hereby transferred.				*/
/*								*/
/*	The information in this software is subject to		*/
/*	change without notice and should not be construed 	*/
/*	as a commitment by Tate Integrated Systems L.P. or	*/
/*	its third party suppliers.				*/
/*								*/
/*	Tate Integrated Systems, L.P. (TIS) and its third	*/
/*	party suppliers assume no responsibility for the	*/
/*	use or inability to use any of its software. TIS	*/
/*	software is provided "as is" without warranty of	*/
/*	any kind and TIS expressly disclaims all implied	*/
/*	warranties, including but not limited to the implied	*/
/*	warranties of merchantability and fitness for a		*/
/*	particular purpose.					*/
/*								*/
/*	Notice: Notwithstanding any other lease or license	*/
/*	that may pertain to or accompany the delivery of this	*/
/*	computer software, the rights of the Government		*/
/*	regarding its use, reproduction, and disclosure are	*/
/*	as set forth in Section 52.227-19 of the FARS		*/
/*	Computer Software-Restricted Rights clause.		*/
/*								*/
/****************************************************************/
#ifndef INCfont_tableh
#define INCfont_tableh

#ifndef _XLIB_H_
#include <X11/Xlib.h>
#endif

#define		MAXFONTHEIGHT	35
#define		MINFONTHEIGHT	5
#define		MAXFONTWIDTH	25
#define		MINFONTWIDTH	3

typedef struct	display_font_table{
	XFontStruct	*height_to_pfinfo[MAXFONTHEIGHT+1];
	XFontStruct	*width_to_pfinfo[MAXFONTWIDTH+1];
	unsigned char	min_font_width;
	unsigned char	min_font_height;
	unsigned char	max_font_width;
	unsigned char	max_font_height;
}font_table;

enum string_format {box_begin, box_end, box_center};

font_table *init_font_table();

#endif
