#ifndef DEMOMSGS_H_
#define DEMOMSGS_H_

#define	    GET_FILEDATA	    1	/* get file information */

typedef struct {
    short   type;		/* message type */
    short   pad;		/* pad for no-packing compilers */
    char    filename[80];	/* filename to get */
    long    req_filePosition;	/* location of segment data requested */
} FileMsg;
typedef struct {
    short   type;		/* message type */
    short   result;		/* response status */
    short   pad;		/* maintain quad alignment */
    short   fileDataSize;	/* size of this piece */
    long    fileTotalSize;	/* total file info size */
    long    filePosition;	/* relative location of reported area */
    char    fileData[1024];	/* data space */
} FileRsp;


typedef union {
    FileMsg	filemsg;
} ReqUnion;

typedef union {
    FileRsp	filersp;
} RespUnion;

#endif DEMOMSGS_H_