/*
  Support functions for PLC trending

  GCT 23-Oct-1997

*/
#ifdef WIN32
#define AI_FILE "\\tis4000db\\ai.dbf"
#define DI_FILE "\\tis4000db\\di.dbf"
#define AR_FILE "\\tis4000db\\ar_reduc.dbf"
#else
#define AI_FILE "/tis4000db/ai.dbf"
#define DI_FILE "/tis4000db/di.dbf"
#define AR_FILE "/tis4000db/ar_reduc.dbf"
#endif WIN32
#define ASLO_FIELD "ADJSLOPE"
#define AOFF_FIELD "ADJOFFSET"
#define LINR_FIELD "LINEARITY"
#define IRLO_FIELD "IRLOW"
#define IRHI_FIELD "IRHIGH"
#define EGUL_FIELD "EGULOW"
#define EGUF_FIELD "EGUHIGH"
#define LOPR_FIELD "DISPLOW"
#define HOPR_FIELD "DISPHIGH"
#define EGUT_FIELD "EGUTAG"
#define INVT_FIELD "INVERSION"
#define RATE_FIELD "RATE"
#define AR_METHOD_TAG "POINTMETH"
#define PCT_ANALOG 1
#define PCT_DIGITAL 0

double GetTrendData(char *pointName,short value,short pointType,double *hoprValue,double *loprValue,char *egutValue);
int StartUpdateGroup(char *IOCName,short line,short address);
int NextUpdatePoint(char *pointName,short *wordOffset,short *bitOffset);
char *getToken(FILE *fp);
int skipToIOC(FILE *fp);
