/*csldefs.h,v 1.1.1.1 1999/08/03 14:44:52 tis4000 Exp */

/****************************************************************/
/*								*/
/*	This software is the proprietary property of Tate	*/
/*	Integrated Systems, L.P.  Patents and copyrights are	*/
/*	pending.						*/
/*								*/
/*	This software is furnished under a license and may	*/
/*	be used and copied only in accordance with the terms	*/
/*	of such license and with the inclusion of the above	*/
/*	notice. This software or any other copies thereof	*/
/*	may not be provided or otherwise made available to	*/
/*	any other person. No title to and ownership of the	*/
/*	software is hereby transferred.				*/
/*								*/
/*	The information in this software is subject to		*/
/*	change without notice and should not be construed 	*/
/*	as a commitment by Tate Integrated Systems L.P. or	*/
/*	its third party suppliers.				*/
/*								*/
/*	Tate Integrated Systems, L.P. (TIS) and its third	*/
/*	party suppliers assume no responsibility for the	*/
/*	use or inability to use any of its software. TIS	*/
/*	software is provided "as is" without warranty of	*/
/*	any kind and TIS expressly disclaims all implied	*/
/*	warranties, including but not limited to the implied	*/
/*	warranties of merchantability and fitness for a		*/
/*	particular purpose.					*/
/*								*/
/*	Notice: Notwithstanding any other lease or license	*/
/*	that may pertain to or accompany the delivery of this	*/
/*	computer software, the rights of the Government		*/
/*	regarding its use, reproduction, and disclosure are	*/
/*	as set forth in Section 52.227-19 of the FARS		*/
/*	Computer Software-Restricted Rights clause.		*/
/*								*/
/****************************************************************/


#define	MAXCODESIZE	50000

/* Values returned for token values. Actual values are	*/
/* not important but each must be unique within a class.*/

/* Addition operators */

#define	ADDOP		1
#define	SUBTRACTOP	2

/* Multiplication operators */

#define	MULTIPLYOP	3
#define	DIVIDEOP	4

/* Relational operators */

#define	LTOP		5
#define	LEOP		6
#define	GTOP		7
#define	GEOP		8
#define	EQOP		9
#define	NEOP		10
#define	ISWITHINOP	11
#define	ISNOTWITHINOP	12

/* Logical Operators */

#define	ANDOP		13
#define	OROP		14
#define	NOTOP		15

/* Exponentiation */

#define	EXPONENTOP	16

/* Function Call */

#define	FUNCTIONCALL	17

/* Various */

#define	HASEXPIREDOP	18
#define	REACHABLEOP	19
#define	NOTREACHABLEOP	20
#define	SECONDSOP	21
#define	MINUTESOP	22
#define	HOURSOP		23
#define	NEGOP		24

/* Function names */

#define	FUNC_ABS	31
#define	FUNC_ACOS	32	
#define	FUNC_ASIN	33
#define	FUNC_ATAN	34	
#define	FUNC_CEILING	35	
#define	FUNC_COS	36	
#define	FUNC_EXP	37	
#define	FUNC_FLOOR	38	
#define	FUNC_LN		39	
#define	FUNC_LOG	40	
#define	FUNC_MAX	41	
#define	FUNC_MIN	42	
#define	FUNC_MOD	43		
#define	FUNC_SCRIPTSTATUS	44	
#define	FUNC_SIN	45	
#define	FUNC_SQRT	46
#define	FUNC_TAN	47	
#define	FUNC_RUNSTATUS	48
#define	FUNC_COMPSTATUS	49

/* SET operation types */

#define	SET_VARIABLE	0
#define	SET_TIMER	1
#define	SET_CHANNEL	2
#define	SET_CHANNELV	3

/* IF statement types */

#define	IF_GOTO		0
#define	IF_THEN		1
#define	IF_THEN_ELSE	2

/* WAIT statement types */

#define	WAIT_INTERVAL	0
#define	WAIT_COMP	1
#define	WAIT_COMP_TIME	2
#define	WAIT_TIME	3
#define	WAIT_EXPR	4

/* Start CSL and Execute types */

#define	WITHWAIT	0
#define	NOWAIT		1

/* Command types */

#define	COMD_DEVICE	0
#define	COMD_TIMERSTART	1
#define	COMD_TIMERSTOP	2

