#ifndef vnameINCLUDED
#include <vname.h>
#endif

#include "tisperm.h"


const vname	 *_tispermPredefs[_tispermCOUNT];
static const char	 *_tisperm_predefStrings[] = {
	"UserAlreadyExistsMsg",
	"FldProtections",
	"CautionNotice",
	"UserDeleteErr",
	"GrpStOpIm",
	"ApplyButton",
	"ProtGrpDoesNotExistMsg",
	"MemAllocErr",
	"NewUser",
	"ClearButton",
	"OkButton",
	"CancelButton",
	"PointTypes",
	"ModUser",
	"ContLineIm",
	"MemberOfLabel",
	"MenuBar",
	"ProtGrpRuler",
	"ModStr",
	"AccessDialogTitle",
	"NameItem",
	"QuitItem",
	"AccessDialog",
	"Training",
	"DbTagErr",
	"MainDialog",
	"ProtGrpListView",
	"Password",
	"PasswdLabel",
	"NewGroup",
	"LineTag",
	"ImageDict",
	"GroupMaint",
	"AccessDailog",
	"PrtGroupMenu",
	"DescItem",
	"GroupPgDeleteErr",
	"UsernameLabel",
	"UtilRuler",
	"DbCreateErr",
	"FieldView",
	"NoPasswdErr",
	"UpdateFldPrivMsg",
	"NewPrtGroup",
	"VerticalLine",
	"AccessErr",
	"UpdateAccessMsg",
	"PtGrpDbUpdateMsg",
	"AutologoutTimeLabel",
	"NoGroupMsg",
	"AboutTitle",
	"GroupnameDialog",
	"PtGrpItem",
	"ProtGrpMaint",
	"PasswdConfirmErr",
	"Description",
	"View",
	"HorizonmtalLine",
	"PointTypeLabel",
	"GroupsList",
	"PrGrpListView",
	"PrtGrpUpdateMsg",
	"DeleteGroupReqMsg",
	"OpenErr",
	"GroupMember",
	"GroupAlreadyExistsMsg",
	"GroupUpdatedMsg",
	"Operator",
	"GroupMenu",
	"VersionMsg",
	"Engineer",
	"VerifyLabel",
	"CommentLabel",
	"AssignGroups",
	"UserDoesNotExistMsg",
	"HelpMenu",
	"GroupDoesNotExistMsg",
	"Username",
	"AddedStr",
	"DeleteUserReqMsg",
	"ModGroup",
	"UserMenu",
	"Line",
	"PrtGrpUpdateReq",
	"UsernameDialog",
	"ModifyGroup",
	"Ruler",
	"GroupListView",
	"ProtGrpAlreadyExistsMsg",
	"NoPrivLevelMsg",
	"NothingSelectedMsg",
	"UpdateFldPrivReq",
	"UtilListView",
	"GroupRuler",
	"GroupDbUpdateMsg",
	"NoProtGroupMsg",
	"ContGrpEndIm",
	"DbOpenErr",
	"FieldPermsDialog",
	"GroupnameLabel",
	"DelStr",
	"Admin",
	"MemberOfPrGrp",
	"ContGrpIm",
	"PrGrpRuler",
	"MemberGroupLabel",
	"Verify",
	"Autologout",
	"SdrLoadErr",
	"GrpEndOpIm",
	"UserLabel",
	"DeletePrtGroup",
	"UserDbUpdateMsg",
	"DbFieldErr",
	"EditMenu",
	"DismissButton",
	"PtGrpGrpDeleteErr",
	"PtGrpLabel",
	"DescLabel",
	"GroupLabel",
	"DeleteGroup",
	"ModGroupMsg",
	"UsersList",
	"OptionsFormatErr",
	"GroupMaintDialog",
	"RemoveButton",
	"MainOpIm",
	"ClearFldPrivReq",
	"UserListView",
	"MembersList",
	"DefaultPassword",
	"GrpStClsIm",
	"NewProtGrp",
	"MessagesDictionary",
	"FileMenu",
	"MainClsIm",
	"InfoNotice",
	"Comment",
	"AddGroupMsg",
	"EmptyListMsg",
	"NothingModMsg",
	"TitlesDictionary",
	"GroupItem",
	"PtGrpDialog",
	"AllowAutologout",
	"DeleteUser",
	"ModProtGrp",
	"ModifyUser",
	"ModifyPrtGroup",
	"ProtGroup",
	"NoUserMsg",
	"UserRuler",
	"PtGrpPtsDeleteErr",
	"UpdateAccessReq",
	"PtGrpMaintDialog",
	"Groupname",
	"PrivilegeLevel",
	"GrpEndClsIm",
	"NoDelUntitledErr",
	"DeletePtGrpReqMsg",
	"AddButton",
	"UtilAccessButton",
	"AssignPerms",
	"ClearFldPrivMsg",
	"GroupUserDeleteErr",
	"SearchingDbMsg",
	"Supervisor"
};


void tispermInternNames() 
{
	register int	i;

	for ( i = 0; i < _tispermCOUNT; i++ ) 
		_tispermPredefs[i] = vnameInternGlobalLiteral( _tisperm_predefStrings[i] );
}
