#ifndef tispermINCLUDED
#define tispermINCLUDED

#ifndef vnameINCLUDED
#include <vname.h>
#endif

vportBEGIN_CPLUSPLUS_EXTERN_C

/*
 * * * * * * * * * CONSTANTS AND MACRO DEFINITIONS * * * * * * * * * *
 */

enum {
	_tisperm_UserAlreadyExistsMsg,
	_tisperm_FldProtections,
	_tisperm_CautionNotice,
	_tisperm_UserDeleteErr,
	_tisperm_GrpStOpIm,
	_tisperm_ApplyButton,
	_tisperm_ProtGrpDoesNotExistMsg,
	_tisperm_MemAllocErr,
	_tisperm_NewUser,
	_tisperm_ClearButton,
	_tisperm_OkButton,
	_tisperm_CancelButton,
	_tisperm_PointTypes,
	_tisperm_ModUser,
	_tisperm_ContLineIm,
	_tisperm_MemberOfLabel,
	_tisperm_MenuBar,
	_tisperm_ProtGrpRuler,
	_tisperm_ModStr,
	_tisperm_AccessDialogTitle,
	_tisperm_NameItem,
	_tisperm_QuitItem,
	_tisperm_AccessDialog,
	_tisperm_Training,
	_tisperm_DbTagErr,
	_tisperm_MainDialog,
	_tisperm_ProtGrpListView,
	_tisperm_Password,
	_tisperm_PasswdLabel,
	_tisperm_NewGroup,
	_tisperm_LineTag,
	_tisperm_ImageDict,
	_tisperm_GroupMaint,
	_tisperm_AccessDailog,
	_tisperm_PrtGroupMenu,
	_tisperm_DescItem,
	_tisperm_GroupPgDeleteErr,
	_tisperm_UsernameLabel,
	_tisperm_UtilRuler,
	_tisperm_DbCreateErr,
	_tisperm_FieldView,
	_tisperm_NoPasswdErr,
	_tisperm_UpdateFldPrivMsg,
	_tisperm_NewPrtGroup,
	_tisperm_VerticalLine,
	_tisperm_AccessErr,
	_tisperm_UpdateAccessMsg,
	_tisperm_PtGrpDbUpdateMsg,
	_tisperm_AutologoutTimeLabel,
	_tisperm_NoGroupMsg,
	_tisperm_AboutTitle,
	_tisperm_GroupnameDialog,
	_tisperm_PtGrpItem,
	_tisperm_ProtGrpMaint,
	_tisperm_PasswdConfirmErr,
	_tisperm_Description,
	_tisperm_View,
	_tisperm_HorizonmtalLine,
	_tisperm_PointTypeLabel,
	_tisperm_GroupsList,
	_tisperm_PrGrpListView,
	_tisperm_PrtGrpUpdateMsg,
	_tisperm_DeleteGroupReqMsg,
	_tisperm_OpenErr,
	_tisperm_GroupMember,
	_tisperm_GroupAlreadyExistsMsg,
	_tisperm_GroupUpdatedMsg,
	_tisperm_Operator,
	_tisperm_GroupMenu,
	_tisperm_VersionMsg,
	_tisperm_Engineer,
	_tisperm_VerifyLabel,
	_tisperm_CommentLabel,
	_tisperm_AssignGroups,
	_tisperm_UserDoesNotExistMsg,
	_tisperm_HelpMenu,
	_tisperm_GroupDoesNotExistMsg,
	_tisperm_Username,
	_tisperm_AddedStr,
	_tisperm_DeleteUserReqMsg,
	_tisperm_ModGroup,
	_tisperm_UserMenu,
	_tisperm_Line,
	_tisperm_PrtGrpUpdateReq,
	_tisperm_UsernameDialog,
	_tisperm_ModifyGroup,
	_tisperm_Ruler,
	_tisperm_GroupListView,
	_tisperm_ProtGrpAlreadyExistsMsg,
	_tisperm_NoPrivLevelMsg,
	_tisperm_NothingSelectedMsg,
	_tisperm_UpdateFldPrivReq,
	_tisperm_UtilListView,
	_tisperm_GroupRuler,
	_tisperm_GroupDbUpdateMsg,
	_tisperm_NoProtGroupMsg,
	_tisperm_ContGrpEndIm,
	_tisperm_DbOpenErr,
	_tisperm_FieldPermsDialog,
	_tisperm_GroupnameLabel,
	_tisperm_DelStr,
	_tisperm_Admin,
	_tisperm_MemberOfPrGrp,
	_tisperm_ContGrpIm,
	_tisperm_PrGrpRuler,
	_tisperm_MemberGroupLabel,
	_tisperm_Verify,
	_tisperm_Autologout,
	_tisperm_SdrLoadErr,
	_tisperm_GrpEndOpIm,
	_tisperm_UserLabel,
	_tisperm_DeletePrtGroup,
	_tisperm_UserDbUpdateMsg,
	_tisperm_DbFieldErr,
	_tisperm_EditMenu,
	_tisperm_DismissButton,
	_tisperm_PtGrpGrpDeleteErr,
	_tisperm_PtGrpLabel,
	_tisperm_DescLabel,
	_tisperm_GroupLabel,
	_tisperm_DeleteGroup,
	_tisperm_ModGroupMsg,
	_tisperm_UsersList,
	_tisperm_OptionsFormatErr,
	_tisperm_GroupMaintDialog,
	_tisperm_RemoveButton,
	_tisperm_MainOpIm,
	_tisperm_ClearFldPrivReq,
	_tisperm_UserListView,
	_tisperm_MembersList,
	_tisperm_DefaultPassword,
	_tisperm_GrpStClsIm,
	_tisperm_NewProtGrp,
	_tisperm_MessagesDictionary,
	_tisperm_FileMenu,
	_tisperm_MainClsIm,
	_tisperm_InfoNotice,
	_tisperm_Comment,
	_tisperm_AddGroupMsg,
	_tisperm_EmptyListMsg,
	_tisperm_NothingModMsg,
	_tisperm_TitlesDictionary,
	_tisperm_GroupItem,
	_tisperm_PtGrpDialog,
	_tisperm_AllowAutologout,
	_tisperm_DeleteUser,
	_tisperm_ModProtGrp,
	_tisperm_ModifyUser,
	_tisperm_ModifyPrtGroup,
	_tisperm_ProtGroup,
	_tisperm_NoUserMsg,
	_tisperm_UserRuler,
	_tisperm_PtGrpPtsDeleteErr,
	_tisperm_UpdateAccessReq,
	_tisperm_PtGrpMaintDialog,
	_tisperm_Groupname,
	_tisperm_PrivilegeLevel,
	_tisperm_GrpEndClsIm,
	_tisperm_NoDelUntitledErr,
	_tisperm_DeletePtGrpReqMsg,
	_tisperm_AddButton,
	_tisperm_UtilAccessButton,
	_tisperm_AssignPerms,
	_tisperm_ClearFldPrivMsg,
	_tisperm_GroupUserDeleteErr,
	_tisperm_SearchingDbMsg,
	_tisperm_Supervisor,
	_tispermCOUNT
};


#define tisperm_UserAlreadyExistsMsg		 _tispermPredefs[_tisperm_UserAlreadyExistsMsg]
#define tisperm_FldProtections		 _tispermPredefs[_tisperm_FldProtections]
#define tisperm_CautionNotice		 _tispermPredefs[_tisperm_CautionNotice]
#define tisperm_UserDeleteErr		 _tispermPredefs[_tisperm_UserDeleteErr]
#define tisperm_GrpStOpIm		 _tispermPredefs[_tisperm_GrpStOpIm]
#define tisperm_ApplyButton		 _tispermPredefs[_tisperm_ApplyButton]
#define tisperm_ProtGrpDoesNotExistMsg		 _tispermPredefs[_tisperm_ProtGrpDoesNotExistMsg]
#define tisperm_MemAllocErr		 _tispermPredefs[_tisperm_MemAllocErr]
#define tisperm_NewUser		 _tispermPredefs[_tisperm_NewUser]
#define tisperm_ClearButton		 _tispermPredefs[_tisperm_ClearButton]
#define tisperm_OkButton		 _tispermPredefs[_tisperm_OkButton]
#define tisperm_CancelButton		 _tispermPredefs[_tisperm_CancelButton]
#define tisperm_PointTypes		 _tispermPredefs[_tisperm_PointTypes]
#define tisperm_ModUser		 _tispermPredefs[_tisperm_ModUser]
#define tisperm_ContLineIm		 _tispermPredefs[_tisperm_ContLineIm]
#define tisperm_MemberOfLabel		 _tispermPredefs[_tisperm_MemberOfLabel]
#define tisperm_MenuBar		 _tispermPredefs[_tisperm_MenuBar]
#define tisperm_ProtGrpRuler		 _tispermPredefs[_tisperm_ProtGrpRuler]
#define tisperm_ModStr		 _tispermPredefs[_tisperm_ModStr]
#define tisperm_AccessDialogTitle		 _tispermPredefs[_tisperm_AccessDialogTitle]
#define tisperm_NameItem		 _tispermPredefs[_tisperm_NameItem]
#define tisperm_QuitItem		 _tispermPredefs[_tisperm_QuitItem]
#define tisperm_AccessDialog		 _tispermPredefs[_tisperm_AccessDialog]
#define tisperm_Training		 _tispermPredefs[_tisperm_Training]
#define tisperm_DbTagErr		 _tispermPredefs[_tisperm_DbTagErr]
#define tisperm_MainDialog		 _tispermPredefs[_tisperm_MainDialog]
#define tisperm_ProtGrpListView		 _tispermPredefs[_tisperm_ProtGrpListView]
#define tisperm_Password		 _tispermPredefs[_tisperm_Password]
#define tisperm_PasswdLabel		 _tispermPredefs[_tisperm_PasswdLabel]
#define tisperm_NewGroup		 _tispermPredefs[_tisperm_NewGroup]
#define tisperm_LineTag		 _tispermPredefs[_tisperm_LineTag]
#define tisperm_ImageDict		 _tispermPredefs[_tisperm_ImageDict]
#define tisperm_GroupMaint		 _tispermPredefs[_tisperm_GroupMaint]
#define tisperm_AccessDailog		 _tispermPredefs[_tisperm_AccessDailog]
#define tisperm_PrtGroupMenu		 _tispermPredefs[_tisperm_PrtGroupMenu]
#define tisperm_DescItem		 _tispermPredefs[_tisperm_DescItem]
#define tisperm_GroupPgDeleteErr		 _tispermPredefs[_tisperm_GroupPgDeleteErr]
#define tisperm_UsernameLabel		 _tispermPredefs[_tisperm_UsernameLabel]
#define tisperm_UtilRuler		 _tispermPredefs[_tisperm_UtilRuler]
#define tisperm_DbCreateErr		 _tispermPredefs[_tisperm_DbCreateErr]
#define tisperm_FieldView		 _tispermPredefs[_tisperm_FieldView]
#define tisperm_NoPasswdErr		 _tispermPredefs[_tisperm_NoPasswdErr]
#define tisperm_UpdateFldPrivMsg		 _tispermPredefs[_tisperm_UpdateFldPrivMsg]
#define tisperm_NewPrtGroup		 _tispermPredefs[_tisperm_NewPrtGroup]
#define tisperm_VerticalLine		 _tispermPredefs[_tisperm_VerticalLine]
#define tisperm_AccessErr		 _tispermPredefs[_tisperm_AccessErr]
#define tisperm_UpdateAccessMsg		 _tispermPredefs[_tisperm_UpdateAccessMsg]
#define tisperm_PtGrpDbUpdateMsg		 _tispermPredefs[_tisperm_PtGrpDbUpdateMsg]
#define tisperm_AutologoutTimeLabel		 _tispermPredefs[_tisperm_AutologoutTimeLabel]
#define tisperm_NoGroupMsg		 _tispermPredefs[_tisperm_NoGroupMsg]
#define tisperm_AboutTitle		 _tispermPredefs[_tisperm_AboutTitle]
#define tisperm_GroupnameDialog		 _tispermPredefs[_tisperm_GroupnameDialog]
#define tisperm_PtGrpItem		 _tispermPredefs[_tisperm_PtGrpItem]
#define tisperm_ProtGrpMaint		 _tispermPredefs[_tisperm_ProtGrpMaint]
#define tisperm_PasswdConfirmErr		 _tispermPredefs[_tisperm_PasswdConfirmErr]
#define tisperm_Description		 _tispermPredefs[_tisperm_Description]
#define tisperm_View		 _tispermPredefs[_tisperm_View]
#define tisperm_HorizonmtalLine		 _tispermPredefs[_tisperm_HorizonmtalLine]
#define tisperm_PointTypeLabel		 _tispermPredefs[_tisperm_PointTypeLabel]
#define tisperm_GroupsList		 _tispermPredefs[_tisperm_GroupsList]
#define tisperm_PrGrpListView		 _tispermPredefs[_tisperm_PrGrpListView]
#define tisperm_PrtGrpUpdateMsg		 _tispermPredefs[_tisperm_PrtGrpUpdateMsg]
#define tisperm_DeleteGroupReqMsg		 _tispermPredefs[_tisperm_DeleteGroupReqMsg]
#define tisperm_OpenErr		 _tispermPredefs[_tisperm_OpenErr]
#define tisperm_GroupMember		 _tispermPredefs[_tisperm_GroupMember]
#define tisperm_GroupAlreadyExistsMsg		 _tispermPredefs[_tisperm_GroupAlreadyExistsMsg]
#define tisperm_GroupUpdatedMsg		 _tispermPredefs[_tisperm_GroupUpdatedMsg]
#define tisperm_Operator		 _tispermPredefs[_tisperm_Operator]
#define tisperm_GroupMenu		 _tispermPredefs[_tisperm_GroupMenu]
#define tisperm_VersionMsg		 _tispermPredefs[_tisperm_VersionMsg]
#define tisperm_Engineer		 _tispermPredefs[_tisperm_Engineer]
#define tisperm_VerifyLabel		 _tispermPredefs[_tisperm_VerifyLabel]
#define tisperm_CommentLabel		 _tispermPredefs[_tisperm_CommentLabel]
#define tisperm_AssignGroups		 _tispermPredefs[_tisperm_AssignGroups]
#define tisperm_UserDoesNotExistMsg		 _tispermPredefs[_tisperm_UserDoesNotExistMsg]
#define tisperm_HelpMenu		 _tispermPredefs[_tisperm_HelpMenu]
#define tisperm_GroupDoesNotExistMsg		 _tispermPredefs[_tisperm_GroupDoesNotExistMsg]
#define tisperm_Username		 _tispermPredefs[_tisperm_Username]
#define tisperm_AddedStr		 _tispermPredefs[_tisperm_AddedStr]
#define tisperm_DeleteUserReqMsg		 _tispermPredefs[_tisperm_DeleteUserReqMsg]
#define tisperm_ModGroup		 _tispermPredefs[_tisperm_ModGroup]
#define tisperm_UserMenu		 _tispermPredefs[_tisperm_UserMenu]
#define tisperm_Line		 _tispermPredefs[_tisperm_Line]
#define tisperm_PrtGrpUpdateReq		 _tispermPredefs[_tisperm_PrtGrpUpdateReq]
#define tisperm_UsernameDialog		 _tispermPredefs[_tisperm_UsernameDialog]
#define tisperm_ModifyGroup		 _tispermPredefs[_tisperm_ModifyGroup]
#define tisperm_Ruler		 _tispermPredefs[_tisperm_Ruler]
#define tisperm_GroupListView		 _tispermPredefs[_tisperm_GroupListView]
#define tisperm_ProtGrpAlreadyExistsMsg		 _tispermPredefs[_tisperm_ProtGrpAlreadyExistsMsg]
#define tisperm_NoPrivLevelMsg		 _tispermPredefs[_tisperm_NoPrivLevelMsg]
#define tisperm_NothingSelectedMsg		 _tispermPredefs[_tisperm_NothingSelectedMsg]
#define tisperm_UpdateFldPrivReq		 _tispermPredefs[_tisperm_UpdateFldPrivReq]
#define tisperm_UtilListView		 _tispermPredefs[_tisperm_UtilListView]
#define tisperm_GroupRuler		 _tispermPredefs[_tisperm_GroupRuler]
#define tisperm_GroupDbUpdateMsg		 _tispermPredefs[_tisperm_GroupDbUpdateMsg]
#define tisperm_NoProtGroupMsg		 _tispermPredefs[_tisperm_NoProtGroupMsg]
#define tisperm_ContGrpEndIm		 _tispermPredefs[_tisperm_ContGrpEndIm]
#define tisperm_DbOpenErr		 _tispermPredefs[_tisperm_DbOpenErr]
#define tisperm_FieldPermsDialog		 _tispermPredefs[_tisperm_FieldPermsDialog]
#define tisperm_GroupnameLabel		 _tispermPredefs[_tisperm_GroupnameLabel]
#define tisperm_DelStr		 _tispermPredefs[_tisperm_DelStr]
#define tisperm_Admin		 _tispermPredefs[_tisperm_Admin]
#define tisperm_MemberOfPrGrp		 _tispermPredefs[_tisperm_MemberOfPrGrp]
#define tisperm_ContGrpIm		 _tispermPredefs[_tisperm_ContGrpIm]
#define tisperm_PrGrpRuler		 _tispermPredefs[_tisperm_PrGrpRuler]
#define tisperm_MemberGroupLabel		 _tispermPredefs[_tisperm_MemberGroupLabel]
#define tisperm_Verify		 _tispermPredefs[_tisperm_Verify]
#define tisperm_Autologout		 _tispermPredefs[_tisperm_Autologout]
#define tisperm_SdrLoadErr		 _tispermPredefs[_tisperm_SdrLoadErr]
#define tisperm_GrpEndOpIm		 _tispermPredefs[_tisperm_GrpEndOpIm]
#define tisperm_UserLabel		 _tispermPredefs[_tisperm_UserLabel]
#define tisperm_DeletePrtGroup		 _tispermPredefs[_tisperm_DeletePrtGroup]
#define tisperm_UserDbUpdateMsg		 _tispermPredefs[_tisperm_UserDbUpdateMsg]
#define tisperm_DbFieldErr		 _tispermPredefs[_tisperm_DbFieldErr]
#define tisperm_EditMenu		 _tispermPredefs[_tisperm_EditMenu]
#define tisperm_DismissButton		 _tispermPredefs[_tisperm_DismissButton]
#define tisperm_PtGrpGrpDeleteErr		 _tispermPredefs[_tisperm_PtGrpGrpDeleteErr]
#define tisperm_PtGrpLabel		 _tispermPredefs[_tisperm_PtGrpLabel]
#define tisperm_DescLabel		 _tispermPredefs[_tisperm_DescLabel]
#define tisperm_GroupLabel		 _tispermPredefs[_tisperm_GroupLabel]
#define tisperm_DeleteGroup		 _tispermPredefs[_tisperm_DeleteGroup]
#define tisperm_ModGroupMsg		 _tispermPredefs[_tisperm_ModGroupMsg]
#define tisperm_UsersList		 _tispermPredefs[_tisperm_UsersList]
#define tisperm_OptionsFormatErr		 _tispermPredefs[_tisperm_OptionsFormatErr]
#define tisperm_GroupMaintDialog		 _tispermPredefs[_tisperm_GroupMaintDialog]
#define tisperm_RemoveButton		 _tispermPredefs[_tisperm_RemoveButton]
#define tisperm_MainOpIm		 _tispermPredefs[_tisperm_MainOpIm]
#define tisperm_ClearFldPrivReq		 _tispermPredefs[_tisperm_ClearFldPrivReq]
#define tisperm_UserListView		 _tispermPredefs[_tisperm_UserListView]
#define tisperm_MembersList		 _tispermPredefs[_tisperm_MembersList]
#define tisperm_DefaultPassword		 _tispermPredefs[_tisperm_DefaultPassword]
#define tisperm_GrpStClsIm		 _tispermPredefs[_tisperm_GrpStClsIm]
#define tisperm_NewProtGrp		 _tispermPredefs[_tisperm_NewProtGrp]
#define tisperm_MessagesDictionary		 _tispermPredefs[_tisperm_MessagesDictionary]
#define tisperm_FileMenu		 _tispermPredefs[_tisperm_FileMenu]
#define tisperm_MainClsIm		 _tispermPredefs[_tisperm_MainClsIm]
#define tisperm_InfoNotice		 _tispermPredefs[_tisperm_InfoNotice]
#define tisperm_Comment		 _tispermPredefs[_tisperm_Comment]
#define tisperm_AddGroupMsg		 _tispermPredefs[_tisperm_AddGroupMsg]
#define tisperm_EmptyListMsg		 _tispermPredefs[_tisperm_EmptyListMsg]
#define tisperm_NothingModMsg		 _tispermPredefs[_tisperm_NothingModMsg]
#define tisperm_TitlesDictionary		 _tispermPredefs[_tisperm_TitlesDictionary]
#define tisperm_GroupItem		 _tispermPredefs[_tisperm_GroupItem]
#define tisperm_PtGrpDialog		 _tispermPredefs[_tisperm_PtGrpDialog]
#define tisperm_AllowAutologout		 _tispermPredefs[_tisperm_AllowAutologout]
#define tisperm_DeleteUser		 _tispermPredefs[_tisperm_DeleteUser]
#define tisperm_ModProtGrp		 _tispermPredefs[_tisperm_ModProtGrp]
#define tisperm_ModifyUser		 _tispermPredefs[_tisperm_ModifyUser]
#define tisperm_ModifyPrtGroup		 _tispermPredefs[_tisperm_ModifyPrtGroup]
#define tisperm_ProtGroup		 _tispermPredefs[_tisperm_ProtGroup]
#define tisperm_NoUserMsg		 _tispermPredefs[_tisperm_NoUserMsg]
#define tisperm_UserRuler		 _tispermPredefs[_tisperm_UserRuler]
#define tisperm_PtGrpPtsDeleteErr		 _tispermPredefs[_tisperm_PtGrpPtsDeleteErr]
#define tisperm_UpdateAccessReq		 _tispermPredefs[_tisperm_UpdateAccessReq]
#define tisperm_PtGrpMaintDialog		 _tispermPredefs[_tisperm_PtGrpMaintDialog]
#define tisperm_Groupname		 _tispermPredefs[_tisperm_Groupname]
#define tisperm_PrivilegeLevel		 _tispermPredefs[_tisperm_PrivilegeLevel]
#define tisperm_GrpEndClsIm		 _tispermPredefs[_tisperm_GrpEndClsIm]
#define tisperm_NoDelUntitledErr		 _tispermPredefs[_tisperm_NoDelUntitledErr]
#define tisperm_DeletePtGrpReqMsg		 _tispermPredefs[_tisperm_DeletePtGrpReqMsg]
#define tisperm_AddButton		 _tispermPredefs[_tisperm_AddButton]
#define tisperm_UtilAccessButton		 _tispermPredefs[_tisperm_UtilAccessButton]
#define tisperm_AssignPerms		 _tispermPredefs[_tisperm_AssignPerms]
#define tisperm_ClearFldPrivMsg		 _tispermPredefs[_tisperm_ClearFldPrivMsg]
#define tisperm_GroupUserDeleteErr		 _tispermPredefs[_tisperm_GroupUserDeleteErr]
#define tisperm_SearchingDbMsg		 _tispermPredefs[_tisperm_SearchingDbMsg]
#define tisperm_Supervisor		 _tispermPredefs[_tisperm_Supervisor]

/*
 * * * * * * * * * PRIVATE EXTERNAL VARIABLES * * * * * * * * * *
 */

extern const vname	 *_tispermPredefs[];

/*
 * * * * * * * * * FUNCTION PROTOTYPES * * * * * * * * * *
 */

void tispermInternNames( void ); 


vportEND_CPLUSPLUS_EXTERN_C

#endif
