/* trendlimitlist.h,v 1.1.1.1 1999/08/03 14:45:10 tis4000 Exp
 *
 */

/*
 * TrendLimitList - trend limits container class
 */
#define CTL_LOLIMIT 0
#define CTL_HILIMIT 1

class TrendLimitList : public vlistview
{
    public:
	// the default versions of the necessary constructors/destructor
	vloadableINLINE_CONSTRUCTORS(TrendLimitList, vlistview);

	// overrides from vkindTyped
	vkindTYPED_FULL_DECLARATION(TrendLimitList);

	// virtual member function overrides
	// vloadable
	virtual void LoadInit(vresource resource);
	virtual void Destroy();
	virtual void DrawCellContents(int row, int col, int selected, vrect *rect);

	// methods
	void SetTrendSet (TrendSet *set);
	void SetType (int t) { type = t; };
	void Redisplay () { Inval (0); }
	void SetPrefs (vcolorSpec fgColorSpec[C_TRENDPTS], vcolorSpec bgColorSpec);
//	void SetCursor (int pos);
	virtual void ObserveSelect(int state);
	virtual void NewLimit (int id, int row); // override with new limit callback!
    private:
	TrendSet	*trendSet;	    // the working document
	int		type;
	vcolor		*fgColors[C_TRENDPTS];
	vcolor		*bgColor;
	vcolorSpec	vgrey;
	vcolor		*greyColor;
};
