/*choicePid.h,v 1.1.1.1 1999/08/03 14:41:15 tis4000 Exp */

/****************************************************************/
/*								*/
/*	This software is the proprietary property of Tate	*/
/*	Integrated Systems, L.P.  Patents and copyrights are	*/
/*	pending.						*/
/*								*/
/*	This software is furnished under a license and may	*/
/*	be used and copied only in accordance with the terms	*/
/*	of such license and with the inclusion of the above	*/
/*	notice. This software or any other copies thereof	*/
/*	may not be provided or otherwise made available to	*/
/*	any other person. No title to and ownership of the	*/
/*	software is hereby transferred.				*/
/*								*/
/*	The information in this software is subject to		*/
/*	change without notice and should not be construed 	*/
/*	as a commitment by Tate Integrated Systems L.P. or	*/
/*	its third party suppliers.				*/
/*								*/
/*	Tate Integrated Systems, L.P. (TIS) and its third	*/
/*	party suppliers assume no responsibility for the	*/
/*	use or inability to use any of its software. TIS	*/
/*	software is provided "as is" without warranty of	*/
/*	any kind and TIS expressly disclaims all implied	*/
/*	warranties, including but not limited to the implied	*/
/*	warranties of merchantability and fitness for a		*/
/*	particular purpose.					*/
/*								*/
/*	Notice: Notwithstanding any other lease or license	*/
/*	that may pertain to or accompany the delivery of this	*/
/*	computer software, the rights of the Government		*/
/*	regarding its use, reproduction, and disclosure are	*/
/*	as set forth in Section 52.227-19 of the FARS		*/
/*	Computer Software-Restricted Rights clause.		*/
/*								*/
/****************************************************************/
/*  choicePid.h */
/* share/ascii @(#)choicePid.h	1.3     6/7/91 */

/*
 *      Author:         John L. Dalesio
 *      Date:           07-23-93
 *
 *      TIS-4000 4.02
 *
 *      Copyright 1993, TATE Integrated Systems
 * Modification Log:
 * -----------------
 * .01  mm-dd-yy        iii     Comment
 * .02  01-27-94	ems	added REC_PID_IACT
 * .03	10-25-95	ems	added REC_PID_AUTOCLOSE, bumped DIM/NUM 6 to 7
 */

#ifndef INCchoicePidh
#define INCchoicPidh 1
#define REC_PID_OMOD		0
#define REC_PID_OUTPUT		1
#define REC_PID_DERIVATIVE	2
#define REC_PID_MODE		3
#define REC_PID_CASOP		4
#define REC_PID_IACT		5
#define	REC_PID_AUTOCLOSE	6

#define REC_PID_DIM		7
#define REC_PID_NUM		7
#endif
