/****************************************************************/
/*								*/
/*	This software is the proprietary property of Tate	*/
/*	Integrated Systems, L.P.  Patents and copyrights are	*/
/*	pending.						*/
/*								*/
/*	This software is furnished under a license and may	*/
/*	be used and copied only in accordance with the terms	*/
/*	of such license and with the inclusion of the above	*/
/*	notice. This software or any other copies thereof	*/
/*	may not be provided or otherwise made available to	*/
/*	any other person. No title to and ownership of the	*/
/*	software is hereby transferred.				*/
/*								*/
/*	The information in this software is subject to		*/
/*	change without notice and should not be construed 	*/
/*	as a commitment by Tate Integrated Systems L.P. or	*/
/*	its third party suppliers.				*/
/*								*/
/*	Tate Integrated Systems, L.P. (TIS) and its third	*/
/*	party suppliers assume no responsibility for the	*/
/*	use or inability to use any of its software. TIS	*/
/*	software is provided "as is" without warranty of	*/
/*	any kind and TIS expressly disclaims all implied	*/
/*	warranties, including but not limited to the implied	*/
/*	warranties of merchantability and fitness for a		*/
/*	particular purpose.					*/
/*								*/
/*	Notice: Notwithstanding any other lease or license	*/
/*	that may pertain to or accompany the delivery of this	*/
/*	computer software, the rights of the Government		*/
/*	regarding its use, reproduction, and disclosure are	*/
/*	as set forth in Section 52.227-19 of the FARS		*/
/*	Computer Software-Restricted Rights clause.		*/
/*								*/
/****************************************************************/
#include <lpixport.h>			/* Lotus Add-in ToolKit defs */
#include <ctype.h>
#include <math.h>
#include <DBDefines.h>
#include <DBCVerifyDefs.h>
#include <DBProto.h>
#include <dbDefs.h>

#define	GETHTREND_NAME	("GETHTREND")
#define	GETHSTATUS_NAME	("GETHSTATUS")
#define EXTRACT_NAME	("EXTRACT")
#define	NUM_ARGS	(6)		/* total number of accepted arguments */
#define	FIRST_ARG	(0)
#define	SECOND_ARG	(1)
#define	THIRD_ARG	(2)
#define	FOURTH_ARG	(3)
#define	FIFTH_ARG	(4)
#define	SIXTH_ARG	(5)
#define	GETHTREND_ARGS	(5)
#define	EXTRACT_ARGS	(3)
#define	MAXSTRING	(64)		/* argument string length */
#define	SAMPLES_PER_RECORD (60)		/* total data cells in record */
#define	LOTUS_SECOND	(0.0000115741)	/* one second in Lotus-123 time */
#define	LOTUS_MINUTE	(0.0006944444)	/* one minute in Lotus-123 time */
#define	LOTUS_HOUR	(0.0416666667)	/* one hour in Lotus-123 time */
#define	LOTUS_DAY	(1.00000)	/* one day in Lotus-123 time */
#define	LOTUS_FUTURE_TIME (73050.999988) /* Lotus-123 end date of 31-Dec-2099 11:59:59 */
#define	ATDB_DEFAULT_PATH	"/tis4000db"
#define	ATDB_DEFAULT_NAME	"ar_snap"
#define	AR_SNAP_NAME	"AR_SNAP_NAME"
#define	AR_SNAP_PATH	"AR_SNAP_PATH"	/* new environment variable to redirect search for AR_SNAP */
typedef enum
	{
	SAMPLE,
	AVERAGE,
	MINIMUM,
	MAXIMUM
	}REDUCTION_TYPE;

typedef struct
	{
	DB_FIELD_PTR	pVal;
	DB_FIELD_PTR	pStat;
	} DATA_FIELDS;
