/*choiceGbl.h,v 1.1.1.1 1999/08/03 14:41:20 tis4000 Exp */

/* choiceGbl.h */
/* share/ascii @(#)choiceGbl.h	1.6     6/7/91 */

/*
 *      Author:         Bob Zieman
 *      Date:           12-10-90
 *
 *      Experimental Physics and Industrial Control System (EPICS)
 *
 *      Copyright 1991, the Regents of the University of California,
 *      and the University of Chicago Board of Governors.
 *
 *      This software was produced under  U.S. Government contracts:
 *      (W-7405-ENG-36) at the Los Alamos National Laboratory,
 *      and (W-31-109-ENG-38) at Argonne National Laboratory.
 *
 *      Initial development by:
 *              The Controls and Automation Group (AT-8)
 *              Ground Test Accelerator
 *              Accelerator Technology Division
 *              Los Alamos National Laboratory
 *
 *      Co-developed with
 *              The Controls and Computing Group
 *              Accelerator Systems Division
 *              Advanced Photon Source
 *              Argonne National Laboratory
 *
 * Modification Log:
 * -----------------
 * .01  mm-dd-yy        iii     Comment
 * .02  05-20-93	ems	added GBL_TF_AUTO_MAN_LOCK
 * .03	01-26-95	ems	added GBL_OFF_ON
 */
/* NOTE: 
 *	this file also exists in .../epicsH so if you update
 *	this one update the one in epicsH
 */

#ifndef INCchoiceGblh
#define INCchoiceGblh 1
#define GBL_YES_NO	0
#define GBL_SCAN	1
#define GBL_ALARM_SEV	2
#define GBL_ALARM_STAT	3
#define GBL_ARR_TYPE	4
#define GBL_OMSL	5
#define GBL_LINR	6
#define GBL_FTYPE 	7
#define GBL_COMPRESS	8
#define GBL_AUTO_MANUAL 9
#define GBL_TF_AUTO_MAN_LOCK 10
#define GBL_TF_VOLUME   11
#define GBL_TF_FLOW     12
#define GBL_TF_TEMP     13
#define	GBL_OFF_ON	14
#define GBL_DIM	15
#define GBL_NUM 15
#endif
