/* epicsEnvParams.c (created by epics/release/epicsEnvSetup) */
/* created on Thu Oct 17 08:35:11 MDT 1991 */
#include <vxWorks.h>
#include <logLib.h>
#include <netinet/in.h>

#include "envDefs.h"

int epicsSetEnvParams(void)
{
    logMsg("setting EPICS environment parameters\n",0,0,0,0,0,0);
    envSetConfigParam(&EPICS_TS_MIN_WEST, "420");
    envSetConfigParam(&EPICS_SYSCLK_INET, "128.165.32.98");
    envSetConfigParam(&EPICS_IOCMCLK_INET, "128.165.32.142");
    envSetConfigParam(&EPICS_SYSCLK_PORT, "2200");
    envSetConfigParam(&EPICS_IOCMCLK_PORT, "2300");
    envSetConfigParam(&EPICS_AR_PORT, "7002");
    envSetConfigParam(&EPICS_CMD_PROTO_PORT, "7003");
    envSetConfigParam(&EPICS_IOC_LOG_INET, "128.165.32.98");
    envSetConfigParam(&EPICS_IOC_LOG_PORT, "7004");
    envSetConfigParam(&EPICS_IOC_LOG_FILE_LIMIT, "1000000");
    envSetConfigParam(&EPICS_IOC_LOG_FILE_NAME, "/home/obiwan/gtacs/apple/log/iocLog.text");
    return 0;
}
int epicsPrtEnvParams(void)
{
    envPrtConfigParam(&EPICS_TS_MIN_WEST);
    envPrtConfigParam(&EPICS_SYSCLK_INET);
    envPrtConfigParam(&EPICS_IOCMCLK_INET);
    envPrtConfigParam(&EPICS_SYSCLK_PORT);
    envPrtConfigParam(&EPICS_IOCMCLK_PORT);
    envPrtConfigParam(&EPICS_AR_PORT);
    envPrtConfigParam(&EPICS_CMD_PROTO_PORT);
    envPrtConfigParam(&EPICS_IOC_LOG_INET);
/*    envPrtConfigParam(&EPICS_IOC_LOG_PORT, "7004");	ems, to match proto */
    envPrtConfigParam(&EPICS_IOC_LOG_PORT);
/*    envPrtConfigParam(&EPICS_IOC_LOG_FILE_LIMIT, "1000000");	ems, to match proto */
    envPrtConfigParam(&EPICS_IOC_LOG_FILE_LIMIT);
/*    envPrtConfigParam(&EPICS_IOC_LOG_FILE_NAME, "/home/obiwan/gtacs/apple/log/iocLog.text");	ems, to match proto */
    envPrtConfigParam(&EPICS_IOC_LOG_FILE_NAME);
    return 0;
}
