
/* selRecord.h */
#ifndef INCselRecordh
#define INCselRecordh
#ifndef	INCLlstLibh
#include <lstLib.h>	/* list structure definition for the monitor list */
#endif
#ifndef	INCLsemLibh
#include <semLib.h>	/* semaphore structure definition for the monitor lock*/
#endif
#ifndef INCLfast_lockh
#include <fast_lock.h>	/* fast lock data structures and macros */
#endif
#ifndef INCLlinkh
#include <link.h>	/* fast lock data structures and macros */
#endif
#ifndef INC_tsDefs_h
#include <tsDefs.h>	/* time-stamp related definitions */
#endif
struct selRecord	{
	char		name[28];		/*  */
	char		desc[41];		/*  */
	char alignPad1;		/*  */
	unsigned short	scan;		/*  */
	short		phas;		/*  */
	short		evnt;		/*  */
	unsigned short	dtyp;		/*  */
	unsigned short	tenb;		/*  */
	struct dset	*dset;		/*  */
	LIST		mlis;		/*  */
	FAST_LOCK	mlok;		/*  */
	struct link	sdis;		/*  */
	struct link	adis;		/*  */
	short		disv;		/*  */
	short		disa;		/*  */
	unsigned char	pact;		/*  */
	unsigned char	udf;		/*  */
	short		lset;		/*  */
	short		lcnt;		/*  */
	short		proc;		/*  */
	short		init;		/*  */
	unsigned short	stat;		/*  */
	unsigned short	sevr;		/*  */
	unsigned short	nsta;		/*  */
	unsigned short	nsev;		/*  */
	short		tagd;		/*  */
	TS_STAMP	latm;		/*  */
	TS_STAMP      lptm;		/*  */
	unsigned short	ack;		/*  */
	unsigned short	oscn;		/*  */
	unsigned short	aenb;		/*  */
	char		resn[16];		/*  */
	char		algp[16];		/*  */
	short		rdur;		/*  */
	void          *radr;		/*  */
	short		rduf;		/*  */
	short		rcrc;		/*  */
	struct scanLock *lsad;		/*  */
	struct dbCommon *lsnr;		/*  */
	short		ini2;		/*  */
	unsigned short	msev;		/*  */
	unsigned short	psta;		/*  */
	unsigned short	psev;		/*  */
	short		hhll;		/*  */
	short		hilo;		/*  */
	short		aldl;		/*  */
	short		rtct;		/*  */
	unsigned long	larf;		/*  */
	short		dvct;		/*  */
	unsigned short	itag;		/*  */
	long		tstp;		/*  */
	short		ralm;		/*  */
	char alignPad3[2];		/*  */
	/* start of sel specific fields */ 
	double		val;		/*  */
	unsigned short	selm;		/*  */
	unsigned short	seln;		/*  */
	short		prec;		/*  */
	unsigned short	mode;		/*  */
	struct link	nvl;		/*  */
	struct link	inpa;		/*  */
	struct link	inpb;		/*  */
	struct link	inpc;		/*  */
	struct link	inpd;		/*  */
	struct link	inpe;		/*  */
	struct link	inpf;		/*  */
	struct link	inpg;		/*  */
	struct link	inph;		/*  */
	struct link	inpi;		/*  */
	struct link	inpj;		/*  */
	struct link	inpk;		/*  */
	struct link	inpl;		/*  */
	char		egu[16];		/*  */
	float		hopr;		/*  */
	float		lopr;		/*  */
	struct link	flnk;		/*  */
	float		hihi;		/*  */
	float		lolo;		/*  */
	float		high;		/*  */
	float		low;		/*  */
	float		roc;		/*  */
	short		rocn;		/*  */
	unsigned short	hhsv;		/*  */
	unsigned short	llsv;		/*  */
	unsigned short	hsv;		/*  */
	unsigned short	lsv;		/*  */
	unsigned short	rcsv;		/*  */
	double		hyst;		/*  */
	double		adel;		/*  */
	double		mdel;		/*  */
	double		a;		/*  */
	double		b;		/*  */
	double		c;		/*  */
	double		d;		/*  */
	double		e;		/*  */
	double		f;		/*  */
	double		g;		/*  */
	double		h;		/*  */
	double		i;		/*  */
	double		j;		/*  */
	double		k;		/*  */
	double		l;		/*  */
	double		la;		/*  */
	double		lb;		/*  */
	double		lc;		/*  */
	double		ld;		/*  */
	double		le;		/*  */
	double		lf;		/*  */
	double		lg;		/*  */
	double		lh;		/*  */
	double		li;		/*  */
	double		lj;		/*  */
	double		lk;		/*  */
	double		ll;		/*  */
	double		lalm;		/*  */
	double		alst;		/*  */
	double		mlst;		/*  */
	void *rocb;		/*  */
	short		rocc;		/*  */
	short		roci;		/*  */
	short		ninp;		/*  */
	short		fill;		/*  */
	short		frps;		/*  */
	short		fpps;		/*  */
	unsigned short	lsln;		/*  */
	unsigned short	dvsv;		/*  */
	float		devs;		/*  */
	float		devl;		/*  */
};
#endif

