
/****************************************************************/
/*								*/
/*	This software is the proprietary property of Tate	*/
/*	Integrated Systems, L.P.  Patents and copyrights are	*/
/*	pending.						*/
/*								*/
/*	This software is furnished under a license and may	*/
/*	be used and copied only in accordance with the terms	*/
/*	of such license and with the inclusion of the above	*/
/*	notice. This software or any other copies thereof	*/
/*	may not be provided or otherwise made available to	*/
/*	any other person. No title to and ownership of the	*/
/*	software is hereby transferred.				*/
/*								*/
/*	The information in this software is subject to		*/
/*	change without notice and should not be construed 	*/
/*	as a commitment by Tate Integrated Systems L.P. or	*/
/*	its third party suppliers.				*/
/*								*/
/*	Tate Integrated Systems, L.P. (TIS) and its third	*/
/*	party suppliers assume no responsibility for the	*/
/*	use or inability to use any of its software. TIS	*/
/*	software is provided "as is" without warranty of	*/
/*	any kind and TIS expressly disclaims all implied	*/
/*	warranties, including but not limited to the implied	*/
/*	warranties of merchantability and fitness for a		*/
/*	particular purpose.					*/
/*								*/
/*	Notice: Notwithstanding any other lease or license	*/
/*	that may pertain to or accompany the delivery of this	*/
/*	computer software, the rights of the Government		*/
/*	regarding its use, reproduction, and disclosure are	*/
/*	as set forth in Section 52.227-19 of the FARS		*/
/*	Computer Software-Restricted Rights clause.		*/
/*								*/
/****************************************************************/

/************************************************************************/
/*                                                                      */
/*            IOC RESOURCE MANAGER TASK DEFINITIIONS                    */
/*                                                                      */
/*                                                                      */
/************************************************************************/

int resMgrInit (void);

/* sequence program support */
int resSeqInit (char *progName,
		char *resName,
		char *macroString,
		void (*func)(),
		long    arg);
int resSeqDelete (char *progName,
		  char *macroString);
int resSeqStatus (unsigned short seq_token,
		  int *activity);
int resSeqSendState (unsigned short seq_token,
		     char *stateBuf,
		     unsigned short stateLen);
int resSeqGetState (unsigned short seq_token,
		    char *stateBuf,
		    unsigned short stateLen);
int rmConnDsp (void);
int rmTableDump (void);
int rmSetMsgTO (int time);
int rmSetWakeupRate (int time);
int rmSetMsgRate (int time);
int rmSetMaxRegs (int cnt);
int rmSetRegRate (int cnt);
int rmPrivate (char *resName);
int rmMaster (char *resName);
int rmSlave (char *resName);
int rmNewState (char *resName, int val);
void rmShowCounts (void);
void rmClearCounts (void);
