/****************************************************************/
/*								*/
/*	SCAN LOCK STRUCTURES PUBLISHED FROM dbAccess.c		*/
/*								*/
/*	The following structures were previously private to	*/
/*	the source file dbAccess.c. They have been made		*/
/*	public so that the relationship between lock sets	*/
/*	and resources can be maintained by reslib.c and		*/
/*	examined in the various scan tasks.			*/
/*								*/
/****************************************************************/

struct scanLock{
	FAST_LOCK	lock;
	caddr_t		precord;
	unsigned long	start_time;
	int		task_id;
	short		resDefined;
	short		resGot;
	struct dbCommon	*pFirstRec;
	};

struct scanPvt{
	int		nset;
	struct scanLock	*pscanLock;
	};

extern struct scanPvt dbScanPvt;
