/*drvBently_proto.h,v 1.1.1.1 1999/08/03 14:41:55 tis4000 Exp */

/****************************************************************/
/*								*/
/*	This software is the proprietary property of Tate	*/
/*	Integrated Systems, L.P.  Patents and copyrights are	*/
/*	pending.						*/
/*								*/
/*	This software is furnished under a license and may	*/
/*	be used and copied only in accordance with the terms	*/
/*	of such license and with the inclusion of the above	*/
/*	notice. This software or any other copies thereof	*/
/*	may not be provided or otherwise made available to	*/
/*	any other person. No title to and ownership of the	*/
/*	software is hereby transferred.				*/
/*								*/
/*	The information in this software is subject to		*/
/*	change without notice and should not be construed 	*/
/*	as a commitment by Tate Integrated Systems L.P. or	*/
/*	its third party suppliers.				*/
/*								*/
/*	Tate Integrated Systems, L.P. (TIS) and its third	*/
/*	party suppliers assume no responsibility for the	*/
/*	use or inability to use any of its software. TIS	*/
/*	software is provided "as is" without warranty of	*/
/*	any kind and TIS expressly disclaims all implied	*/
/*	warranties, including but not limited to the implied	*/
/*	warranties of merchantability and fitness for a		*/
/*	particular purpose.					*/
/*								*/
/*	Notice: Notwithstanding any other lease or license	*/
/*	that may pertain to or accompany the delivery of this	*/
/*	computer software, the rights of the Government		*/
/*	regarding its use, reproduction, and disclosure are	*/
/*	as set forth in Section 52.227-19 of the FARS		*/
/*	Computer Software-Restricted Rights clause.		*/
/*								*/
/****************************************************************/

/* Name: drvBently_proto.h */
/*  Edit: 02/03/98      WEP: created based on drvMultilin_proto.h
*/

static	long init ();

	void TRACEON (unsigned short line);

	void TRACEOFF (unsigned short line);

	void TRAFFICON (unsigned short line);

	void TRAFFICOFF (unsigned short line);

	void RTRACE (unsigned short line, unsigned short level);

	void RTRACEON (unsigned short line);

	void RTRACEOFf (unsigned short line);

	void TRACELEVEL (unsigned short line, unsigned short level);

        void SIMON (unsigned short line, unsigned short delay, int low, int high, int digenable);

        void SIMOFF (unsigned short line);

        void CONTRACEON (unsigned short line);

        void CONTRACEOFF (unsigned short line);

        void RUNTRACEON (unsigned short line);

        void RUNTRACEOFF (unsigned short line);

        void REJECTTRACEON (unsigned short line);

        void REJECTTRACEOFF (unsigned short line);

        void NACKTRACEON (unsigned short line);

        void NACKTRACEOFF (unsigned short line);

        void DEFAULTTRACE (unsigned short line);

	int STOPDRIVER (short ln);

        int STARTDRIVER (unsigned short line,
                         char *mode,
                         unsigned short delay,
                         unsigned short hdflag,
                         unsigned short delay1,
                         unsigned short delay2,
                         unsigned short private);

	void SETCOMM (unsigned short line,
                      unsigned short tickcount1,
                      unsigned short hdflag,
                      unsigned short tickcount2,
                      unsigned short tickcount3);

	void MAIN (unsigned short line,
                   unsigned char *mode,
                   unsigned short delay,
                   unsigned short hdflag,
                   unsigned short delay1,
                   unsigned short delay2,
                   unsigned short private);

/* 2-3-98 made static */
static  int checkgroup (unsigned short line, unsigned short *lstate, unsigned short tracenum);
/*
static void getsemaphore(unsigned short line);
*/
static 	void on_line (unsigned short line, unsigned short mod);

static 	void mark_not_valid (BNPLC  *pmod);

static	void scan_plc (BNPLC *pmod, unsigned short line,unsigned short mod);

static	void checkoutputs (unsigned short line);

        int access_ai  (unsigned short signal, short *pvalue, unsigned short conversion, BNPLC *pmod);

        int access_reg (unsigned short signal, short *pvalue, unsigned short conversion, BNPLC *pmod);

	int AIDRIVER (char *pointname, unsigned short link, unsigned short adapter,
	    unsigned short card, unsigned short signal, short *pvalue,
	    unsigned short conversion, unsigned char *resname);

	int AODRIVER (char *pointname, unsigned short link, unsigned short adapter,
	    unsigned short card, unsigned short signal,double dvalue, unsigned short value,
	    unsigned short conversion, unsigned char *resname);

	int AOREAD (char *pointname, unsigned short link, unsigned short adapter,
	    unsigned short card, unsigned short signal, unsigned short *pvalue,
	    unsigned short conv, unsigned char *resname);

	int BIDRIVER (char *pointname, unsigned short link, unsigned short adapter,
	    unsigned short card, unsigned short signal, unsigned long mask,
	    unsigned long *pvalue, unsigned char *resname);

	int BODRIVER (char *pointname, unsigned short link, unsigned short adapter,
	    unsigned short card, unsigned short signal, unsigned long value,
	    unsigned long mask, unsigned char *resname);

	int BOREAD (char *pointname, unsigned short link, unsigned short adapter,
	    unsigned short card, unsigned short signal, unsigned long *pvalue,
	    unsigned long mask, unsigned char *resname);

        int WFDRIVER (char *pointname, unsigned short link, unsigned short adapter,
            unsigned short card, unsigned short signal, unsigned short *pvalue,
            unsigned short numelm, long *pelemret, unsigned char *resname);

static void  register_resource (unsigned short link, BNPLC *pmod,
                                unsigned char *resname, char *pointname);

static	void outqueinit (unsigned short line);

static	OUTQENT *ogetemptyp (unsigned short line);

static	void omarkfull (unsigned short line);

static	OUTQENT *ogetnextp (unsigned short line);

static	void oreleasefull (unsigned short line);

static	void link_status (unsigned short line);

static 	int allocate_plc (unsigned short line, unsigned short plc);

static	void start_rx (unsigned short line,SEMAPHORE *semid,unsigned short *pstatus);

static	void stop_rx (unsigned short line );

static	void rx_int_proc (unsigned short line );

static	int check_line_activity (unsigned short line, unsigned short predelay);

static	void start_tx (unsigned short line,SEMAPHORE *semid,unsigned short *pstatus);

static	void stop_tx (unsigned short line );

static	void tx_int_proc (unsigned short line );

static	unsigned short msgxfer (unsigned short fline,unsigned short resplen,
        BNPLC *pmod, unsigned short rxlength);

static	void init_plc_tab (unsigned short line, unsigned short mod);

static 	void initplc (BNPLC  *pmod);

static	void initstats (BNPLC *pmod);

static	unsigned short modloopback (unsigned short line, unsigned short mod, BNPLC *pmod);

static	void prepresponses (unsigned short line);

static	int any_responding (unsigned short line);

static	unsigned short readcoils (unsigned short line, unsigned short mod,
                       BNPLC *pmod, unsigned short bitaddr, unsigned short readlen);

static	unsigned short readdis (unsigned short line, unsigned short mod,
	               BNPLC *pmod, unsigned short bitaddr, unsigned short readlen);

static	unsigned short readais (unsigned short line, unsigned short mod,
	               BNPLC *pmod, unsigned short regaddr, unsigned short reglen);

static	unsigned short readregs (unsigned short line, unsigned short mod,
                       BNPLC *pmod, unsigned short regaddr, unsigned short reglen);

static	unsigned short readwaveform (unsigned short line, unsigned short mod,
                       BNPLC *pmod, unsigned short regaddr, unsigned short reglen);

static	unsigned short setcoil (unsigned short line, unsigned short mod,
		       BNPLC *pmod, unsigned short bitaddr, unsigned long mask,
		       unsigned long val);

static	unsigned short setreg (unsigned short line, unsigned short mod,
		       BNPLC *pmod, unsigned short regaddr, unsigned short val,
		       double dblval, unsigned short conv);

static	void makecrc (unsigned char *chkbuf, int len,char unsigned *retbuf);

static	void hexascii (unsigned short val,char *buf);

static	short asciihex (unsigned short *val,char *buf);

        void DUMPMSGCNTS (unsigned short line);

        void CLEARMSGCNTS (unsigned short line);

        void DUMPPLCSTATS (unsigned short line, unsigned short maddr);

        void CLEARPLCSTATS (unsigned short line, unsigned short maddr);

	void TABLEINFO (unsigned short line, unsigned short maddr);

static 	void printcoilhdr (unsigned char *buffer, unsigned short cnt);

static 	void printdihdr (unsigned char *buffer, unsigned short cnt);

static	void printaihdr (unsigned char *buffer, unsigned short cnt);

static 	void printreghdr (unsigned char *buffer, unsigned short cnt);

	LINEINFO ();

/* gordon's code: 9/3/97 */
int     assignLockGroup (int group, char *resource);

/* End of File:     drvBently_proto.h */


