/*drvLimitorque_proto.h,v 1.1.1.1 1999/08/03 14:43:13 tis4000 Exp */

/****************************************************************/
/*								*/
/*	This software is the proprietary property of Tate	*/
/*	Integrated Systems, L.P.  Patents and copyrights are	*/
/*	pending.						*/
/*								*/
/*	This software is furnished under a license and may	*/
/*	be used and copied only in accordance with the terms	*/
/*	of such license and with the inclusion of the above	*/
/*	notice. This software or any other copies thereof	*/
/*	may not be provided or otherwise made available to	*/
/*	any other person. No title to and ownership of the	*/
/*	software is hereby transferred.				*/
/*								*/
/*	The information in this software is subject to		*/
/*	change without notice and should not be construed 	*/
/*	as a commitment by Tate Integrated Systems L.P. or	*/
/*	its third party suppliers.				*/
/*								*/
/*	Tate Integrated Systems, L.P. (TIS) and its third	*/
/*	party suppliers assume no responsibility for the	*/
/*	use or inability to use any of its software. TIS	*/
/*	software is provided "as is" without warranty of	*/
/*	any kind and TIS expressly disclaims all implied	*/
/*	warranties, including but not limited to the implied	*/
/*	warranties of merchantability and fitness for a		*/
/*	particular purpose.					*/
/*								*/
/*	Notice: Notwithstanding any other lease or license	*/
/*	that may pertain to or accompany the delivery of this	*/
/*	computer software, the rights of the Government		*/
/*	regarding its use, reproduction, and disclosure are	*/
/*	as set forth in Section 52.227-19 of the FARS		*/
/*	Computer Software-Restricted Rights clause.		*/
/*								*/
/****************************************************************/

/* Name: drvLimitorque_proto.h */

	void TRACEON (unsigned short line);

	void limtraceoff (unsigned short line);

	void limtrafficon (unsigned short line);

	void limtrafficoff (unsigned short line);

	void limrestrlv (unsigned short line, unsigned short level);

	void limrestraceon (unsigned short line);

	void RTRACEOFf (unsigned short line);

	void limtrlv (unsigned short line, unsigned short level);

        void limsimon (unsigned short line, unsigned short delay, int low, int high, int digenable);

        void limsimoff (unsigned short line);

        void limcontraceon (unsigned short line);

        void limcontraceoff (unsigned short line);

        void limruntraceon (unsigned short line);

        void limruntraceoff (unsigned short line);

        void limrejecttraceon (unsigned short line);

        void limrejecttraceoff (unsigned short line);

        void limnacktraceon (unsigned short line);

        void limnacktraceoff (unsigned short line);

        void limdefaulttrace (unsigned short line);

	int stoplimitorque (short ln);

        int STARTDRIVER (unsigned short line,
                         char *mode,
                         unsigned short delay,
                         unsigned short hdflag,
                         unsigned short delay1,
                         unsigned short delay2,
                         unsigned short private,
                         unsigned short dual);

	void limcomm (unsigned short line,
                      unsigned short tickcount1,
                      unsigned short hdflag,
                      unsigned short tickcount2,
                      unsigned short tickcount3);

	void lim_driver (unsigned short line,
                   unsigned char *mode,
                   unsigned short delay,
                   unsigned short hdflag,
                   unsigned short delay1,
                   unsigned short delay2,
                   unsigned short private,
                   unsigned short dual);

         int checkgroup (unsigned short line, unsigned short *lstate, unsigned short tracenum);

        int lim_aidriver (char *pointname, unsigned short link, unsigned short adapter,
            unsigned short card, unsigned short signal, unsigned short *pvalue,
            unsigned short conversion, unsigned char *resname,
            short *punsignedflag);

	int lim_aodriver (char *pointname, unsigned short link, unsigned short adapter,
	    unsigned short card, unsigned short signal, double dvalue,
            unsigned short value, unsigned short conversion,
            unsigned char *resname, unsigned short uvalue);

	int lim_aoread (char *pointname, unsigned short link, unsigned short adapter,
	    unsigned short card, unsigned short signal, unsigned short *pvalue,
	    unsigned short conv, unsigned char *resname, short *punsignedflag);

	int lim_bidriver (char *pointname, unsigned short link, unsigned short adapter,
	    unsigned short card, unsigned short signal, unsigned long mask,
	    unsigned long *pvalue, unsigned char *resname);

	int lim_bodriver (char *pointname, unsigned short link, unsigned short adapter,
	    unsigned short card, unsigned short signal, unsigned long value,
	    unsigned long mask, unsigned char *resname);

	int lim_boread (char *pointname, unsigned short link, unsigned short adapter,
	    unsigned short card, unsigned short signal, unsigned long *pvalue,
	    unsigned long mask, unsigned char *resname);

        int lim_sidriver (char *pointname, unsigned short link, unsigned short adapter,
            unsigned short card, unsigned short signal, short *pvalue,
            unsigned short len, unsigned char *resname);

        int lim_sodriver (char *pointname, unsigned short link, unsigned short adapter,
            unsigned short card, unsigned short signal, unsigned char *value,
            unsigned short len, unsigned char *resname);

        void limdumpmsgcnts (unsigned short line);

        void limclearmsgcnts (unsigned short line);

        void limdumpplcstats (unsigned short line, unsigned short maddr);

        void limclearplcstats (unsigned short line, unsigned short maddr);

	void limtable (unsigned short line, unsigned short maddr);

	LINEINFO ();

/* gordon's code: 9/3/97 */
int     assignLockGroup (int group, char *resource);

/* End of File:     drvLimitorque_proto.h */


