/*drvStcs_proto.h,v 1.1.1.1 1999/08/03 14:44:49 tis4000 Exp */

/****************************************************************/
/*								*/
/*	This software is the proprietary property of Tate	*/
/*	Integrated Systems, L.P.  Patents and copyrights are	*/
/*	pending.						*/
/*								*/
/*	This software is furnished under a license and may	*/
/*	be used and copied only in accordance with the terms	*/
/*	of such license and with the inclusion of the above	*/
/*	notice. This software or any other copies thereof	*/
/*	may not be provided or otherwise made available to	*/
/*	any other person. No title to and ownership of the	*/
/*	software is hereby transferred.				*/
/*								*/
/*	The information in this software is subject to		*/
/*	change without notice and should not be construed 	*/
/*	as a commitment by Tate Integrated Systems L.P. or	*/
/*	its third party suppliers.				*/
/*								*/
/*	Tate Integrated Systems, L.P. (TIS) and its third	*/
/*	party suppliers assume no responsibility for the	*/
/*	use or inability to use any of its software. TIS	*/
/*	software is provided "as is" without warranty of	*/
/*	any kind and TIS expressly disclaims all implied	*/
/*	warranties, including but not limited to the implied	*/
/*	warranties of merchantability and fitness for a		*/
/*	particular purpose.					*/
/*								*/
/*	Notice: Notwithstanding any other lease or license	*/
/*	that may pertain to or accompany the delivery of this	*/
/*	computer software, the rights of the Government		*/
/*	regarding its use, reproduction, and disclosure are	*/
/*	as set forth in Section 52.227-19 of the FARS		*/
/*	Computer Software-Restricted Rights clause.		*/
/*								*/
/****************************************************************/

/****************************************************************/
/*								*/
/*	This software is the proprietary property of Tate	*/
/*	Integrated Systems, L.P.  Patents and copyrights are	*/
/*	pending.						*/
/*								*/
/*	This software is furnished under a license and may	*/
/*	be used and copied only in accordance with the terms	*/
/*	of such license and with the inclusion of the above	*/
/*	notice. This software or any other copies thereof	*/
/*	may not be provided or otherwise made available to	*/
/*	any other person. No title to and ownership of the	*/
/*	software is hereby transferred.				*/
/*								*/
/*	The information in this software is subject to		*/
/*	change without notice and should not be construed 	*/
/*	as a commitment by Tate Integrated Systems L.P. or	*/
/*	its third party suppliers.				*/
/*								*/
/*	Tate Integrated Systems, L.P. (TIS) and its third	*/
/*	party suppliers assume no responsibility for the	*/
/*	use or inability to use any of its software. TIS	*/
/*	software is provided "as is" without warranty of	*/
/*	any kind and TIS expressly disclaims all implied	*/
/*	warranties, including but not limited to the implied	*/
/*	warranties of merchantability and fitness for a		*/
/*	particular purpose.					*/
/*								*/
/*	Notice: Notwithstanding any other lease or license	*/
/*	that may pertain to or accompany the delivery of this	*/
/*	computer software, the rights of the Government		*/
/*	regarding its use, reproduction, and disclosure are	*/
/*	as set forth in Section 52.227-19 of the FARS		*/
/*	Computer Software-Restricted Rights clause.		*/
/*								*/
/****************************************************************/
void tcs_driver (unsigned short line);

static  void    on_line(unsigned short line,unsigned short mod);

static  void    scan_plc(TCSCNTRL *pmod, unsigned short line,unsigned short mod);

static  void checkoutputs(unsigned short line);

int tcs_aidriver (unsigned short link, unsigned short adapter, unsigned short card,
	     unsigned short signal, short *pvalue, unsigned short conversion);

int tcs_aodriver (unsigned short link, unsigned short adapter, unsigned short card,
	    unsigned short signal, unsigned short value);

int tcs_aoread(unsigned short link, unsigned short adapter, unsigned short card,
	  unsigned short signal, unsigned short *pvalue);

int tcs_bidriver(unsigned short link, unsigned short adapter, unsigned short card,
	    unsigned short signal, unsigned long mask, unsigned long *pvalue);

int tcs_bodriver(unsigned short link, unsigned short adapter, unsigned short card,
	    unsigned short signal, unsigned long value, unsigned long mask);

int tcs_boread(unsigned short link, unsigned short adapter, unsigned short card,
		unsigned short signal, unsigned long *pvalue, unsigned long mask);

static  int	rangeok(unsigned short link,unsigned short adapter,
		unsigned short card,unsigned short signal);

static  void outqueinit (unsigned short line);

static  OUTQENT *ogetemptyp (unsigned short line);

static  void omarkfull(unsigned short line);

static  OUTQENT *ogetnextp (unsigned short line);

static  void oreleasefull(unsigned short line);

static  void link_status(unsigned short line);

static  void start_rx( unsigned short line,SEMAPHORE *semid,unsigned short *pstatus );

static  void stop_rx( unsigned short line );

static  void rx_int_proc( unsigned short line );

static  void start_tx( unsigned short line,SEMAPHORE *semid,unsigned short *pstatus );

static  void stop_tx( unsigned short line );

static  void tx_int_proc( unsigned short line );

static  unsigned short  msgxfer(unsigned short fline,unsigned short resptype, TCSCNTRL *pmod);

static  void init_line_tabs(unsigned short line);

static  void initstats(TCSCNTRL *pmod);

static  unsigned short readparams (unsigned short line, unsigned short mod,
			  TCSCNTRL *pmod,unsigned short param,
			  unsigned short numparams);

static  unsigned short readenqparams (unsigned short line, unsigned short mod,
			  TCSCNTRL *pmod );

static  void processdata(RXLINE *rxp,TCSCNTRL *pmod);

static  unsigned short setaouts(unsigned short line, unsigned short mod,
			 TCSCNTRL *pmod, unsigned short card,
			 unsigned short signal, unsigned short val);

static  unsigned short setbouts(unsigned short line, unsigned short mod,
			 TCSCNTRL *pmod, unsigned short card,
			 unsigned short signal,
			 unsigned long mask, unsigned long val);

static  void updatesum(unsigned short *checksum,unsigned char cval);

static  void makecrc( unsigned char *chkbuf, int len,unsigned char *retbuf);

static  void hexascii(unsigned short val,unsigned char *buf);

static  short asciihex(unsigned short *val,unsigned char *buf);

static  void dump_mod_table(unsigned short line);
