/****************************************************************/
/*								*/
/*	This software is the proprietary property of Tate	*/
/*	Integrated Systems, L.P.  Patents and copyrights are	*/
/*	pending.						*/
/*								*/
/*	This software is furnished under a license and may	*/
/*	be used and copied only in accordance with the terms	*/
/*	of such license and with the inclusion of the above	*/
/*	notice. This software or any other copies thereof	*/
/*	may not be provided or otherwise made available to	*/
/*	any other person. No title to and ownership of the	*/
/*	software is hereby transferred.				*/
/*								*/
/*	The information in this software is subject to		*/
/*	change without notice and should not be construed 	*/
/*	as a commitment by Tate Integrated Systems L.P. or	*/
/*	its third party suppliers.				*/
/*								*/
/*	Tate Integrated Systems, L.P. (TIS) and its third	*/
/*	party suppliers assume no responsibility for the	*/
/*	use or inability to use any of its software. TIS	*/
/*	software is provided "as is" without warranty of	*/
/*	any kind and TIS expressly disclaims all implied	*/
/*	warranties, including but not limited to the implied	*/
/*	warranties of merchantability and fitness for a		*/
/*	particular purpose.					*/
/*								*/
/*	Notice: Notwithstanding any other lease or license	*/
/*	that may pertain to or accompany the delivery of this	*/
/*	computer software, the rights of the Government		*/
/*	regarding its use, reproduction, and disclosure are	*/
/*	as set forth in Section 52.227-19 of the FARS		*/
/*	Computer Software-Restricted Rights clause.		*/
/*								*/
/****************************************************************/


#include "avm.h"

Widget avmTopLevel;			/* top level from XtVaAppInitialize */
Widget avmEditDialog;			/* main container dialog */
Widget avmAreYouSure=0;			/* used for user decision prompts */
Widget avmInfo=0;			/* used for user decision prompts */

String fallbacks[] =
{
  "AVM*background: gray",
  "AVM*foreground: black",
  "AVM*fontList: 8x13bold",
  "AVM*XmMessageBox.background: CadetBlue",
  "*OK.background: green4",
  "*OK.foreground: white",
  NULL
};

main(int argc,char *argv[])
{
  XtAppContext avmApp;
  XtSetLanguageProc(NULL,NULL,NULL);
  avmTopLevel = XtVaAppInitialize(&avmApp,"AVM",NULL,0,&argc,argv,fallbacks,NULL);
  OpenOracle();					/* start oracle initialization */
#ifndef ENABLE_ADDITION
  if(catOpen(NO_CREATE,"AVM"))
#else
  if(catOpen(YES_CREATE,"AVM"))
#endif
    {
      avmCreateEdit(avmTopLevel);
      editInit();
    }
  else
    {
    avmCreateInfo("Can't open catalog file","AVM");
    XtRemoveAllCallbacks(avmInfo,XmNokCallback);
    XtAddCallback(avmInfo,XmNokCallback,avmDoDismiss,(XtPointer)0);
    }
  XtRealizeWidget(avmTopLevel);
  XtAppMainLoop(avmApp);
}
