/*ai.h,v 1.1.1.1 1999/08/03 14:42:13 tis4000 Exp */

/****************************************************************/
/*								*/
/*	This software is the proprietary property of Tate	*/
/*	Integrated Systems, L.P.  Patents and copyrights are	*/
/*	pending.						*/
/*								*/
/*	This software is furnished under a license and may	*/
/*	be used and copied only in accordance with the terms	*/
/*	of such license and with the inclusion of the above	*/
/*	notice. This software or any other copies thereof	*/
/*	may not be provided or otherwise made available to	*/
/*	any other person. No title to and ownership of the	*/
/*	software is hereby transferred.				*/
/*								*/
/*	The information in this software is subject to		*/
/*	change without notice and should not be construed 	*/
/*	as a commitment by Tate Integrated Systems L.P. or	*/
/*	its third party suppliers.				*/
/*								*/
/*	Tate Integrated Systems, L.P. (TIS) and its third	*/
/*	party suppliers assume no responsibility for the	*/
/*	use or inability to use any of its software. TIS	*/
/*	software is provided "as is" without warranty of	*/
/*	any kind and TIS expressly disclaims all implied	*/
/*	warranties, including but not limited to the implied	*/
/*	warranties of merchantability and fitness for a		*/
/*	particular purpose.					*/
/*								*/
/*	Notice: Notwithstanding any other lease or license	*/
/*	that may pertain to or accompany the delivery of this	*/
/*	computer software, the rights of the Government		*/
/*	regarding its use, reproduction, and disclosure are	*/
/*	as set forth in Section 52.227-19 of the FARS		*/
/*	Computer Software-Restricted Rights clause.		*/
/*								*/
/****************************************************************/


/*
	Field definition header file for ai.dbf
*/

FIELD4INFO	aiFieldInfo[] = 
	{
	{"NAME",	'C',	28,	0},
	{"PROC_INPUT",	'L',	1,	0},
	{"MAXSEVERTY",	'L',	1,	0},
	{"REFERENCE",	'C',	28,	0},
	{"CONSTANT",	'N',	12,	3},
	{"BOARDTYPE",	'C',	25,	0},
	{"LINEARITY",	'C',	14,	0},
	{"AUTOMATIC",	'L',	1,	0},
	{"IRHIGH",	'N',	11,	4},
	{"IRLOW",	'N',	11,	4},
	{"EGUHIGH",	'N',	11,	4},
	{"EGULOW",	'N',	11,	4},
	{"EGUTAG",	'C',	16,	0},
	{"DISPHIGH",	'N',	11,	4},
	{"DISPLOW",	'N',	11,	4},
	{"PRECISION",	'N',	1,	0},
	{"HIHILIMIT",	'N',	11,	4},
	{"HIGHLIMIT",	'N',	11,	4},
	{"LOWLIMIT",	'N',	11,	4},
	{"LOLOLIMIT",	'N',	11,	4},
	{"ROCLIMIT",	'N',	11,	4},
	{"ROCSAMPLES",	'N',	2,	0},
	{"NORMALHIGH",	'N',	11,	4},
	{"NORMALLOW",	'N',	11,	4},
	{"HIHISEVER",	'C',	13,	0},
	{"HIGHSEVER",	'C',	13,	0},
	{"LOWSEVER",	'C',	13,	0},
	{"LOLOSEVER",	'C',	13,	0},
	{"ROCSEVER",	'C',	13,	0},
	{"NORMSEVER",	'C',	13,	0},
	{"ALMDEADBND",	'N',	11,	4},
	{"MONDEADBND",	'N',	11,	4},
	{"SMOOTHING",	'N',	7,	5},
	{"ARCDEADBND",	'N',	11,	4},
	{"ADJOFFSET",	'N',	11,	4},
	{"ADJSLOPE",	'N',	11,	4},
	{"INSTDEV",	'N',	11,	4},
	{"DEVSETPT",	'N',	11,	4},
	{"DEVLIMIT",	'N',	11,	4},
	{"DEVSEVER",	'C',	13,	0},
	{"GAIN",	'N',	3,	0},
	{"SIGTYPE",	'C',	16,	0},
	{0,0,0,0}
	};

T4TAG_INFO	aiTagInfo[] = 
	{
	{"NAME",	"NAME",	0,	0,	0},
	{0,0,0,0,0}
	};
