/****************************************************************/
/*								*/
/*	This software is the proprietary property of Tate	*/
/*	Integrated Systems, L.P.  Patents and copyrights are	*/
/*	pending.						*/
/*								*/
/*	This software is furnished under a license and may	*/
/*	be used and copied only in accordance with the terms	*/
/*	of such license and with the inclusion of the above	*/
/*	notice. This software or any other copies thereof	*/
/*	may not be provided or otherwise made available to	*/
/*	any other person. No title to and ownership of the	*/
/*	software is hereby transferred.				*/
/*								*/
/*	The information in this software is subject to		*/
/*	change without notice and should not be construed 	*/
/*	as a commitment by Tate Integrated Systems L.P. or	*/
/*	its third party suppliers.				*/
/*								*/
/*	Tate Integrated Systems, L.P. (TIS) and its third	*/
/*	party suppliers assume no responsibility for the	*/
/*	use or inability to use any of its software. TIS	*/
/*	software is provided "as is" without warranty of	*/
/*	any kind and TIS expressly disclaims all implied	*/
/*	warranties, including but not limited to the implied	*/
/*	warranties of merchantability and fitness for a		*/
/*	particular purpose.					*/
/*								*/
/*	Notice: Notwithstanding any other lease or license	*/
/*	that may pertain to or accompany the delivery of this	*/
/*	computer software, the rights of the Government		*/
/*	regarding its use, reproduction, and disclosure are	*/
/*	as set forth in Section 52.227-19 of the FARS		*/
/*	Computer Software-Restricted Rights clause.		*/
/*								*/
/****************************************************************/

	
/*
	Field definition header file for alarmTalkdb.dbf
*/

FIELD4INFO	alarmTalkFieldInfo[] = 
	{
	{"ALARMSEVER",	'C',	13,	0},	/* alarm severity */
	{"ANNUNCTION",	'C',	22,	0},	/* annunciation voice */
	{"SPKRDEVICE",	'L',	 1,	0},	/* call console speakerphone */
	{"PAGEDEVICE",	'L',	 1,	0},	/* call pager */
	{"AUTODEVICE",	'L',	 1,	0},	/* auto-dial */
	{"CONNUMBER",	'C',	11,	0},	/* console phone number */
	{"CONREDIAL",	'N',	 3,	0},	/* console redial time in seconds */
	{"PAGENUMBER",	'C',	11,	0},	/* pager phone number */
	{"PAGEREDIAL",	'N',	 3,	0},	/* page re-dial time in seconds */
	{"AUTONUMBR1",	'C',	11,	0},	/* auto-dial phone number 1 */
	{"AUTONUMBR2",	'C',	11,	0},	/* auto-dial phone number 2 */
	{"AUTONUMBR3",	'C',	11,	0},	/* auto-dial phone number 3 */
	{"AUTONUMBR4",	'C',	11,	0},	/* auto-dial phone number 4 */
	{"AUTONUMBR5",	'C',	11,	0},	/* auto-dial phone number 5 */
	{"AUTONUMBR6",	'C',	11,	0},	/* auto-dial phone number 6 */
	{"AUTONUMBR7",	'C',	11,	0},	/* auto-dial phone number 7 */
	{"AUTONUMBR8",	'C',	11,	0},	/* auto-dial phone number 8 */
	{"AUFAILANST",	'N',	 3,	0},	/* auto-dial fail to answer, in seconds */
	{"AUTORESTRT",	'N',	 3,	0},	/* auto-dial restart time, in seconds */
	{"IDTIMEOUT",	'N',	 3,	0},	/* time-out for ID request */
	{"REPACKTOUT",	'N',	 3,	0},	/* time-out for repeat/ack command */
	{0,0,0,0}
	};

TAG4INFO	alarmTalkTagInfo[] = 
	{
	{"ALARMSEVER",	"ALARMSEVER",	0,	0,	0},
	{0,0,0,0,0}
	};
