/*pid.h,v 1.1.1.1 1999/08/03 14:42:19 tis4000 Exp */

/****************************************************************/
/*								*/
/*	This software is the proprietary property of Tate	*/
/*	Integrated Systems, L.P.  Patents and copyrights are	*/
/*	pending.						*/
/*								*/
/*	This software is furnished under a license and may	*/
/*	be used and copied only in accordance with the terms	*/
/*	of such license and with the inclusion of the above	*/
/*	notice. This software or any other copies thereof	*/
/*	may not be provided or otherwise made available to	*/
/*	any other person. No title to and ownership of the	*/
/*	software is hereby transferred.				*/
/*								*/
/*	The information in this software is subject to		*/
/*	change without notice and should not be construed 	*/
/*	as a commitment by Tate Integrated Systems L.P. or	*/
/*	its third party suppliers.				*/
/*								*/
/*	Tate Integrated Systems, L.P. (TIS) and its third	*/
/*	party suppliers assume no responsibility for the	*/
/*	use or inability to use any of its software. TIS	*/
/*	software is provided "as is" without warranty of	*/
/*	any kind and TIS expressly disclaims all implied	*/
/*	warranties, including but not limited to the implied	*/
/*	warranties of merchantability and fitness for a		*/
/*	particular purpose.					*/
/*								*/
/*	Notice: Notwithstanding any other lease or license	*/
/*	that may pertain to or accompany the delivery of this	*/
/*	computer software, the rights of the Government		*/
/*	regarding its use, reproduction, and disclosure are	*/
/*	as set forth in Section 52.227-19 of the FARS		*/
/*	Computer Software-Restricted Rights clause.		*/
/*								*/
/****************************************************************/


/*
	Field definition header file for pid.dbf
*/

FIELD4INFO	pidFieldInfo[] = 
	{
	{"NAME",	'C',	28,	0},
	{"INITLSETPT",	'N',	10,	4},
	{"REVERSEINI",	'L',	1,	0},
	{"SETPTSPEC",	'C',	33,	0},
	{"SETPTCONST",	'N',	10,	4},
	{"SETPTMS",	'L',	1,	0},
	{"SETPTPROC",	'L',	1,	0},
	{"MVALSPEC",	'C',	33,	0},
	{"MVALMS",	'L',	1,	0},
	{"MVALPROC",	'L',	1,	0},
	{"SETCLAMPHI",	'N',	11,	4},
	{"SETCLAMPLO",	'N',	11,	4},
	{"EGUHIGH",	'N',	11,	4},
	{"EGULOW",	'N',	11,	4},
	{"EGUTAG",	'C',	16,	0},
	{"DISPHIGH",	'N',	11,	4},
	{"DISPLOW",	'N',	11,	4},
	{"PRECISION",	'N',	1,	0},
	{"AUTOMATIC",	'L',	1,	0},
	{"CASFIELD",	'C',	33,	0},
	{"CASCADEMS",	'L',	1,	0},
	{"CASPROCINP",	'L',	1,	0},
	{"CASOPENFLG",	'L',	1,	0},
	{"CASSTPTPCT",	'L',	1,	0},
	{"INCREMENTL",	'L',	1,	0},
	{"OUTPUTCHAN",	'C',	33,	0},
	{"OUTCLAMPHI",	'N',	6,	2},
	{"OUTCLAMPLO",	'N',	7,	2},
	{"OUTREVERSE",	'L',	1,	0},
	{"PROP_BAND",	'N',	7,	3},
	{"RESET",	'N',	7,	3},
	{"RATE",	'N',	7,	3},
	{"ERRSQUARED",	'L',	1,	0},
	{"DELTAERROR",	'L',	1,	0},
	{"TRKMODENA",	'L',	1,	0},
	{"HOLDLOSTMV",	'L',	1,	0},
	{"NOMVOUTVAL",	'N',	7,	3},
	{"DEVLIMIT",	'N',	11,	4},
	{"DEVDEADBND",	'N',	11,	4},
	{"DEVSEVER",	'C',	13,	0},
	{"NOINPSEVER",	'C',	13,	0},
	{"NOMVSEVER",	'C',	13,	0},
	{"NOOUTSEVER",	'C',	13,	0},
	{"NOCCSEVER",	'C',	13,	0},
	{"CLDEADBAND",	'N',	11,	4},
	{"CLHISEVER",	'C',	13,	0},
	{"CLLOSEVER",	'C',	13,	0},
	{"TRKMODSEVR",	'C',	13,	0},
	{"MONDEADBND",	'N',	7,	3},
	{"ARCDEADBND",	'N',	7,	3},
	{"AUTOCLOSE",	'C',	10,	0},
	{"INITACT",	'C',	13,	0},
	{"SETPTRAMP",	'N',	11,	4},
	{"SETPTCROSS",	'L',	1,	0},
	{"SETPTGAP",	'N',	11,	4},
	{"UPDATEISTP",	'L',	1,	0},
	{0,0,0,0}
	};

T4TAG_INFO	pidTagInfo[] = 
	{
	{"NAME",	"NAME",	0,	0,	0},
	{0,0,0,0,0}
	};
