/*sigchar.h,v 1.1.1.1 1999/08/03 14:42:20 tis4000 Exp */

/****************************************************************/
/*								*/
/*	This software is the proprietary property of Tate	*/
/*	Integrated Systems, L.P.  Patents and copyrights are	*/
/*	pending.						*/
/*								*/
/*	This software is furnished under a license and may	*/
/*	be used and copied only in accordance with the terms	*/
/*	of such license and with the inclusion of the above	*/
/*	notice. This software or any other copies thereof	*/
/*	may not be provided or otherwise made available to	*/
/*	any other person. No title to and ownership of the	*/
/*	software is hereby transferred.				*/
/*								*/
/*	The information in this software is subject to		*/
/*	change without notice and should not be construed 	*/
/*	as a commitment by Tate Integrated Systems L.P. or	*/
/*	its third party suppliers.				*/
/*								*/
/*	Tate Integrated Systems, L.P. (TIS) and its third	*/
/*	party suppliers assume no responsibility for the	*/
/*	use or inability to use any of its software. TIS	*/
/*	software is provided "as is" without warranty of	*/
/*	any kind and TIS expressly disclaims all implied	*/
/*	warranties, including but not limited to the implied	*/
/*	warranties of merchantability and fitness for a		*/
/*	particular purpose.					*/
/*								*/
/*	Notice: Notwithstanding any other lease or license	*/
/*	that may pertain to or accompany the delivery of this	*/
/*	computer software, the rights of the Government		*/
/*	regarding its use, reproduction, and disclosure are	*/
/*	as set forth in Section 52.227-19 of the FARS		*/
/*	Computer Software-Restricted Rights clause.		*/
/*								*/
/****************************************************************/


/*
	Field definition header file for sigchar.dbf
*/

FIELD4INFO	sigcharFieldInfo[] = 
	{
	{"NAME",	'C',	28,	0},
	{"PROC_INPUT",	'L',	1,	0},
	{"MAXSEVERTY",	'L',	1,	0},
	{"REFERENCE",	'C',	28,	0},
	{"AUTOMATIC",	'L',	1,	0},
	{"EGUTAG",	'C',	16,	0},
	{"DISPHIGH",	'N',	11,	4},
	{"DISPLOW",	'N',	11,	4},
	{"PRECISION",	'N',	1,	0},
	{"HIHILIMIT",	'N',	11,	4},
	{"HIGHLIMIT",	'N',	11,	4},
	{"LOWLIMIT",	'N',	11,	4},
	{"LOLOLIMIT",	'N',	11,	4},
	{"ROCLIMIT",	'N',	11,	4},
	{"ROCSAMPLES",	'N',	2,	0},
	{"HIHISEVER",	'C',	13,	0},
	{"HIGHSEVER",	'C',	13,	0},
	{"LOWSEVER",	'C',	13,	0},
	{"LOLOSEVER",	'C',	13,	0},
	{"ROCSEVER",	'C',	13,	0},
	{"ALMDEADBND",	'N',	11,	4},
	{"MONDEADBND",	'N',	11,	4},
	{"ARCDEADBND",	'N',	11,	4},
	{"XIN1",	'N',	11,	4},
	{"XIN2",	'N',	11,	4},
	{"XIN3",	'N',	11,	4},
	{"XIN4",	'N',	11,	4},
	{"XIN5",	'N',	11,	4},
	{"XIN6",	'N',	11,	4},
	{"XIN7",	'N',	11,	4},
	{"XIN8",	'N',	11,	4},
	{"XIN9",	'N',	11,	4},
	{"XIN10",	'N',	11,	4},
	{"XIN11",	'N',	11,	4},
	{"XIN12",	'N',	11,	4},
	{"XIN13",	'N',	11,	4},
	{"XIN14",	'N',	11,	4},
	{"XIN15",	'N',	11,	4},
	{"XIN16",	'N',	11,	4},
	{"XIN17",	'N',	11,	4},
	{"XIN18",	'N',	11,	4},
	{"XIN19",	'N',	11,	4},
	{"XIN20",	'N',	11,	4},
	{"XIN21",	'N',	11,	4},
	{"XIN22",	'N',	11,	4},
	{"XIN23",	'N',	11,	4},
	{"XIN24",	'N',	11,	4},
	{"XIN25",	'N',	11,	4},
	{"XIN26",	'N',	11,	4},
	{"XIN27",	'N',	11,	4},
	{"XIN28",	'N',	11,	4},
	{"XIN29",	'N',	11,	4},
	{"XIN30",	'N',	11,	4},
	{"XIN31",	'N',	11,	4},
	{"XIN32",	'N',	11,	4},
	{"YOUT1",	'N',	11,	4},
	{"YOUT2",	'N',	11,	4},
	{"YOUT3",	'N',	11,	4},
	{"YOUT4",	'N',	11,	4},
	{"YOUT5",	'N',	11,	4},
	{"YOUT6",	'N',	11,	4},
	{"YOUT7",	'N',	11,	4},
	{"YOUT8",	'N',	11,	4},
	{"YOUT9",	'N',	11,	4},
	{"YOUT10",	'N',	11,	4},
	{"YOUT11",	'N',	11,	4},
	{"YOUT12",	'N',	11,	4},
	{"YOUT13",	'N',	11,	4},
	{"YOUT14",	'N',	11,	4},
	{"YOUT15",	'N',	11,	4},
	{"YOUT16",	'N',	11,	4},
	{"YOUT17",	'N',	11,	4},
	{"YOUT18",	'N',	11,	4},
	{"YOUT19",	'N',	11,	4},
	{"YOUT20",	'N',	11,	4},
	{"YOUT21",	'N',	11,	4},
	{"YOUT22",	'N',	11,	4},
	{"YOUT23",	'N',	11,	4},
	{"YOUT24",	'N',	11,	4},
	{"YOUT25",	'N',	11,	4},
	{"YOUT26",	'N',	11,	4},
	{"YOUT27",	'N',	11,	4},
	{"YOUT28",	'N',	11,	4},
	{"YOUT29",	'N',	11,	4},
	{"YOUT30",	'N',	11,	4},
	{"YOUT31",	'N',	11,	4},
	{"YOUT32",	'N',	11,	4},
	{"NUMXVAL",	'N',	2,	0},
	{"FIXEDLOW",	'N',	11,	4},
	{"FIXEDHIGH",	'N',	11,	4},
	{"USEFIXED",	'L',	1,	0},
	{"FXLOWSEV",	'C',	13,	0},
	{"FXHGHSEV",	'C',	13,	0},
	{"DEVSETPT",	'N',	11,	4},
	{"DEVLIMIT",	'N',	11,	4},
	{"DEVSEVER",	'C',	13,	0},
	{0,0,0,0}
	};

T4TAG_INFO	sigcharTagInfo[] = 
	{
	{"NAME",	"NAME",	0,	0,	0},
	{0,0,0,0,0}
	};
