#ifndef vudeadtimedialogclassHXX
#define	vudeadtimedialogclassHXX

class	vuDeadtimeContainerClass : public vcontainer
{

public:

    // overrides from vkindTyped
    vkindTYPED_FULL_DECLARATION(vuDeadtimeContainerClass);

    // the default versions of necessary constructors/destructor
    vloadableINLINE_CONSTRUCTORS(vuDeadtimeContainerClass, vcontainer);

    // vloadable override
    void LoadInit (vresource resource);

    // override 
    void Destroy ();

    // pointers to fields in container, public so don't need funcs to
    // get at them from vuDeadtimeDialogClass

    vuPvNameButtonClass	*referenceButton;
    vuFilteredTextitem	*reference;
    filteredTextitem	*eguTag;
    vuCheckBoxClass	*onScan;
    vuCheckBoxClass	*manual;
    vuCheckBoxClass	*processInput;
    vuCheckBoxClass	*maximizeSeverity;
    filteredTextitem	*precision;
    vuPvNameButtonClass	*delayRateReferenceButton;
    vuFilteredTextitem	*delayRateReference;
    vuCheckBoxClass	*processDelayRateReference;
    filteredTextitem	*constant;
    spinnerClass	*delayLength;
    filteredTextitem	*monitorDeadband;
    filteredTextitem	*archiveDeadband;
    filteredTextitem	*displayLow;
    filteredTextitem	*displayHigh;
};


//*** DEADTIME DIALOG CLASS **********************************************

class	vuDeadtimeDialogClass : public vuCommonDialogClass
{
    vuDeadtimeContainerClass	*deadtimeContainer;
    vstr			*deadtimeTitle;

public:

    // overrides from vkindTyped
    vkindTYPED_FULL_DECLARATION(vuDeadtimeDialogClass);

    // the default versions of necessary constructors/destructor
    vloadableINLINE_CONSTRUCTORS(vuDeadtimeDialogClass, vuCommonDialogClass);

    // vloadable override
    void LoadInit (vresource resource);

    // override
    void Destroy ();

    // overide base vuCommonDialogClass
    void resetDialog (void);

    // override base class load and save functions
    void vuLoadDialog (vchar *pointName);
    void vuSaveDialog (vchar *pointName);
};

#endif	vudeadtimedialogclassHXX
