#ifndef vupiddialogclassHXX
#define	vupiddialogclassHXX

class	vuPidInitActionMenuClass;
class	vuPidCloseActionMenuClass;

class	vuPidContainerClass : public vcontainer
{

public:

    // overrides from vkindTyped
    vkindTYPED_FULL_DECLARATION(vuPidContainerClass);

    // the default versions of necessary constructors/destructor
    vloadableINLINE_CONSTRUCTORS(vuPidContainerClass, vcontainer);

    // vloadable override
    void LoadInit (vresource resource);

    // override 
    void Destroy ();

    // pointers to fields in container, public so don't need funcs to
    // get at them from vuPidDialogClass

    filteredTextitem	*precision;
    filteredTextitem	*eguTag;
    vuCheckBoxClass	*manual;
    vuCheckBoxClass	*onScan;
    vuCheckBoxClass	*onAlarm;
    vuChoiceRecMenuClass	*initAction;
    vuPvNameButtonClass	*mvChannelButton;
    vuFilteredTextitem	*mvChannel;
    vuCheckBoxClass	*mvProcess;
    vuCheckBoxClass	*mvMS;
    vuCheckBoxClass	*holdOnMvLoss;
    filteredTextitem	*mvLossOutput;
    vuPvNameButtonClass	*setptChannelButton;
    vuFilteredTextitem	*setptChannel;
    vuCheckBoxClass	*setptProcess;
    vuCheckBoxClass	*setptMS;
    filteredTextitem	*initialSetpt;
    vuCheckBoxClass	*setptUpdate;
    vuCheckBoxClass	*reverseInit;
    vuCheckBoxClass	*cascadeOpen;
    vuCheckBoxClass	*cascadePercent;
    filteredTextitem	*setptRamp;
    filteredTextitem	*setptGap;
    vuCheckBoxClass	*setptCross;
    vuPvNameButtonClass	*outputChannelButton;
    vuFilteredTextitem	*outputChannel;
    vuCheckBoxClass	*incremental;
    vuCheckBoxClass	*reverseOutput;
    vuPvNameButtonClass	*cascadeChannelButton;
    vuFilteredTextitem	*cascadeChannel;
    vuCheckBoxClass	*cascadeProcess;
    vuCheckBoxClass	*cascadeMS;
    vuChoiceRecMenuClass	*closeAction;
    filteredTextitem	*propBand;
    filteredTextitem	*reset;
    filteredTextitem	*rate;
    vuCheckBoxClass	*errorSquared;
    vuCheckBoxClass	*deltaError;
    vuCheckBoxClass	*feedbackEnable;
    filteredTextitem	*monitorDeadband;
    filteredTextitem	*archiveDeadband;
    filteredTextitem	*alarmDeadband;
    filteredTextitem	*clampDeadband;
    filteredTextitem	*eguLow;
    filteredTextitem	*eguHigh;
    filteredTextitem	*displayLow;
    filteredTextitem	*displayHigh;
    filteredTextitem	*setptClampLow;
    filteredTextitem	*setptClampHigh;
    filteredTextitem	*outputClampLow;
    filteredTextitem	*outputClampHigh;
    filteredTextitem	*deviationLimit;
    vuChoiceGblMenuClass	*clampLowSeverity;
    vuChoiceGblMenuClass	*clampHighSeverity;
    vuChoiceGblMenuClass	*deviationSeverity;
    vuChoiceGblMenuClass	*noSetptSeverity;
    vuChoiceGblMenuClass	*noMvSeverity;
    vuChoiceGblMenuClass	*noOutputSeverity;
    vuChoiceGblMenuClass	*noCascadeCtrlSeverity;
    vuChoiceGblMenuClass	*trackingModeSeverity;
    vuFilteredTextitem	*alarmGroup;
    vuPvNameButtonClass	*alarmDisableButton;
    vuFilteredTextitem	*alarmDisable;
    filteredTextitem	*alarmDelay;
};


//*** PID DIALOG CLASS ************************************************

class	vuPidDialogClass : public vuCommonDialogClass
{
    vuPidContainerClass	*pidContainer;
    vstr		*pidTitle;

public:

    // overrides from vkindTyped
    vkindTYPED_FULL_DECLARATION(vuPidDialogClass);

    // the default versions of necessary constructors/destructor
    vloadableINLINE_CONSTRUCTORS(vuPidDialogClass, vuCommonDialogClass);

    // vloadable override
    void LoadInit (vresource resource);

    // override
    void Destroy ();

    // overide base vuCommonDialogClass
    void resetDialog (void);

    // override base class load and save functions
    void vuLoadDialog (vchar *pointName);
    void vuSaveDialog (vchar *pointName);
};

#endif	vupiddialogclassHXX

