#ifndef vustringindialogclassHXX
#define	vustringindialogclassHXX

class	vuStringinContainerClass : public vcontainer
{

public:

    // overrides from vkindTyped
    vkindTYPED_FULL_DECLARATION(vuStringinContainerClass);

    // the default versions of necessary constructors/destructor
    vloadableINLINE_CONSTRUCTORS(vuStringinContainerClass, vcontainer);

    // vloadable override
    void LoadInit (vresource resource);

    // override 
    void Destroy ();

    // pointers to fields in container, public so don't need funcs to
    // get at them from vuStringinDialogClass

    vuBoardTypeMenuClass	*boardType;
    filteredTextitem	*line;
    filteredTextitem	*addr;
    filteredTextitem	*card;
    filteredTextitem	*signal;
    vuCheckBoxClass	*onScan;
    vuCheckBoxClass	*onAlarm;
    vuPvNameButtonClass	*referenceButton;
    vuFilteredTextitem	*reference;
    vuCheckBoxClass	*processInput;
    vuCheckBoxClass	*maximizeSeverity;
    spinnerClass	*readSize;
    vuCheckBoxClass	*manual;
    vuFilteredTextitem	*alarmGroup;
    vuPvNameButtonClass	*alarmDisableButton;
    vuFilteredTextitem	*alarmDisable;
    vuChoiceGblMenuClass	*chgValSeverity;
};


//*** STRINGIN DIALOG CLASS **********************************************

class	vuStringinDialogClass : public vuCommonDialogClass
{
    vuStringinContainerClass	*stringinContainer;
    vstr			*stringinTitle;

public:

    // overrides from vkindTyped
    vkindTYPED_FULL_DECLARATION(vuStringinDialogClass);

    // the default versions of necessary constructors/destructor
    vloadableINLINE_CONSTRUCTORS(vuStringinDialogClass, vuCommonDialogClass);

    // vloadable override
    void LoadInit (vresource resource);

    // override
    void Destroy ();

    // overide base vuCommonDialogClass
    void resetDialog (void);

    // override base class load and save functions
    void vuLoadDialog (vchar *pointName);
    void vuSaveDialog (vchar *pointName);
};

#endif	vustringindialogclassHXX

