#include <in.h>
#include "dsk.h"
/*
  Write the size data for this node.
  */

void dskDisplay(void *p1,void *p2)
{
  DSK_ENTRY_PTR   node = (DSK_ENTRY_PTR)p2;
  short stat,sevr;
  dskItemSize(node);
  node->dskOldSize = node->dskSize;		/* make the same for next time */
  if(node->dskSize > node->dskHighHigh)
    {
      stat = HIHI_ALARM;
      sevr = node->dskHighHighSevr;
    }
  else if(node->dskSize > node->dskHigh)
    {
      stat = HIGH_ALARM;
      sevr = node->dskHighSevr;
    }
  else if(node->dskSize < node->dskLowLow)
    {
      stat = LOLO_ALARM;
      sevr = node->dskLowLowSevr;
    }
  else if(node->dskSize < node->dskLow)
    {
      stat = LOW_ALARM;
      sevr = node->dskLowSevr;
    }
  else
    {
      stat = NO_ALARM;
      sevr = NO_ALARM;
    }
  dpaAlarm(node->dskDpaHandle,(void *)&node->dskSize,sizeof(node->dskSize),stat,sevr,0);
  dpaWrite(node->dskDpaHandle,&node->dskSize,sizeof(node->dskSize),AGNT_VALUE,stat,sevr);
  if(node->dskLabelHandle)
    dpaWriteField(node->dskLabelHandle);
}
