#include "opiStringDefs.h"
extern	char	*opiStringTab[];
/*
	einfo_string_init.c Created by ./einfoStringConv
	on Mon Dec  1 14:17:02 1997

	Initialize separate strings within new 'einfo' arrays.
	The new arrays will be used to display the strings where needed
*/

#include	<edd.h>

#include	<dlinfo.h>
char *dl_data_type_einfo_d[21];
char *edd_user_input_einfo_d[10];
char *edd_valuator_constraint_type_einfo_d[14];
char *dl_dynamic_color_mod_einfo_d[3];
char *dl_color_rule_connector_einfo_d[4];
char *dl_color_rule_operation_einfo_d[7];
char *dl_dynamic_visibility_mod_einfo_d[4];
char *dl_dynamic_io_type_einfo_d[3];
char *dl_dynamic_geom_mod_einfo_d[6];
char *dl_dynamic_direction_einfo_d[6];
char *dl_pointer_direction_einfo_d[5];
char *dl_button_stacking_einfo_d[4];
char *dl_dynamic_fill_mod_einfo_d[3];
char *dl_indicator_label_type_einfo_d[5];
char *dl_valuator_label_type_einfo_d[4];
char *dl_bar_label_type_einfo_d[5];
char *dl_tank_label_type_einfo_d[5];
char *dl_meter_label_type_einfo_d[5];
char *dl_2d_control_label_type_einfo_d[5];
char *dl_fill_style_einfo_d[3];
char *dl_edge_style_einfo_d[3];
char *dl_exit_action_einfo_d[4];
char *dl_button_behavior_einfo_d[3];
char *dl_plot_style_einfo_d[4];
char *dl_time_units_einfo_d[7];
char *dl_string_alignment_einfo_d[7];
char *dl_string_format_einfo_d[7];
char *dl_element_class_einfo_d[11];
char *dl_on_off_einfo_d[3];
char *dl_elements_einfo_d[38];
void	einfoStringInit()
{

/* Initialize dl_data_type_einfo array */

dl_data_type_einfo_d[0] = opiStringTab[STR_char                        ];
dl_data_type_einfo_d[1] = opiStringTab[STR_unsigned_char               ];
dl_data_type_einfo_d[2] = opiStringTab[STR_char_J                      ];
dl_data_type_einfo_d[3] = opiStringTab[STR_short                       ];
dl_data_type_einfo_d[4] = opiStringTab[STR_unsigned_short              ];
dl_data_type_einfo_d[5] = opiStringTab[STR_short_J                     ];
dl_data_type_einfo_d[6] = opiStringTab[STR_int                         ];
dl_data_type_einfo_d[7] = opiStringTab[STR_unsigned_int                ];
dl_data_type_einfo_d[8] = opiStringTab[STR_int_J                       ];
dl_data_type_einfo_d[9] = opiStringTab[STR_float                       ];
dl_data_type_einfo_d[10] = opiStringTab[STR_float_J                     ];
dl_data_type_einfo_d[11] = opiStringTab[STR_double                      ];
dl_data_type_einfo_d[12] = opiStringTab[STR_double_J                    ];
dl_data_type_einfo_d[13] = opiStringTab[STR_int                         ];
dl_data_type_einfo_d[14] = opiStringTab[STR_unsigned                    ];
dl_data_type_einfo_d[15] = opiStringTab[STR_struct                      ];
dl_data_type_einfo_d[16] = opiStringTab[STR_char_J                      ];
dl_data_type_einfo_d[17] = opiStringTab[STR_char_J                      ];
dl_data_type_einfo_d[18] = opiStringTab[STR_unsigned_char               ];
dl_data_type_einfo_d[19] = opiStringTab[STR_unsigned_char               ];
dl_data_type_einfo_d[20] = 0;

/* Initialize edd_user_input_einfo array */

edd_user_input_einfo_d[0] = opiStringTab[STR_no_input                    ];
edd_user_input_einfo_d[1] = opiStringTab[STR_scroll_bar                  ];
edd_user_input_einfo_d[2] = opiStringTab[STR_text_entry_box              ];
edd_user_input_einfo_d[3] = opiStringTab[STR_unmodified_text             ];
edd_user_input_einfo_d[4] = opiStringTab[STR_enum_from_menu              ];
edd_user_input_einfo_d[5] = opiStringTab[STR_radio_button                ];
edd_user_input_einfo_d[6] = opiStringTab[STR_color_selection             ];
edd_user_input_einfo_d[7] = opiStringTab[STR_user_input_form             ];
edd_user_input_einfo_d[8] = opiStringTab[STR_pop_up_user_input_form      ];
edd_user_input_einfo_d[9] = 0;

/* Initialize edd_valuator_constraint_type_einfo array */

edd_valuator_constraint_type_einfo_d[0] = "";
edd_valuator_constraint_type_einfo_d[1] = "";
edd_valuator_constraint_type_einfo_d[2] = "";
edd_valuator_constraint_type_einfo_d[3] = "";
edd_valuator_constraint_type_einfo_d[4] = "";
edd_valuator_constraint_type_einfo_d[5] = "";
edd_valuator_constraint_type_einfo_d[6] = "";
edd_valuator_constraint_type_einfo_d[7] = "";
edd_valuator_constraint_type_einfo_d[8] = "";
edd_valuator_constraint_type_einfo_d[9] = "";
edd_valuator_constraint_type_einfo_d[10] = "";
edd_valuator_constraint_type_einfo_d[11] = "";
edd_valuator_constraint_type_einfo_d[12] = "";
edd_valuator_constraint_type_einfo_d[13] = 0;

/* Initialize dl_dynamic_color_mod_einfo array */

dl_dynamic_color_mod_einfo_d[0] = opiStringTab[STR_static                      ];
dl_dynamic_color_mod_einfo_d[1] = opiStringTab[STR_rule                        ];
dl_dynamic_color_mod_einfo_d[2] = 0;

/* Initialize dl_color_rule_connector_einfo array */

dl_color_rule_connector_einfo_d[0] = opiStringTab[STR_use                         ];
dl_color_rule_connector_einfo_d[1] = opiStringTab[STR_and                         ];
dl_color_rule_connector_einfo_d[2] = opiStringTab[STR_and_not                     ];
dl_color_rule_connector_einfo_d[3] = 0;

/* Initialize dl_color_rule_operation_einfo array */

dl_color_rule_operation_einfo_d[0] = opiStringTab[STR_C                           ];
dl_color_rule_operation_einfo_d[1] = opiStringTab[STR_F                           ];
dl_color_rule_operation_einfo_d[2] = opiStringTab[STR_BC                          ];
dl_color_rule_operation_einfo_d[3] = opiStringTab[STR_B                           ];
dl_color_rule_operation_einfo_d[4] = opiStringTab[STR_AC                          ];
dl_color_rule_operation_einfo_d[5] = opiStringTab[STR_A                           ];
dl_color_rule_operation_einfo_d[6] = 0;

/* Initialize dl_dynamic_visibility_mod_einfo array */

dl_dynamic_visibility_mod_einfo_d[0] = opiStringTab[STR_static                      ];
dl_dynamic_visibility_mod_einfo_d[1] = opiStringTab[STR_if_not_zero                 ];
dl_dynamic_visibility_mod_einfo_d[2] = opiStringTab[STR_if_zero                     ];
dl_dynamic_visibility_mod_einfo_d[3] = 0;

/* Initialize dl_dynamic_io_type_einfo array */

dl_dynamic_io_type_einfo_d[0] = opiStringTab[STR_monitor                     ];
dl_dynamic_io_type_einfo_d[1] = opiStringTab[STR_control                     ];
dl_dynamic_io_type_einfo_d[2] = 0;

/* Initialize dl_dynamic_geom_mod_einfo array */

dl_dynamic_geom_mod_einfo_d[0] = opiStringTab[STR_fill_right                  ];
dl_dynamic_geom_mod_einfo_d[1] = opiStringTab[STR_fill_up                     ];
dl_dynamic_geom_mod_einfo_d[2] = opiStringTab[STR_fill_left                   ];
dl_dynamic_geom_mod_einfo_d[3] = opiStringTab[STR_fill_down                   ];
dl_dynamic_geom_mod_einfo_d[4] = opiStringTab[STR_fill_radial                 ];
dl_dynamic_geom_mod_einfo_d[5] = 0;

/* Initialize dl_dynamic_direction_einfo array */

dl_dynamic_direction_einfo_d[0] = opiStringTab[STR_right                       ];
dl_dynamic_direction_einfo_d[1] = opiStringTab[STR_left                        ];
dl_dynamic_direction_einfo_d[2] = opiStringTab[STR_up                          ];
dl_dynamic_direction_einfo_d[3] = opiStringTab[STR_down                        ];
dl_dynamic_direction_einfo_d[4] = opiStringTab[STR_radial                      ];
dl_dynamic_direction_einfo_d[5] = 0;

/* Initialize dl_pointer_direction_einfo array */

dl_pointer_direction_einfo_d[0] = opiStringTab[STR_down                        ];
dl_pointer_direction_einfo_d[1] = opiStringTab[STR_up                          ];
dl_pointer_direction_einfo_d[2] = opiStringTab[STR_right                       ];
dl_pointer_direction_einfo_d[3] = opiStringTab[STR_left                        ];
dl_pointer_direction_einfo_d[4] = 0;

/* Initialize dl_button_stacking_einfo array */

dl_button_stacking_einfo_d[0] = opiStringTab[STR_column                      ];
dl_button_stacking_einfo_d[1] = opiStringTab[STR_row                         ];
dl_button_stacking_einfo_d[2] = opiStringTab[STR_row_column                  ];
dl_button_stacking_einfo_d[3] = 0;

/* Initialize dl_dynamic_fill_mod_einfo array */

dl_dynamic_fill_mod_einfo_d[0] = opiStringTab[STR_from_edge                   ];
dl_dynamic_fill_mod_einfo_d[1] = opiStringTab[STR_from_zero                   ];
dl_dynamic_fill_mod_einfo_d[2] = 0;

/* Initialize dl_indicator_label_type_einfo array */

dl_indicator_label_type_einfo_d[0] = opiStringTab[STR_none                        ];
dl_indicator_label_type_einfo_d[1] = opiStringTab[STR_outline                     ];
dl_indicator_label_type_einfo_d[2] = opiStringTab[STR_limits                      ];
dl_indicator_label_type_einfo_d[3] = opiStringTab[STR_channel                     ];
dl_indicator_label_type_einfo_d[4] = 0;

/* Initialize dl_valuator_label_type_einfo array */

dl_valuator_label_type_einfo_d[0] = opiStringTab[STR_none                        ];
dl_valuator_label_type_einfo_d[1] = opiStringTab[STR_outline                     ];
dl_valuator_label_type_einfo_d[2] = opiStringTab[STR_limits                      ];
dl_valuator_label_type_einfo_d[3] = 0;

/* Initialize dl_bar_label_type_einfo array */

dl_bar_label_type_einfo_d[0] = opiStringTab[STR_none                        ];
dl_bar_label_type_einfo_d[1] = opiStringTab[STR_outline                     ];
dl_bar_label_type_einfo_d[2] = opiStringTab[STR_limits                      ];
dl_bar_label_type_einfo_d[3] = opiStringTab[STR_channel                     ];
dl_bar_label_type_einfo_d[4] = 0;

/* Initialize dl_tank_label_type_einfo array */

dl_tank_label_type_einfo_d[0] = opiStringTab[STR_none                        ];
dl_tank_label_type_einfo_d[1] = opiStringTab[STR_outline                     ];
dl_tank_label_type_einfo_d[2] = opiStringTab[STR_limits                      ];
dl_tank_label_type_einfo_d[3] = opiStringTab[STR_channel                     ];
dl_tank_label_type_einfo_d[4] = 0;

/* Initialize dl_meter_label_type_einfo array */

dl_meter_label_type_einfo_d[0] = opiStringTab[STR_none                        ];
dl_meter_label_type_einfo_d[1] = opiStringTab[STR_outline                     ];
dl_meter_label_type_einfo_d[2] = opiStringTab[STR_limits                      ];
dl_meter_label_type_einfo_d[3] = opiStringTab[STR_channel                     ];
dl_meter_label_type_einfo_d[4] = 0;

/* Initialize dl_2d_control_label_type_einfo array */

dl_2d_control_label_type_einfo_d[0] = opiStringTab[STR_none                        ];
dl_2d_control_label_type_einfo_d[1] = opiStringTab[STR_outline                     ];
dl_2d_control_label_type_einfo_d[2] = opiStringTab[STR_limits                      ];
dl_2d_control_label_type_einfo_d[3] = opiStringTab[STR_channel                     ];
dl_2d_control_label_type_einfo_d[4] = 0;

/* Initialize dl_fill_style_einfo array */

dl_fill_style_einfo_d[0] = opiStringTab[STR_outline                     ];
dl_fill_style_einfo_d[1] = opiStringTab[STR_solid                       ];
dl_fill_style_einfo_d[2] = 0;

/* Initialize dl_edge_style_einfo array */

dl_edge_style_einfo_d[0] = opiStringTab[STR_solid                       ];
dl_edge_style_einfo_d[1] = opiStringTab[STR_dash                        ];
dl_edge_style_einfo_d[2] = 0;

/* Initialize dl_exit_action_einfo array */

dl_exit_action_einfo_d[0] = opiStringTab[STR_terminate                   ];
dl_exit_action_einfo_d[1] = opiStringTab[STR_iconize                     ];
dl_exit_action_einfo_d[2] = opiStringTab[STR_autoterm                    ];
dl_exit_action_einfo_d[3] = 0;

/* Initialize dl_button_behavior_einfo array */

dl_button_behavior_einfo_d[0] = opiStringTab[STR_momentary                   ];
dl_button_behavior_einfo_d[1] = opiStringTab[STR_latched                     ];
dl_button_behavior_einfo_d[2] = 0;

/* Initialize dl_plot_style_einfo array */

dl_plot_style_einfo_d[0] = opiStringTab[STR_point_plot                  ];
dl_plot_style_einfo_d[1] = opiStringTab[STR_line_plot                   ];
dl_plot_style_einfo_d[2] = opiStringTab[STR_fill_under                  ];
dl_plot_style_einfo_d[3] = 0;

/* Initialize dl_time_units_einfo array */

dl_time_units_einfo_d[0] = opiStringTab[STR_day                         ];
dl_time_units_einfo_d[1] = opiStringTab[STR_hour                        ];
dl_time_units_einfo_d[2] = opiStringTab[STR_minute                      ];
dl_time_units_einfo_d[3] = opiStringTab[STR_second                      ];
dl_time_units_einfo_d[4] = opiStringTab[STR_milli_second                ];
dl_time_units_einfo_d[5] = opiStringTab[STR_micro_second                ];
dl_time_units_einfo_d[6] = 0;

/* Initialize dl_string_alignment_einfo array */

dl_string_alignment_einfo_d[0] = opiStringTab[STR_horiz_left                  ];
dl_string_alignment_einfo_d[1] = opiStringTab[STR_horiz_right                 ];
dl_string_alignment_einfo_d[2] = opiStringTab[STR_horiz_centered              ];
dl_string_alignment_einfo_d[3] = opiStringTab[STR_vert_top                    ];
dl_string_alignment_einfo_d[4] = opiStringTab[STR_vert_bottom                 ];
dl_string_alignment_einfo_d[5] = opiStringTab[STR_vert_centered               ];
dl_string_alignment_einfo_d[6] = 0;

/* Initialize dl_string_format_einfo array */

dl_string_format_einfo_d[0] = opiStringTab[STR_decimal                     ];
dl_string_format_einfo_d[1] = opiStringTab[STR_decimal_exponential_notation];
dl_string_format_einfo_d[2] = opiStringTab[STR_decimal_compact             ];
dl_string_format_einfo_d[3] = opiStringTab[STR_decimal_truncated_          ];
dl_string_format_einfo_d[4] = opiStringTab[STR_hexidecimal                 ];
dl_string_format_einfo_d[5] = opiStringTab[STR_octal                       ];
dl_string_format_einfo_d[6] = 0;

/* Initialize dl_element_class_einfo array */

dl_element_class_einfo_d[0] = opiStringTab[STR_attribute                   ];
dl_element_class_einfo_d[1] = opiStringTab[STR_graphic                     ];
dl_element_class_einfo_d[2] = opiStringTab[STR_control                     ];
dl_element_class_einfo_d[3] = opiStringTab[STR_monitor                     ];
dl_element_class_einfo_d[4] = opiStringTab[STR_miscellaneous               ];
dl_element_class_einfo_d[5] = opiStringTab[STR_internal                    ];
dl_element_class_einfo_d[6] = opiStringTab[STR_plot                        ];
dl_element_class_einfo_d[7] = opiStringTab[STR_related_display             ];
dl_element_class_einfo_d[8] = opiStringTab[STR_execute_script              ];
dl_element_class_einfo_d[9] = opiStringTab[STR_kill_display                ];
dl_element_class_einfo_d[10] = 0;

/* Initialize dl_on_off_einfo array */

dl_on_off_einfo_d[0] = opiStringTab[STR_off                         ];
dl_on_off_einfo_d[1] = opiStringTab[STR_on                          ];
dl_on_off_einfo_d[2] = 0;

/* Initialize dl_elements_einfo array */

dl_elements_einfo_d[0] = opiStringTab[STR_AAgraphic_subclassBB        ];
dl_elements_einfo_d[1] = opiStringTab[STR_rectangle                   ];
dl_elements_einfo_d[2] = opiStringTab[STR_line                        ];
dl_elements_einfo_d[3] = opiStringTab[STR_oval                        ];
dl_elements_einfo_d[4] = opiStringTab[STR_arc                         ];
dl_elements_einfo_d[5] = opiStringTab[STR_text                        ];
dl_elements_einfo_d[6] = opiStringTab[STR_user_defined_area           ];
dl_elements_einfo_d[7] = opiStringTab[STR_AAmonitor_subclassBB        ];
dl_elements_einfo_d[8] = opiStringTab[STR_bar                         ];
dl_elements_einfo_d[9] = opiStringTab[STR_tank                        ];
dl_elements_einfo_d[10] = opiStringTab[STR_meter                       ];
dl_elements_einfo_d[11] = opiStringTab[STR_indicator                   ];
dl_elements_einfo_d[12] = opiStringTab[STR_text_update                 ];
dl_elements_einfo_d[13] = opiStringTab[STR_user_defined_symbol         ];
dl_elements_einfo_d[14] = opiStringTab[STR_AAplot_subclassBB           ];
dl_elements_einfo_d[15] = opiStringTab[STR_cartesian_plot              ];
dl_elements_einfo_d[16] = opiStringTab[STR_smith_overlay_plot          ];
dl_elements_einfo_d[17] = opiStringTab[STR_surface_plot                ];
dl_elements_einfo_d[18] = opiStringTab[STR_strip_chart                 ];
dl_elements_einfo_d[19] = opiStringTab[STR_AAcontroller_subclassBB     ];
dl_elements_einfo_d[20] = opiStringTab[STR_valuator                    ];
dl_elements_einfo_d[21] = opiStringTab[STR_text_entry                  ];
dl_elements_einfo_d[22] = opiStringTab[STR_button                      ];
dl_elements_einfo_d[23] = opiStringTab[STR_choice_button               ];
dl_elements_einfo_d[24] = opiStringTab[STR_message_button              ];
dl_elements_einfo_d[25] = opiStringTab[STR_menu                        ];
dl_elements_einfo_d[26] = opiStringTab[STR_2d_control                  ];
dl_elements_einfo_d[27] = opiStringTab[STR_related_display             ];
dl_elements_einfo_d[28] = opiStringTab[STR_execute_script              ];
dl_elements_einfo_d[29] = opiStringTab[STR_kill_display                ];
dl_elements_einfo_d[30] = opiStringTab[STR_AAinternal_groupingBB       ];
dl_elements_einfo_d[31] = opiStringTab[STR_AAPV_name_elementBB         ];
dl_elements_einfo_d[32] = opiStringTab[STR_AAstring_name_elementBB     ];
dl_elements_einfo_d[33] = opiStringTab[STR_AAcolor_mapBB               ];
dl_elements_einfo_d[34] = opiStringTab[STR_AAcolor_rulesBB             ];
dl_elements_einfo_d[35] = opiStringTab[STR_AAbasic_atributeBB          ];
dl_elements_einfo_d[36] = opiStringTab[STR_AAdynamic_attributeBB       ];
dl_elements_einfo_d[37] = 0;
return;
}
