/****************************************************************/
/*								*/
/*	This software is the proprietary property of Tate	*/
/*	Integrated Systems, L.P.  Patents and copyrights are	*/
/*	pending.						*/
/*								*/
/*	This software is furnished under a license and may	*/
/*	be used and copied only in accordance with the terms	*/
/*	of such license and with the inclusion of the above	*/
/*	notice. This software or any other copies thereof	*/
/*	may not be provided or otherwise made available to	*/
/*	any other person. No title to and ownership of the	*/
/*	software is hereby transferred.				*/
/*								*/
/*	The information in this software is subject to		*/
/*	change without notice and should not be construed 	*/
/*	as a commitment by Tate Integrated Systems L.P. or	*/
/*	its third party suppliers.				*/
/*								*/
/*	Tate Integrated Systems, L.P. (TIS) and its third	*/
/*	party suppliers assume no responsibility for the	*/
/*	use or inability to use any of its software. TIS	*/
/*	software is provided "as is" without warranty of	*/
/*	any kind and TIS expressly disclaims all implied	*/
/*	warranties, including but not limited to the implied	*/
/*	warranties of merchantability and fitness for a		*/
/*	particular purpose.					*/
/*								*/
/*	Notice: Notwithstanding any other lease or license	*/
/*	that may pertain to or accompany the delivery of this	*/
/*	computer software, the rights of the Government		*/
/*	regarding its use, reproduction, and disclosure are	*/
/*	as set forth in Section 52.227-19 of the FARS		*/
/*	Computer Software-Restricted Rights clause.		*/
/*								*/
/****************************************************************/
#ifdef TOKENPTRS
/* Replace this definition file with token type references in mirror file */
#include "dlinfo_tokens.h"
#endif

#ifndef INCdlinfoh
#define INCdlinfoh

/*
 *
 *	OPI display list structures auxillary information
 *	(The source of dlinfo.h is dldef.m4 - changes to dlinfo.h will
 *	be superseded)
 *
 *
 *	Author 	Jeffrey O. Hill
 *		hill@luke.lanl.gov
 *		505 665 1831
 *
 */

#ifndef DLINFOGLBL
extern
#endif
char * dl_data_type_einfo[]
#ifdef DLINFOGLBL
= {
	"char",

	"unsigned char",

	"char *",

	"short",

	"unsigned short",

	"short *",

	"int",

	"unsigned int",

	"int *",

	"float",

	"float *",

	"double",

	"double *",

	"int",

	"unsigned",

	"struct",

	"char *",

	"char *",

	"unsigned char",

	"unsigned char",

	0
}
#endif
;
 

#ifndef DLINFOGLBL
extern
#endif
char * edd_user_input_einfo[]
#ifdef DLINFOGLBL
= {
	"no input",

	"scroll bar",

	"text entry box",

	"unmodified text",

	"enum from menu",

	"radio button",

	"color selection",

	"user input form",

	"pop up user input form",

	0
}
#endif
;
 

#ifndef DLINFOGLBL
extern
#endif
char * edd_valuator_constraint_type_einfo[]
#ifdef DLINFOGLBL
= {
	"",

	"",

	"",

	"",

	"",

	"",

	"",

	"",

	"",

	"",

	"",

	"",

	"",

	0
}
#endif
;
 

#ifndef DLINFOGLBL
extern
#endif
char * dl_dynamic_color_mod_einfo[]
#ifdef DLINFOGLBL
= {
	"static",

	"rule",

	0
}
#endif
;
 

#ifndef DLINFOGLBL
extern
#endif
char * dl_color_rule_connector_einfo[]
#ifdef DLINFOGLBL
= {
	"use",

	"and",

	"and not",

	0
}
#endif
;
 

#ifndef DLINFOGLBL
extern
#endif
char * dl_color_rule_operation_einfo[]
#ifdef DLINFOGLBL
= {
	"=",

	"#",

	">=",

	">",

	"<=",

	"<",

	0
}
#endif
;
 

#ifndef DLINFOGLBL
extern
#endif
char * dl_dynamic_visibility_mod_einfo[]
#ifdef DLINFOGLBL
= {
	"static",

	"if not zero",

	"if zero",

	0
}
#endif
;
 

#ifndef DLINFOGLBL
extern
#endif
char * dl_dynamic_io_type_einfo[]
#ifdef DLINFOGLBL
= {
	"monitor",

	"control",

	0
}
#endif
;
 

#ifndef DLINFOGLBL
extern
#endif
char * dl_dynamic_geom_mod_einfo[]
#ifdef DLINFOGLBL
= {
	"fill right",

	"fill up",

	"fill left",

	"fill down",

	"fill radial",

	0
}
#endif
;
 

#ifndef DLINFOGLBL
extern
#endif
char * dl_dynamic_direction_einfo[]
#ifdef DLINFOGLBL
= {
	"right",

	"left",

	"up",

	"down",

	"radial",

	0
}
#endif
;
 

#ifndef DLINFOGLBL
extern
#endif
char * dl_pointer_direction_einfo[]
#ifdef DLINFOGLBL
= {
	"down",

	"up",

	"right",

	"left",

	0
}
#endif
;
 

#ifndef DLINFOGLBL
extern
#endif
char * dl_button_stacking_einfo[]
#ifdef DLINFOGLBL
= {
	"column",

	"row",

	"row column",

	0
}
#endif
;
 

#ifndef DLINFOGLBL
extern
#endif
char * dl_dynamic_fill_mod_einfo[]
#ifdef DLINFOGLBL
= {
	"from edge",

	"from zero",

	0
}
#endif
;
 

#ifndef DLINFOGLBL
extern
#endif
char * dl_indicator_label_type_einfo[]
#ifdef DLINFOGLBL
= {
	"none",

	"outline",

	"limits",

	"channel",

	0
}
#endif
;
 

#ifndef DLINFOGLBL
extern
#endif
char * dl_valuator_label_type_einfo[]
#ifdef DLINFOGLBL
= {
	"none",

	"outline",

	"limits",

	0
}
#endif
;
 

#ifndef DLINFOGLBL
extern
#endif
char * dl_bar_label_type_einfo[]
#ifdef DLINFOGLBL
= {
	"none",

	"outline",

	"limits",

	"channel",

	0
}
#endif
;
 

#ifndef DLINFOGLBL
extern
#endif
char * dl_tank_label_type_einfo[]
#ifdef DLINFOGLBL
= {
	"none",

	"outline",

	"limits",

	"channel",

	0
}
#endif
;
 

#ifndef DLINFOGLBL
extern
#endif
char * dl_meter_label_type_einfo[]
#ifdef DLINFOGLBL
= {
	"none",

	"outline",

	"limits",

	"channel",

	0
}
#endif
;
 

#ifndef DLINFOGLBL
extern
#endif
char * dl_2d_control_label_type_einfo[]
#ifdef DLINFOGLBL
= {
	"none",

	"outline",

	"limits",

	"channel",

	0
}
#endif
;
 

#ifndef DLINFOGLBL
extern
#endif
char * dl_fill_style_einfo[]
#ifdef DLINFOGLBL
= {
	"outline",

	"solid",

	0
}
#endif
;
 

#ifndef DLINFOGLBL
extern
#endif
char * dl_edge_style_einfo[]
#ifdef DLINFOGLBL
= {
	"solid",

	"dash",

	0
}
#endif
;
 

#ifndef DLINFOGLBL
extern
#endif
char * dl_exit_action_einfo[]
#ifdef DLINFOGLBL
= {
	"terminate",

	"iconize",

	"auto-term",

	0
}
#endif
;
 

#ifndef DLINFOGLBL
extern
#endif
char * dl_button_behavior_einfo[]
#ifdef DLINFOGLBL
= {
	"momentary",

	"latched",

	0
}
#endif
;


#ifndef DLINFOGLBL
extern
#endif
char * dl_plot_style_einfo[]
#ifdef DLINFOGLBL
= {
	"point plot",

	"line plot",

	"fill under",

	0
}
#endif
;
 

#ifndef DLINFOGLBL
extern
#endif
char * dl_time_units_einfo[]
#ifdef DLINFOGLBL
= {
	"day",

	"hour",

	"minute",

	"second",

	"milli second",

	"micro second",

	0
}
#endif
;
 

#ifndef DLINFOGLBL
extern
#endif
char * dl_string_alignment_einfo[]
#ifdef DLINFOGLBL
= {
	"horiz. left",

	"horiz. right",

	"horiz. centered",

	"vert. top",

	"vert. bottom",

	"vert. centered",

	0
}
#endif
;
 

#ifndef DLINFOGLBL
extern
#endif
char * dl_string_format_einfo[]
#ifdef DLINFOGLBL
= {
	"decimal",

	"decimal- exponential notation",

	"decimal- compact",

	"decimal- truncated ",

	"hexidecimal",

	"octal",

	0
}
#endif
;
 

#ifndef DLINFOGLBL
extern
#endif
char * dl_element_class_einfo[]
#ifdef DLINFOGLBL
= {
	"attribute",

	"graphic",

	"control",

	"monitor",

	"miscellaneous",

	"internal",

	"plot",

	"related display",

	"execute script",

	"kill display",

	0
}
#endif
;
 

#ifndef DLINFOGLBL
extern
#endif
char * dl_on_off_einfo[]
#ifdef DLINFOGLBL
= {
	"off",

	"on",

	0
}
#endif
;
 

#ifndef DLINFOGLBL
extern
#endif
char * dl_elements_einfo[]
#ifdef DLINFOGLBL
= {
	"<<graphic subclass>>",

	"rectangle",

	"line",

	"oval",

	"arc",

	"text",

	"user defined area",

	"<<monitor subclass>>",

	"bar",

	"tank",

	"meter",

	"indicator",

	"text update",

	"user defined symbol",

	"<<plot subclass>>",

	"cartesian plot",

	"smith overlay plot",

	"surface plot",

	"strip chart",

	"<<controller subclass>>",

	"valuator",

	"text entry",

	"button",

	"choice button",

	"message button",

	"menu",

	"2d control",

	"related display",

	"execute script",

	"kill display",

	"<<internal grouping>>",

	"<<PV name element>>",

	"<<string name element>>",

	"<<color map>>",

	"<<color rules>>",

	"<<basic atribute>>",

	"<<dynamic attribute>>",

	0
}
#endif
;

enum dl_element_hdr_sinfo_ix{ 

	type_index_dl_element_hdr,

	pad_index_dl_element_hdr,

	nwords_index_dl_element_hdr,

};

enum dl_object_hdr_sinfo_ix{ 

	x_index_dl_object_hdr,

	y_index_dl_object_hdr,

	width_index_dl_object_hdr,

	height_index_dl_object_hdr,

};

enum dl_point_sinfo_ix{ 

	x_index_dl_point,

	y_index_dl_point,

};

enum dl_plot_hdr_sinfo_ix{ 

	pad_index_dl_plot_hdr,

	title_index_dl_plot_hdr,

	xlabel_index_dl_plot_hdr,

	ylabel_index_dl_plot_hdr,

	package_index_dl_plot_hdr,

	clr_index_dl_plot_hdr,

	bclr_index_dl_plot_hdr,

};

enum dl_control_hdr_sinfo_ix{ 

	pad_index_dl_control_hdr,

	ctrl_index_dl_control_hdr,

	clr_index_dl_control_hdr,

	bclr_index_dl_control_hdr,

};

enum dl_monitor_hdr_sinfo_ix{ 

	pad_index_dl_monitor_hdr,

	rdbk_index_dl_monitor_hdr,

	clr_index_dl_monitor_hdr,

	bclr_index_dl_monitor_hdr,

};

enum dl_sta_attr_sinfo_ix{ 

	clr_index_dl_sta_attr,

	style_index_dl_sta_attr,

	fill_index_dl_sta_attr,

	width_index_dl_sta_attr,

};

enum dl_dyn_mod_sinfo_ix{ 

	clrmod_index_dl_dyn_mod,

	vis_index_dl_dyn_mod,

};

enum dl_dyn_param_sinfo_ix{ 

	rulecolorfg_index_dl_dyn_param,

	rulecolorbg_index_dl_dyn_param,

	chan_index_dl_dyn_param,

	rulechan_index_dl_dyn_param,

	clrrule_index_dl_dyn_param,

	clrargs_index_dl_dyn_param,

};

enum dl_dyn_attr_sinfo_ix{ 

	mod_index_dl_dyn_attr,

	param_index_dl_dyn_attr,

};

enum dl_color_sinfo_ix{ 

	r_index_dl_color,

	g_index_dl_color,

	b_index_dl_color,

	inten_index_dl_color,

	blink_index_dl_color,

	pad_index_dl_color,

};

enum dl_color_rule_info_sinfo_ix{ 

	chan_index_dl_color_rule_info,

	value_index_dl_color_rule_info,

	connector_index_dl_color_rule_info,

	operation_index_dl_color_rule_info,

	clr_index_dl_color_rule_info,

	pad_index_dl_color_rule_info,

};

enum dl_color_rule_sinfo_ix{ 

	name_index_dl_color_rule,

	info_index_dl_color_rule,

	fg_enable_index_dl_color_rule,

	bg_enable_index_dl_color_rule,

	default_fg_index_dl_color_rule,

	default_bg_index_dl_color_rule,

};

enum dl_pen_sinfo_ix{ 

	chan_index_dl_pen,

	clr_index_dl_pen,

	pad1_index_dl_pen,

	pad2_index_dl_pen,

	pad3_index_dl_pen,

};

enum dl_trace_sinfo_ix{ 

	xdata_index_dl_trace,

	ydata_index_dl_trace,

	data_clr_index_dl_trace,

	pad1_index_dl_trace,

	pad2_index_dl_trace,

	pad3_index_dl_trace,

};

enum dl_rd_info_sinfo_ix{ 

	label_index_dl_rd_info,

	name_index_dl_rd_info,

	args_index_dl_rd_info,

};

enum dl_es_info_sinfo_ix{ 

	label_index_dl_es_info,

	path_index_dl_es_info,

	args_index_dl_es_info,

};

enum dl_hdr_sinfo_ix{ 

	magic_index_dl_hdr,

	majv_index_dl_hdr,

	mnrv_index_dl_hdr,

	ndyn_index_dl_hdr,

	npc_index_dl_hdr,

	nstr_index_dl_hdr,

	nmon_index_dl_hdr,

	nctrl_index_dl_hdr,

	nplot_index_dl_hdr,

	nrd_index_dl_hdr,

	nes_index_dl_hdr,

	nkd_index_dl_hdr,

	object_index_dl_hdr,

	clr_index_dl_hdr,

	bclr_index_dl_hdr,

	nwords_dspy_index_dl_hdr,

	nwords_sta_index_dl_hdr,

	nwords_cmap_index_dl_hdr,

	nwords_crules_index_dl_hdr,

	odyn_index_dl_hdr,

	osta_index_dl_hdr,

	omon_index_dl_hdr,

	octrl_index_dl_hdr,

	oplot_index_dl_hdr,

	ord_index_dl_hdr,

	oes_index_dl_hdr,

	okd_index_dl_hdr,

	opc_index_dl_hdr,

	ostr_index_dl_hdr,

	ocmap_index_dl_hdr,

	ocrules_index_dl_hdr,

	style_index_dl_hdr,

	fill_index_dl_hdr,

	width_index_dl_hdr,

	clrmod_index_dl_hdr,

	vismod_index_dl_hdr,

	exit_action_index_dl_hdr,

	pad2_index_dl_hdr,

	clrrule_index_dl_hdr,

	pv_index_dl_hdr,

	cmap_index_dl_hdr,

	startprogram_index_dl_hdr,

	privname_index_dl_hdr,

};

enum dl_anygo_sinfo_ix{ 

	element_index_dl_anygo,

	object_index_dl_anygo,

	groupid_index_dl_anygo,

};

enum dl_rec_sinfo_ix{ 

	element_index_dl_rec,

	object_index_dl_rec,

	groupid_index_dl_rec,

};

enum dl_line_sinfo_ix{ 

	element_index_dl_line,

	object_index_dl_line,

	groupid_index_dl_line,

	npoints_index_dl_line,

	point_index_dl_line,

	orgpoint_index_dl_line,

};

enum dl_oval_sinfo_ix{ 

	element_index_dl_oval,

	object_index_dl_oval,

	groupid_index_dl_oval,

};

enum dl_arc_sinfo_ix{ 

	element_index_dl_arc,

	object_index_dl_arc,

	groupid_index_dl_arc,

	begin_index_dl_arc,

	path_index_dl_arc,

};

enum dl_text_sinfo_ix{ 

	element_index_dl_text,

	object_index_dl_text,

	groupid_index_dl_text,

	pad_index_dl_text,

	textix_index_dl_text,

	align_index_dl_text,

};

enum dl_user_sinfo_ix{ 

	element_index_dl_user,

	object_index_dl_user,

	groupid_index_dl_user,

	pad_index_dl_user,

	param_index_dl_user,

};

enum dl_anymo_sinfo_ix{ 

	element_index_dl_anymo,

	object_index_dl_anymo,

	groupid_index_dl_anymo,

	monitor_index_dl_anymo,

};

enum dl_bar_sinfo_ix{ 

	element_index_dl_bar,

	object_index_dl_bar,

	groupid_index_dl_bar,

	monitor_index_dl_bar,

	label_index_dl_bar,

	clrmod_index_dl_bar,

	clrrule_index_dl_bar,

	clrargs_index_dl_bar,

	rulechan_index_dl_bar,

	direction_index_dl_bar,

	fillmod_index_dl_bar,

	rulecolorfg_index_dl_bar,

	rulecolorbg_index_dl_bar,

};

enum dl_tank_sinfo_ix{ 

	element_index_dl_tank,

	object_index_dl_tank,

	groupid_index_dl_tank,

	monitor_index_dl_tank,

	label_index_dl_tank,

	clrmod_index_dl_tank,

	clrrule_index_dl_tank,

	clrargs_index_dl_tank,

	rulechan_index_dl_tank,

	fillmod_index_dl_tank,

	direction_index_dl_tank,

	rulecolorfg_index_dl_tank,

	rulecolorbg_index_dl_tank,

};

enum dl_meter_sinfo_ix{ 

	element_index_dl_meter,

	object_index_dl_meter,

	groupid_index_dl_meter,

	monitor_index_dl_meter,

	label_index_dl_meter,

	clrmod_index_dl_meter,

	clrrule_index_dl_meter,

	clrargs_index_dl_meter,

	rulechan_index_dl_meter,

	rulecolorfg_index_dl_meter,

	rulecolorbg_index_dl_meter,

};

enum dl_indicator_sinfo_ix{ 

	element_index_dl_indicator,

	object_index_dl_indicator,

	groupid_index_dl_indicator,

	monitor_index_dl_indicator,

	label_index_dl_indicator,

	clrmod_index_dl_indicator,

	clrrule_index_dl_indicator,

	clrargs_index_dl_indicator,

	rulechan_index_dl_indicator,

	direction_index_dl_indicator,

	pad_index_dl_indicator,

	rulecolorfg_index_dl_indicator,

	rulecolorbg_index_dl_indicator,

};

enum dl_text_update_sinfo_ix{ 

	element_index_dl_text_update,

	object_index_dl_text_update,

	groupid_index_dl_text_update,

	monitor_index_dl_text_update,

	clrmod_index_dl_text_update,

	pad_index_dl_text_update,

	clrrule_index_dl_text_update,

	clrargs_index_dl_text_update,

	rulechan_index_dl_text_update,

	align_index_dl_text_update,

	format_index_dl_text_update,

	rulecolorfg_index_dl_text_update,

	rulecolorbg_index_dl_text_update,

};

enum dl_symbol_sinfo_ix{ 

	element_index_dl_symbol,

	object_index_dl_symbol,

	groupid_index_dl_symbol,

	monitor_index_dl_symbol,

	pad_index_dl_symbol,

	tbd_index_dl_symbol,

};

enum dl_anypo_sinfo_ix{ 

	element_index_dl_anypo,

	object_index_dl_anypo,

	groupid_index_dl_anypo,

	plotcom_index_dl_anypo,

};

enum dl_plot_sinfo_ix{ 

	element_index_dl_plot,

	object_index_dl_plot,

	groupid_index_dl_plot,

	plotcom_index_dl_plot,

	style_index_dl_plot,

	erase_oldest_index_dl_plot,

	count_index_dl_plot,

	pad_index_dl_plot,

	trace_index_dl_plot,

};

enum dl_smith_overlay_sinfo_ix{ 

	element_index_dl_smith_overlay,

	object_index_dl_smith_overlay,

	groupid_index_dl_smith_overlay,

	plotcom_index_dl_smith_overlay,

	igrid_index_dl_smith_overlay,

	agrid_index_dl_smith_overlay,

	igrid_clr_index_dl_smith_overlay,

	agrid_clr_index_dl_smith_overlay,

	data_clr_index_dl_smith_overlay,

	pad_index_dl_smith_overlay,

	xdata_index_dl_smith_overlay,

	ydata_index_dl_smith_overlay,

};

enum dl_surface_plot_sinfo_ix{ 

	element_index_dl_surface_plot,

	object_index_dl_surface_plot,

	groupid_index_dl_surface_plot,

	plotcom_index_dl_surface_plot,

	pad1_index_dl_surface_plot,

	data_index_dl_surface_plot,

	data_clr_index_dl_surface_plot,

	pad2_index_dl_surface_plot,

	dis_index_dl_surface_plot,

	xyangle_index_dl_surface_plot,

	zangle_index_dl_surface_plot,

};

enum dl_strip_sinfo_ix{ 

	element_index_dl_strip,

	object_index_dl_strip,

	groupid_index_dl_strip,

	plotcom_index_dl_strip,

	delay_index_dl_strip,

	units_index_dl_strip,

	pad1_index_dl_strip,

	pad2_index_dl_strip,

	pad3_index_dl_strip,

	pen_index_dl_strip,

};

enum dl_anyco_sinfo_ix{ 

	element_index_dl_anyco,

	object_index_dl_anyco,

	groupid_index_dl_anyco,

	control_index_dl_anyco,

};

enum dl_valuator_sinfo_ix{ 

	element_index_dl_valuator,

	object_index_dl_valuator,

	groupid_index_dl_valuator,

	control_index_dl_valuator,

	label_index_dl_valuator,

	clrmod_index_dl_valuator,

	clrrule_index_dl_valuator,

	clrargs_index_dl_valuator,

	rulechan_index_dl_valuator,

	direction_index_dl_valuator,

	pad_index_dl_valuator,

	rulecolorfg_index_dl_valuator,

	rulecolorbg_index_dl_valuator,

};

enum dl_text_entry_sinfo_ix{ 

	element_index_dl_text_entry,

	object_index_dl_text_entry,

	groupid_index_dl_text_entry,

	control_index_dl_text_entry,

	clrmod_index_dl_text_entry,

	pad_index_dl_text_entry,

	clrrule_index_dl_text_entry,

	clrargs_index_dl_text_entry,

	rulechan_index_dl_text_entry,

	rulecolorfg_index_dl_text_entry,

	rulecolorbg_index_dl_text_entry,

};

enum dl_button_sinfo_ix{ 

	element_index_dl_button,

	object_index_dl_button,

	groupid_index_dl_button,

	control_index_dl_button,

	clrmod_index_dl_button,

	pad1_index_dl_button,

	clrrule_index_dl_button,

	clrargs_index_dl_button,

	rulechan_index_dl_button,

	rulecolorfg_index_dl_button,

	rulecolorbg_index_dl_button,

	stacking_index_dl_button,

	pad2_index_dl_button,

};

enum dl_choice_button_sinfo_ix{ 

	element_index_dl_choice_button,

	object_index_dl_choice_button,

	groupid_index_dl_choice_button,

	control_index_dl_choice_button,

	clrmod_index_dl_choice_button,

	pad1_index_dl_choice_button,

	clrrule_index_dl_choice_button,

	clrargs_index_dl_choice_button,

	rulechan_index_dl_choice_button,

	rulecolorfg_index_dl_choice_button,

	rulecolorbg_index_dl_choice_button,

	stacking_index_dl_choice_button,

	pad2_index_dl_choice_button,

};

enum dl_message_button_sinfo_ix{ 

	element_index_dl_message_button,

	object_index_dl_message_button,

	groupid_index_dl_message_button,

	control_index_dl_message_button,

	pad1_index_dl_message_button,

	press_msg_index_dl_message_button,

	release_msg_index_dl_message_button,

	clrmod_index_dl_message_button,

	pad2_index_dl_message_button,

	behavior_index_dl_message_button,

	clrrule_index_dl_message_button,

	clrargs_index_dl_message_button,

	rulechan_index_dl_message_button,

	rulecolorfg_index_dl_message_button,

	rulecolorbg_index_dl_message_button,

};

enum dl_menu_sinfo_ix{ 

	element_index_dl_menu,

	object_index_dl_menu,

	groupid_index_dl_menu,

	control_index_dl_menu,

	clrmod_index_dl_menu,

	pad1_index_dl_menu,

	rulecolorfg_index_dl_menu,

	rulecolorbg_index_dl_menu,

	pad2_index_dl_menu,

	clrrule_index_dl_menu,

	clrargs_index_dl_menu,

	rulechan_index_dl_menu,

};

enum dl_2d_control_sinfo_ix{ 

	element_index_dl_2d_control,

	object_index_dl_2d_control,

	groupid_index_dl_2d_control,

	control_index_dl_2d_control,

	pad_index_dl_2d_control,

	yctrl_index_dl_2d_control,

	clr_index_dl_2d_control,

	bclr_index_dl_2d_control,

	label_index_dl_2d_control,

	clrmod_index_dl_2d_control,

	clrrule_index_dl_2d_control,

	clrargs_index_dl_2d_control,

	rulechan_index_dl_2d_control,

};

enum dl_related_display_sinfo_ix{ 

	element_index_dl_related_display,

	object_index_dl_related_display,

	groupid_index_dl_related_display,

	selfkill_index_dl_related_display,

	pad_index_dl_related_display,

	display_index_dl_related_display,

	clr_index_dl_related_display,

	bclr_index_dl_related_display,

};

enum dl_execute_script_sinfo_ix{ 

	element_index_dl_execute_script,

	object_index_dl_execute_script,

	groupid_index_dl_execute_script,

	pad_index_dl_execute_script,

	script_index_dl_execute_script,

	clr_index_dl_execute_script,

	bclr_index_dl_execute_script,

};

enum dl_kill_display_sinfo_ix{ 

	element_index_dl_kill_display,

	object_index_dl_kill_display,

	groupid_index_dl_kill_display,

	pad_index_dl_kill_display,

	label_index_dl_kill_display,

	clr_index_dl_kill_display,

	bclr_index_dl_kill_display,

};

enum dl_group_sinfo_ix{ 

	element_index_dl_group,

	object_index_dl_group,

};

enum dl_pc_sinfo_ix{ 

	element_index_dl_pc,

	count_index_dl_pc,

};

enum dl_string_sinfo_ix{ 

	element_index_dl_string,

	count_index_dl_string,

};

enum dl_color_map_sinfo_ix{ 

	element_index_dl_color_map,

	ncolors_index_dl_color_map,

};

enum dl_color_rule_table_sinfo_ix{ 

	element_index_dl_color_rule_table,

	nrules_index_dl_color_rule_table,

	pad_index_dl_color_rule_table,

};

enum dl_basic_attribute_sinfo_ix{ 

	element_index_dl_basic_attribute,

	attr_index_dl_basic_attribute,

};

enum dl_dynamic_attribute_sinfo_ix{ 

	element_index_dl_dynamic_attribute,

	attr_index_dl_dynamic_attribute,

};

#ifndef SINFO_DEFINED
#define SINFO_DEFINED
struct sinfo{
	char			*name;
	char			*description;
	char			*pString;	/* 6-Dec-1994 GCT. this will point to the appropriate opiStringTab entry */
	void			*pDisp;		/* 7-Dec-1994 GCT. This is for the display portion only */
	enum edd_user_input	input;		/* slider, text, none, etc */
	enum dl_data_type	type;	
	unsigned short 		nelements;	/* for arrays and nbits in fields */
	unsigned short 		offset;
	void			*pinfo; 	/* for enum, menu, and substruct */
	void			(*set_field)(); /* set and map the bitfield */
	unsigned short		fieldoffset;	/* for bit fields */
	unsigned short		size;		/* in bytes- not for bit fields */
						/* size is for one element only */
};
#endif

#ifndef DLINFOGLBL
extern
#endif
struct sinfo dl_element_hdr_sinfo[]
#ifdef DLINFOGLBL
= { 
	{"type","element type",0,0,edd_menu,dl_uchar,1,(int) & ((struct dl_element_hdr *)0)->type,dl_elements_einfo, 0,0, sizeof( unsigned char )},
	{"pad","available",0,0,edd_none,dl_char,1,(int) & ((struct dl_element_hdr *)0)->pad,0, 0,0, sizeof( char )},
	{"nwords","shrt wds to nxt elmnt",0,0,edd_none,dl_ushort,1,(int) & ((struct dl_element_hdr *)0)->nwords,0, 0,0, sizeof( unsigned short )},
	{0}
}
#endif
;  

#ifndef DLINFOGLBL
extern
#endif
struct sinfo dl_object_hdr_sinfo[]
#ifdef DLINFOGLBL
= { 
	{"x","horizontal position",0,0,edd_valuator,dl_short,1,(int) & ((struct dl_object_hdr *)0)->x,(void *)edd_x_pos, 0,0, sizeof( short )},
	{"y","vertical position",0,0,edd_valuator,dl_short,1,(int) & ((struct dl_object_hdr *)0)->y,(void *)edd_y_pos, 0,0, sizeof( short )},
	{"width","horizontal size",0,0,edd_valuator,dl_short,1,(int) & ((struct dl_object_hdr *)0)->width,(void *)edd_width, 0,0, sizeof( short )},
	{"height","vertical size",0,0,edd_valuator,dl_short,1,(int) & ((struct dl_object_hdr *)0)->height,(void *)edd_height, 0,0, sizeof( short )},
	{0}
}
#endif
;  

#ifndef DLINFOGLBL
extern
#endif
struct sinfo dl_point_sinfo[]
#ifdef DLINFOGLBL
= { 
	{"x","horizontal position",0,0,edd_none,dl_short,1,(int) & ((struct dl_point *)0)->x,0, 0,0, sizeof( short )},
	{"y","vertical position",0,0,edd_none,dl_short,1,(int) & ((struct dl_point *)0)->y,0, 0,0, sizeof( short )},
	{0}
}
#endif
;  

#ifndef DLINFOGLBL
extern
#endif
struct sinfo dl_plot_hdr_sinfo[]
#ifdef DLINFOGLBL
= { 
	{"pad","available",0,0,edd_none,dl_short,1,(int) & ((struct dl_plot_hdr *)0)->pad,0, 0,0, sizeof( short )},
	{"title","plot title",0,0,edd_text_edit,dl_string_index,1,(int) & ((struct dl_plot_hdr *)0)->title,0, 0,0, sizeof( char * )},
	{"xlabel","x axis title",0,0,edd_text_edit,dl_string_index,1,(int) & ((struct dl_plot_hdr *)0)->xlabel,0, 0,0, sizeof( char * )},
	{"ylabel","y axis title",0,0,edd_text_edit,dl_string_index,1,(int) & ((struct dl_plot_hdr *)0)->ylabel,0, 0,0, sizeof( char * )},
	{"package","plot package",0,0,edd_text_edit,dl_string_index,1,(int) & ((struct dl_plot_hdr *)0)->package,0, 0,0, sizeof( char * )},
	{"clr","foreground color",0,0,edd_palette,dl_color_index,1,(int) & ((struct dl_plot_hdr *)0)->clr,0, 0,0, sizeof( unsigned char )},
	{"bclr","background color",0,0,edd_palette,dl_bckgnd_color_index,1,(int) & ((struct dl_plot_hdr *)0)->bclr,0, 0,0, sizeof( unsigned char )},
	{0}
}
#endif
;  

#ifndef DLINFOGLBL
extern
#endif
struct sinfo dl_control_hdr_sinfo[]
#ifdef DLINFOGLBL
= { 
	{"pad","available",0,0,edd_none,dl_short,1,(int) & ((struct dl_control_hdr *)0)->pad,0, 0,0, sizeof( short )},
	{"ctrl","channel to control",0,0,edd_text_edit,dl_pc_index,1,(int) & ((struct dl_control_hdr *)0)->ctrl,0, 0,0, sizeof( char * )},
	{"clr","foreground color",0,0,edd_palette,dl_color_index,1,(int) & ((struct dl_control_hdr *)0)->clr,0, 0,0, sizeof( unsigned char )},
	{"bclr","background color",0,0,edd_palette,dl_bckgnd_color_index,1,(int) & ((struct dl_control_hdr *)0)->bclr,0, 0,0, sizeof( unsigned char )},
	{0}
}
#endif
;  

#ifndef DLINFOGLBL
extern
#endif
struct sinfo dl_monitor_hdr_sinfo[]
#ifdef DLINFOGLBL
= { 
	{"pad","available",0,0,edd_none,dl_short,1,(int) & ((struct dl_monitor_hdr *)0)->pad,0, 0,0, sizeof( short )},
	{"rdbk","channel to monitor",0,0,edd_text_edit,dl_pc_index,1,(int) & ((struct dl_monitor_hdr *)0)->rdbk,0, 0,0, sizeof( char * )},
	{"clr","foreground color",0,0,edd_palette,dl_color_index,1,(int) & ((struct dl_monitor_hdr *)0)->clr,0, 0,0, sizeof( unsigned char )},
	{"bclr","background color",0,0,edd_palette,dl_bckgnd_color_index,1,(int) & ((struct dl_monitor_hdr *)0)->bclr,0, 0,0, sizeof( unsigned char )},
	{0}
}
#endif
;  

#ifndef DLINFOGLBL
extern
#endif
struct sinfo dl_sta_attr_sinfo[]
#ifdef DLINFOGLBL
= { 
	{"clr","color",0,0,edd_palette,dl_color_index,1,(int) & ((struct dl_sta_attr *)0)->clr,0, 0,0, sizeof( unsigned char )},
	{"style","edge style",0,0,edd_button,dl_uchar,1,(int) & ((struct dl_sta_attr *)0)->style,dl_edge_style_einfo, 0,0, sizeof( unsigned char )},
	{"fill","fill style",0,0,edd_button,dl_uchar,1,(int) & ((struct dl_sta_attr *)0)->fill,dl_fill_style_einfo, 0,0, sizeof( unsigned char )},
	{"width","line width",0,0,edd_valuator,dl_uchar,1,(int) & ((struct dl_sta_attr *)0)->width,(void *)edd_line_width, 0,0, sizeof( unsigned char )},
	{0}
}
#endif
;  

#ifndef DLINFOGLBL
extern
#endif
struct sinfo dl_dyn_mod_sinfo[]
#ifdef DLINFOGLBL
= { 
	{"clrmod","color modifier",0,0,edd_menu,dl_uchar,1,(int) & ((struct dl_dyn_mod *)0)->clrmod,dl_dynamic_color_mod_einfo, 0,0, sizeof( unsigned char )},
	{"vis","visibility modifier",0,0,edd_menu,dl_uchar,1,(int) & ((struct dl_dyn_mod *)0)->vis,dl_dynamic_visibility_mod_einfo, 0,0, sizeof( unsigned char )},
	{0}
}
#endif
;  

#ifndef DLINFOGLBL
extern
#endif
struct sinfo dl_dyn_param_sinfo[]
#ifdef DLINFOGLBL
= { 
	{"rulecolorfg","result of color rule execution",0,0,edd_none,dl_color_index,1,(int) & ((struct dl_dyn_param *)0)->rulecolorfg,0, 0,0, sizeof( unsigned char )},
	{"rulecolorbg","unused result of color rule execution",0,0,edd_none,dl_color_index,1,(int) & ((struct dl_dyn_param *)0)->rulecolorbg,0, 0,0, sizeof( unsigned char )},
	{"chan","channel for dynamics",0,0,edd_text_edit,dl_pc_index,1,(int) & ((struct dl_dyn_param *)0)->chan,0, 0,0, sizeof( char * )},
	{"rulechan","channels for dynamic color rules",0,0,edd_none,dl_pc_index,MAX_RULE_LINES,(int)  ((struct dl_dyn_param *)0)->rulechan,0, 0,0, sizeof( char * )},
	{"clrrule","color rule name",0,0,edd_text_edit,dl_string_index,1,(int) & ((struct dl_dyn_param *)0)->clrrule,0, 0,0, sizeof( char * )},
	{"clrargs","color rule arguments",0,0,edd_text_edit,dl_string_index,1,(int) & ((struct dl_dyn_param *)0)->clrargs,0, 0,0, sizeof( char * )},
	{0}
}
#endif
;  

#ifndef DLINFOGLBL
extern
#endif
struct sinfo dl_dyn_attr_sinfo[]
#ifdef DLINFOGLBL
= { 
	{"mod","dynamic modifiers",0,0,edd_subform,dl_struct,1,(int) & ((struct dl_dyn_attr *)0)->mod,dl_dyn_mod_sinfo, 0,0, sizeof( struct dl_dyn_mod)},
	{"param","dynamic parameters",0,0,edd_subform,dl_struct,1,(int) & ((struct dl_dyn_attr *)0)->param,dl_dyn_param_sinfo, 0,0, sizeof( struct dl_dyn_param)},
	{0}
}
#endif
;  

#ifndef DLINFOGLBL
extern
#endif
struct sinfo dl_color_sinfo[]
#ifdef DLINFOGLBL
= { 
	{"r","red intensity",0,0,edd_valuator,dl_uchar,1,(int) & ((struct dl_color *)0)->r,(void *)edd_intensity, 0,0, sizeof( unsigned char )},
	{"g","green intensity",0,0,edd_valuator,dl_uchar,1,(int) & ((struct dl_color *)0)->g,(void *)edd_intensity, 0,0, sizeof( unsigned char )},
	{"b","blue intensity",0,0,edd_valuator,dl_uchar,1,(int) & ((struct dl_color *)0)->b,(void *)edd_intensity, 0,0, sizeof( unsigned char )},
	{"inten","greyscale intensity",0,0,edd_valuator,dl_uchar,1,(int) & ((struct dl_color *)0)->inten,(void *)edd_intensity, 0,0, sizeof( unsigned char )},
	{"blink","blink enable",0,0,edd_button,dl_ushort,1,(int) & ((struct dl_color *)0)->blink,dl_on_off_einfo, 0,0, sizeof( unsigned short )},
	{"pad","available",0,0,edd_none,dl_short,1,(int) & ((struct dl_color *)0)->pad,0, 0,0, sizeof( short )},
	{0}
}
#endif
;  

#ifndef DLINFOGLBL
extern
#endif
struct sinfo dl_color_rule_info_sinfo[]
#ifdef DLINFOGLBL
= { 
	{"chan","channel",0,0,edd_text_edit,dl_string_index,1,(int) & ((struct dl_color_rule_info *)0)->chan,0, 0,0, sizeof( char * )},
	{"value","value",0,0,edd_text_edit,dl_string_index,1,(int) & ((struct dl_color_rule_info *)0)->value,0, 0,0, sizeof( char * )},
	{"connector","logical connector",0,0,edd_menu,dl_uchar,1,(int) & ((struct dl_color_rule_info *)0)->connector,dl_color_rule_connector_einfo, 0,0, sizeof( unsigned char )},
	{"operation","relational operator",0,0,edd_menu,dl_uchar,1,(int) & ((struct dl_color_rule_info *)0)->operation,dl_color_rule_operation_einfo, 0,0, sizeof( unsigned char )},
	{"clr","color",0,0,edd_palette,dl_color_index,1,(int) & ((struct dl_color_rule_info *)0)->clr,0, 0,0, sizeof( unsigned char )},
	{"pad","available",0,0,edd_none,dl_short,1,(int) & ((struct dl_color_rule_info *)0)->pad,0, 0,0, sizeof( short )},
	{0}
}
#endif
;  

#ifndef DLINFOGLBL
extern
#endif
struct sinfo dl_color_rule_sinfo[]
#ifdef DLINFOGLBL
= { 
	{"name","rule name",0,0,edd_text_edit,dl_string_index,1,(int) & ((struct dl_color_rule *)0)->name,0, 0,0, sizeof( char * )},
	{"info","rule information",0,0,edd_none,dl_struct,MAX_RULE_LINES,(int)  ((struct dl_color_rule *)0)->info,dl_color_rule_info_sinfo, 0,0, sizeof( struct dl_color_rule_info)},
	{"fg_enable","foreground enable",0,0,edd_button,dl_ushort,1,(int) & ((struct dl_color_rule *)0)->fg_enable,dl_on_off_einfo, 0,0, sizeof( unsigned short )},
	{"bg_enable","background enable",0,0,edd_button,dl_ushort,1,(int) & ((struct dl_color_rule *)0)->bg_enable,dl_on_off_einfo, 0,0, sizeof( unsigned short )},
	{"default_fg","foreground color",0,0,edd_palette,dl_color_index,1,(int) & ((struct dl_color_rule *)0)->default_fg,0, 0,0, sizeof( unsigned char )},
	{"default_bg","background color",0,0,edd_palette,dl_color_index,1,(int) & ((struct dl_color_rule *)0)->default_bg,0, 0,0, sizeof( unsigned char )},
	{0}
}
#endif
;  

#ifndef DLINFOGLBL
extern
#endif
struct sinfo dl_pen_sinfo[]
#ifdef DLINFOGLBL
= { 
	{"chan","pen channel",0,0,edd_text_edit,dl_pc_index,1,(int) & ((struct dl_pen *)0)->chan,0, 0,0, sizeof( char * )},
	{"clr","pen color",0,0,edd_palette,dl_color_index,1,(int) & ((struct dl_pen *)0)->clr,0, 0,0, sizeof( unsigned char )},
	{"pad1","available",0,0,edd_none,dl_char,1,(int) & ((struct dl_pen *)0)->pad1,0, 0,0, sizeof( char )},
	{"pad2","available",0,0,edd_none,dl_char,1,(int) & ((struct dl_pen *)0)->pad2,0, 0,0, sizeof( char )},
	{"pad3","available",0,0,edd_none,dl_char,1,(int) & ((struct dl_pen *)0)->pad3,0, 0,0, sizeof( char )},
	{0}
}
#endif
;  

#ifndef DLINFOGLBL
extern
#endif
struct sinfo dl_trace_sinfo[]
#ifdef DLINFOGLBL
= { 
	{"xdata","x data channel",0,0,edd_text_edit,dl_pc_index,1,(int) & ((struct dl_trace *)0)->xdata,0, 0,0, sizeof( char * )},
	{"ydata","y data channel",0,0,edd_text_edit,dl_pc_index,1,(int) & ((struct dl_trace *)0)->ydata,0, 0,0, sizeof( char * )},
	{"data_clr","data color",0,0,edd_palette,dl_color_index,1,(int) & ((struct dl_trace *)0)->data_clr,0, 0,0, sizeof( unsigned char )},
	{"pad1","available",0,0,edd_none,dl_char,1,(int) & ((struct dl_trace *)0)->pad1,0, 0,0, sizeof( char )},
	{"pad2","available",0,0,edd_none,dl_char,1,(int) & ((struct dl_trace *)0)->pad2,0, 0,0, sizeof( char )},
	{"pad3","available",0,0,edd_none,dl_char,1,(int) & ((struct dl_trace *)0)->pad3,0, 0,0, sizeof( char )},
	{0}
}
#endif
;  

#ifndef DLINFOGLBL
extern
#endif
struct sinfo dl_rd_info_sinfo[]
#ifdef DLINFOGLBL
= { 
	{"label","menu label",0,0,edd_text_edit,dl_string_index,1,(int) & ((struct dl_rd_info *)0)->label,0, 0,0, sizeof( char * )},
	{"name","display name",0,0,edd_text_edit,dl_string_index,1,(int) & ((struct dl_rd_info *)0)->name,0, 0,0, sizeof( char * )},
	{"args","display arguments",0,0,edd_text_edit,dl_string_index,1,(int) & ((struct dl_rd_info *)0)->args,0, 0,0, sizeof( char * )},
	{0}
}
#endif
;  

#ifndef DLINFOGLBL
extern
#endif
struct sinfo dl_es_info_sinfo[]
#ifdef DLINFOGLBL
= { 
	{"label","menu label",0,0,edd_text_edit,dl_string_index,1,(int) & ((struct dl_es_info *)0)->label,0, 0,0, sizeof( char * )},
	{"path","script path",0,0,edd_text_edit,dl_string_index,1,(int) & ((struct dl_es_info *)0)->path,0, 0,0, sizeof( char * )},
	{"args","script arguments",0,0,edd_text_edit,dl_string_index,1,(int) & ((struct dl_es_info *)0)->args,0, 0,0, sizeof( char * )},
	{0}
}
#endif
;  

#ifndef DLINFOGLBL
extern
#endif
struct sinfo dl_hdr_sinfo[]
#ifdef DLINFOGLBL
= { 
	{"magic","display list magic value",0,0,edd_none,dl_uint,1,(int) & ((struct dl_hdr *)0)->magic,0, 0,0, sizeof( unsigned int )},
	{"majv","display list major version",0,0,edd_none,dl_ushort,1,(int) & ((struct dl_hdr *)0)->majv,0, 0,0, sizeof( unsigned short )},
	{"mnrv","display list minor version",0,0,edd_none,dl_ushort,1,(int) & ((struct dl_hdr *)0)->mnrv,0, 0,0, sizeof( unsigned short )},
	{"ndyn","number of dynamic graphical",0,0,edd_none,dl_ushort,1,(int) & ((struct dl_hdr *)0)->ndyn,0, 0,0, sizeof( unsigned short )},
	{"npc","number of process connections",0,0,edd_none,dl_ushort,1,(int) & ((struct dl_hdr *)0)->npc,0, 0,0, sizeof( unsigned short )},
	{"nstr","number of strings",0,0,edd_none,dl_ushort,1,(int) & ((struct dl_hdr *)0)->nstr,0, 0,0, sizeof( unsigned short )},
	{"nmon","number of monitor elements",0,0,edd_none,dl_ushort,1,(int) & ((struct dl_hdr *)0)->nmon,0, 0,0, sizeof( unsigned short )},
	{"nctrl","number of control elements",0,0,edd_none,dl_ushort,1,(int) & ((struct dl_hdr *)0)->nctrl,0, 0,0, sizeof( unsigned short )},
	{"nplot","number of plot elements",0,0,edd_none,dl_ushort,1,(int) & ((struct dl_hdr *)0)->nplot,0, 0,0, sizeof( unsigned short )},
	{"nrd","number of related display elements",0,0,edd_none,dl_ushort,1,(int) & ((struct dl_hdr *)0)->nrd,0, 0,0, sizeof( unsigned short )},
	{"nes","number of execute script elements",0,0,edd_none,dl_ushort,1,(int) & ((struct dl_hdr *)0)->nes,0, 0,0, sizeof( unsigned short )},
	{"nkd","number of kill display elements",0,0,edd_none,dl_ushort,1,(int) & ((struct dl_hdr *)0)->nkd,0, 0,0, sizeof( unsigned short )},
	{"object","object header",0,0,edd_subform,dl_struct,1,(int) & ((struct dl_hdr *)0)->object,dl_object_hdr_sinfo, 0,0, sizeof( struct dl_object_hdr)},
	{"clr","foreground color",0,0,edd_palette,dl_color_index,1,(int) & ((struct dl_hdr *)0)->clr,0, 0,0, sizeof( unsigned char )},
	{"bclr","background color",0,0,edd_palette,dl_bckgnd_color_index,1,(int) & ((struct dl_hdr *)0)->bclr,0, 0,0, sizeof( unsigned char )},
	{"nwords_dspy","shrt wds in display",0,0,edd_none,dl_uint,1,(int) & ((struct dl_hdr *)0)->nwords_dspy,0, 0,0, sizeof( unsigned int )},
	{"nwords_sta","shrt wds in static element portion",0,0,edd_none,dl_uint,1,(int) & ((struct dl_hdr *)0)->nwords_sta,0, 0,0, sizeof( unsigned int )},
	{"nwords_cmap","shrt wds in clr map portion",0,0,edd_none,dl_uint,1,(int) & ((struct dl_hdr *)0)->nwords_cmap,0, 0,0, sizeof( unsigned int )},
	{"nwords_crules","shrt wds in clr rules portion",0,0,edd_none,dl_uint,1,(int) & ((struct dl_hdr *)0)->nwords_crules,0, 0,0, sizeof( unsigned int )},
	{"odyn","shrt wd offset to dynamics",0,0,edd_none,dl_uint,1,(int) & ((struct dl_hdr *)0)->odyn,0, 0,0, sizeof( unsigned int )},
	{"osta","shrt wd offset to statics",0,0,edd_none,dl_uint,1,(int) & ((struct dl_hdr *)0)->osta,0, 0,0, sizeof( unsigned int )},
	{"omon","shrt wd offset to monitors",0,0,edd_none,dl_uint,1,(int) & ((struct dl_hdr *)0)->omon,0, 0,0, sizeof( unsigned int )},
	{"octrl","shrt wd offset to controls",0,0,edd_none,dl_uint,1,(int) & ((struct dl_hdr *)0)->octrl,0, 0,0, sizeof( unsigned int )},
	{"oplot","shrt wd offset to plots",0,0,edd_none,dl_uint,1,(int) & ((struct dl_hdr *)0)->oplot,0, 0,0, sizeof( unsigned int )},
	{"ord","shrt wd offset to related displays",0,0,edd_none,dl_uint,1,(int) & ((struct dl_hdr *)0)->ord,0, 0,0, sizeof( unsigned int )},
	{"oes","shrt wd offset to execute scripts",0,0,edd_none,dl_uint,1,(int) & ((struct dl_hdr *)0)->oes,0, 0,0, sizeof( unsigned int )},
	{"okd","shrt wd offset to kill displays",0,0,edd_none,dl_uint,1,(int) & ((struct dl_hdr *)0)->okd,0, 0,0, sizeof( unsigned int )},
	{"opc","shrt wd offset to proc conns",0,0,edd_none,dl_uint,1,(int) & ((struct dl_hdr *)0)->opc,0, 0,0, sizeof( unsigned int )},
	{"ostr","shrt wd offset to strings",0,0,edd_none,dl_uint,1,(int) & ((struct dl_hdr *)0)->ostr,0, 0,0, sizeof( unsigned int )},
	{"ocmap","shrt wd offset to clr map",0,0,edd_none,dl_uint,1,(int) & ((struct dl_hdr *)0)->ocmap,0, 0,0, sizeof( unsigned int )},
	{"ocrules","shrt wd offset to clr rules",0,0,edd_none,dl_uint,1,(int) & ((struct dl_hdr *)0)->ocrules,0, 0,0, sizeof( unsigned int )},
	{"style","default edge style",0,0,edd_button,dl_uchar,1,(int) & ((struct dl_hdr *)0)->style,dl_edge_style_einfo, 0,0, sizeof( unsigned char )},
	{"fill","default fill style",0,0,edd_button,dl_uchar,1,(int) & ((struct dl_hdr *)0)->fill,dl_fill_style_einfo, 0,0, sizeof( unsigned char )},
	{"width","default line width",0,0,edd_valuator,dl_uchar,1,(int) & ((struct dl_hdr *)0)->width,(void *)edd_line_width, 0,0, sizeof( unsigned char )},
	{"clrmod","default color modifier",0,0,edd_menu,dl_uchar,1,(int) & ((struct dl_hdr *)0)->clrmod,dl_dynamic_color_mod_einfo, 0,0, sizeof( unsigned char )},
	{"vismod","visibility modifier",0,0,edd_menu,dl_uchar,1,(int) & ((struct dl_hdr *)0)->vismod,dl_dynamic_visibility_mod_einfo, 0,0, sizeof( unsigned char )},
	{"pad2","available",0,0,edd_none,dl_short,1,(int) & ((struct dl_hdr *)0)->pad2,0, 0,0, sizeof( short )},
	{"clrrule","default color rule name",0,0,edd_text_edit,dl_string_index,1,(int) & ((struct dl_hdr *)0)->clrrule,0, 0,0, sizeof( char * )},
	{"pv","default channel",0,0,edd_text_edit,dl_string_index,1,(int) & ((struct dl_hdr *)0)->pv,0, 0,0, sizeof( char * )},
	{"cmap","external color palette display name",0,0,edd_text_edit,dl_string_index,1,(int) & ((struct dl_hdr *)0)->cmap,0, 0,0, sizeof( char * )},
	{"exitaction","exit action",0,0,edd_button,dl_uchar,1,(int) & ((struct dl_hdr *)0)->exitaction,dl_exit_action_einfo, 0,0, sizeof( unsigned char )},
	{"startprogram","startup program",0,0,edd_text_edit,dl_string_index,1,(int) & ((struct dl_hdr *)0)->startprogram,0, 0,0, sizeof( char * )},
	{"privname","privilege name",0,0,edd_text_edit,dl_string_index,1,(int) & ((struct dl_hdr *)0)->privname,0, 0,0, sizeof( char * )},
	{0}
}
#endif
;  

#ifndef DLINFOGLBL
extern
#endif
struct sinfo dl_anygo_sinfo[]
#ifdef DLINFOGLBL
= { 
	{"element","element header",0,0,edd_none,dl_struct,1,(int) & ((struct dl_anygo *)0)->element,dl_element_hdr_sinfo, 0,0, sizeof( struct dl_element_hdr)},
	{"object","object header",0,0,edd_none,dl_struct,1,(int) & ((struct dl_anygo *)0)->object,dl_object_hdr_sinfo, 0,0, sizeof( struct dl_object_hdr)},
	{"groupid","id if in a group",0,0,edd_none,dl_short,1,(int) & ((struct dl_anygo *)0)->groupid,0, 0,0, sizeof( short )},
	{0}
}
#endif
;  

#ifndef DLINFOGLBL
extern
#endif
struct sinfo dl_rec_sinfo[]
#ifdef DLINFOGLBL
= { 
	{"element","element header",0,0,edd_subform,dl_struct,1,(int) & ((struct dl_rec *)0)->element,dl_element_hdr_sinfo, 0,0, sizeof( struct dl_element_hdr)},
	{"object","object header",0,0,edd_subform,dl_struct,1,(int) & ((struct dl_rec *)0)->object,dl_object_hdr_sinfo, 0,0, sizeof( struct dl_object_hdr)},
	{"groupid","id if in a group",0,0,edd_none,dl_short,1,(int) & ((struct dl_rec *)0)->groupid,0, 0,0, sizeof( short )},
	{0}
}
#endif
;  

#ifndef DLINFOGLBL
extern
#endif
struct sinfo dl_line_sinfo[]
#ifdef DLINFOGLBL
= { 
	{"element","element header",0,0,edd_subform,dl_struct,1,(int) & ((struct dl_line *)0)->element,dl_element_hdr_sinfo, 0,0, sizeof( struct dl_element_hdr)},
	{"object","object header",0,0,edd_subform,dl_struct,1,(int) & ((struct dl_line *)0)->object,dl_object_hdr_sinfo, 0,0, sizeof( struct dl_object_hdr)},
	{"groupid","id if in a group",0,0,edd_none,dl_short,1,(int) & ((struct dl_line *)0)->groupid,0, 0,0, sizeof( short )},
	{"npoints","n points following header",0,0,edd_none,dl_ushort,1,(int) & ((struct dl_line *)0)->npoints,0, 0,0, sizeof( unsigned short )},
	{"point","point parameters",0,0,edd_none,dl_struct,MAX_NPOINTS,(int)  ((struct dl_line *)0)->point,dl_point_sinfo, 0,0, sizeof( struct dl_point)},
	{"orgpoint","original point parameters",0,0,edd_none,dl_struct,MAX_NPOINTS,(int)  ((struct dl_line *)0)->orgpoint,dl_point_sinfo, 0,0, sizeof( struct dl_point)},
	{0}
}
#endif
;  

#ifndef DLINFOGLBL
extern
#endif
struct sinfo dl_oval_sinfo[]
#ifdef DLINFOGLBL
= { 
	{"element","element header",0,0,edd_subform,dl_struct,1,(int) & ((struct dl_oval *)0)->element,dl_element_hdr_sinfo, 0,0, sizeof( struct dl_element_hdr)},
	{"object","object header",0,0,edd_subform,dl_struct,1,(int) & ((struct dl_oval *)0)->object,dl_object_hdr_sinfo, 0,0, sizeof( struct dl_object_hdr)},
	{"groupid","id if in a group",0,0,edd_none,dl_short,1,(int) & ((struct dl_oval *)0)->groupid,0, 0,0, sizeof( short )},
	{0}
}
#endif
;  

#ifndef DLINFOGLBL
extern
#endif
struct sinfo dl_arc_sinfo[]
#ifdef DLINFOGLBL
= { 
	{"element","element header",0,0,edd_subform,dl_struct,1,(int) & ((struct dl_arc *)0)->element,dl_element_hdr_sinfo, 0,0, sizeof( struct dl_element_hdr)},
	{"object","object header",0,0,edd_subform,dl_struct,1,(int) & ((struct dl_arc *)0)->object,dl_object_hdr_sinfo, 0,0, sizeof( struct dl_object_hdr)},
	{"groupid","id if in a group",0,0,edd_none,dl_short,1,(int) & ((struct dl_arc *)0)->groupid,0, 0,0, sizeof( short )},
	{"begin","begin angle (64's of a degree)",0,0,edd_valuator,dl_short,1,(int) & ((struct dl_arc *)0)->begin,(void *)edd_begin_angle, 0,0, sizeof( short )},
	{"path","path length angle (64's of a degree)",0,0,edd_valuator,dl_short,1,(int) & ((struct dl_arc *)0)->path,(void *)edd_path_angle, 0,0, sizeof( short )},
	{0}
}
#endif
;  

#ifndef DLINFOGLBL
extern
#endif
struct sinfo dl_text_sinfo[]
#ifdef DLINFOGLBL
= { 
	{"element","element header",0,0,edd_subform,dl_struct,1,(int) & ((struct dl_text *)0)->element,dl_element_hdr_sinfo, 0,0, sizeof( struct dl_element_hdr)},
	{"object","object header",0,0,edd_subform,dl_struct,1,(int) & ((struct dl_text *)0)->object,dl_object_hdr_sinfo, 0,0, sizeof( struct dl_object_hdr)},
	{"groupid","id if in a group",0,0,edd_none,dl_short,1,(int) & ((struct dl_text *)0)->groupid,0, 0,0, sizeof( short )},
	{"pad","available",0,0,edd_none,dl_short,1,(int) & ((struct dl_text *)0)->pad,0, 0,0, sizeof( short )},
	{"textix","text string",0,0,edd_text_edit,dl_string_index,1,(int) & ((struct dl_text *)0)->textix,0, 0,0, sizeof( char * )},
	{"align","text alignment",0,0,edd_menu,dl_ushort,1,(int) & ((struct dl_text *)0)->align,dl_string_alignment_einfo, 0,0, sizeof( unsigned short )},
	{0}
}
#endif
;  

#ifndef DLINFOGLBL
extern
#endif
struct sinfo dl_user_sinfo[]
#ifdef DLINFOGLBL
= { 
	{"element","element header",0,0,edd_subform,dl_struct,1,(int) & ((struct dl_user *)0)->element,dl_element_hdr_sinfo, 0,0, sizeof( struct dl_element_hdr)},
	{"object","object header",0,0,edd_subform,dl_struct,1,(int) & ((struct dl_user *)0)->object,dl_object_hdr_sinfo, 0,0, sizeof( struct dl_object_hdr)},
	{"groupid","id if in a group",0,0,edd_none,dl_short,1,(int) & ((struct dl_user *)0)->groupid,0, 0,0, sizeof( short )},
	{"pad","available",0,0,edd_none,dl_short,1,(int) & ((struct dl_user *)0)->pad,0, 0,0, sizeof( short )},
	{"param","user parameters",0,0,edd_text_edit,dl_string_index,10,(int)  ((struct dl_user *)0)->param,0, 0,0, sizeof( char * )},
	{0}
}
#endif
;  

#ifndef DLINFOGLBL
extern
#endif
struct sinfo dl_anymo_sinfo[]
#ifdef DLINFOGLBL
= { 
	{"element","element header",0,0,edd_none,dl_struct,1,(int) & ((struct dl_anymo *)0)->element,dl_element_hdr_sinfo, 0,0, sizeof( struct dl_element_hdr)},
	{"object","object header",0,0,edd_none,dl_struct,1,(int) & ((struct dl_anymo *)0)->object,dl_object_hdr_sinfo, 0,0, sizeof( struct dl_object_hdr)},
	{"groupid","id if in a group",0,0,edd_none,dl_short,1,(int) & ((struct dl_anymo *)0)->groupid,0, 0,0, sizeof( short )},
	{"monitor","monitor header",0,0,edd_none,dl_struct,1,(int) & ((struct dl_anymo *)0)->monitor,dl_monitor_hdr_sinfo, 0,0, sizeof( struct dl_monitor_hdr)},
	{0}
}
#endif
;  

#ifndef DLINFOGLBL
extern
#endif
struct sinfo dl_bar_sinfo[]
#ifdef DLINFOGLBL
= { 
	{"element","element header",0,0,edd_subform,dl_struct,1,(int) & ((struct dl_bar *)0)->element,dl_element_hdr_sinfo, 0,0, sizeof( struct dl_element_hdr)},
	{"object","object header",0,0,edd_subform,dl_struct,1,(int) & ((struct dl_bar *)0)->object,dl_object_hdr_sinfo, 0,0, sizeof( struct dl_object_hdr)},
	{"groupid","id if in a group",0,0,edd_none,dl_short,1,(int) & ((struct dl_bar *)0)->groupid,0, 0,0, sizeof( short )},
	{"monitor","monitor header",0,0,edd_subform,dl_struct,1,(int) & ((struct dl_bar *)0)->monitor,dl_monitor_hdr_sinfo, 0,0, sizeof( struct dl_monitor_hdr)},
	{"label","label type",0,0,edd_menu,dl_uchar,1,(int) & ((struct dl_bar *)0)->label,dl_bar_label_type_einfo, 0,0, sizeof( unsigned char )},
	{"clrmod","color modifier",0,0,edd_menu,dl_uchar,1,(int) & ((struct dl_bar *)0)->clrmod,dl_dynamic_color_mod_einfo, 0,0, sizeof( unsigned char )},
	{"clrrule","color rule name",0,0,edd_text_edit,dl_string_index,1,(int) & ((struct dl_bar *)0)->clrrule,0, 0,0, sizeof( char * )},
	{"clrargs","color rule arguments",0,0,edd_text_edit,dl_string_index,1,(int) & ((struct dl_bar *)0)->clrargs,0, 0,0, sizeof( char * )},
	{"rulechan","channels for dynamic color rules",0,0,edd_none,dl_pc_index,MAX_RULE_LINES,(int)  ((struct dl_bar *)0)->rulechan,0, 0,0, sizeof( char * )},
	{"direction","direction of increase",0,0,edd_menu,dl_uchar,1,(int) & ((struct dl_bar *)0)->direction,dl_dynamic_direction_einfo, 0,0, sizeof( unsigned char )},
	{"fillmod","fill modifier",0,0,edd_button,dl_uchar,1,(int) & ((struct dl_bar *)0)->fillmod,dl_dynamic_fill_mod_einfo, 0,0, sizeof( unsigned char )},
	{"rulecolorfg","result of color rule execution",0,0,edd_none,dl_color_index,1,(int) & ((struct dl_bar *)0)->rulecolorfg,0, 0,0, sizeof( unsigned char )},
	{"rulecolorbg","result of color rule execution",0,0,edd_none,dl_color_index,1,(int) & ((struct dl_bar *)0)->rulecolorbg,0, 0,0, sizeof( unsigned char )},
	{0}
}
#endif
;  

#ifndef DLINFOGLBL
extern
#endif
struct sinfo dl_tank_sinfo[]
#ifdef DLINFOGLBL
= { 
	{"element","element header",0,0,edd_subform,dl_struct,1,(int) & ((struct dl_tank *)0)->element,dl_element_hdr_sinfo, 0,0, sizeof( struct dl_element_hdr)},
	{"object","object header",0,0,edd_subform,dl_struct,1,(int) & ((struct dl_tank *)0)->object,dl_object_hdr_sinfo, 0,0, sizeof( struct dl_object_hdr)},
	{"groupid","id if in a group",0,0,edd_none,dl_short,1,(int) & ((struct dl_tank *)0)->groupid,0, 0,0, sizeof( short )},
	{"monitor","monitor header",0,0,edd_subform,dl_struct,1,(int) & ((struct dl_tank *)0)->monitor,dl_monitor_hdr_sinfo, 0,0, sizeof( struct dl_monitor_hdr)},
	{"label","label type",0,0,edd_menu,dl_uchar,1,(int) & ((struct dl_tank *)0)->label,dl_tank_label_type_einfo, 0,0, sizeof( unsigned char )},
	{"clrmod","color modifier",0,0,edd_menu,dl_uchar,1,(int) & ((struct dl_tank *)0)->clrmod,dl_dynamic_color_mod_einfo, 0,0, sizeof( unsigned char )},
	{"clrrule","color rule name",0,0,edd_text_edit,dl_string_index,1,(int) & ((struct dl_tank *)0)->clrrule,0, 0,0, sizeof( char * )},
	{"clrargs","color rule arguments",0,0,edd_text_edit,dl_string_index,1,(int) & ((struct dl_tank *)0)->clrargs,0, 0,0, sizeof( char * )},
	{"rulechan","channels for dynamic color rules",0,0,edd_none,dl_pc_index,MAX_RULE_LINES,(int)  ((struct dl_tank *)0)->rulechan,0, 0,0, sizeof( char * )},
	{"fillmod","fill modifier",0,0,edd_button,dl_uchar,1,(int) & ((struct dl_tank *)0)->fillmod,dl_dynamic_fill_mod_einfo, 0,0, sizeof( unsigned char )},
	{"direction","direction of increase",0,0,edd_menu,dl_uchar,1,(int) & ((struct dl_tank *)0)->direction,dl_dynamic_direction_einfo, 0,0, sizeof( unsigned char )},
	{"rulecolorfg","result of color rule execution",0,0,edd_none,dl_color_index,1,(int) & ((struct dl_tank *)0)->rulecolorfg,0, 0,0, sizeof( unsigned char )},
	{"rulecolorbg","result of color rule execution",0,0,edd_none,dl_color_index,1,(int) & ((struct dl_tank *)0)->rulecolorbg,0, 0,0, sizeof( unsigned char )},
	{0}
}
#endif
;  

#ifndef DLINFOGLBL
extern
#endif
struct sinfo dl_meter_sinfo[]
#ifdef DLINFOGLBL
= { 
	{"element","element header",0,0,edd_subform,dl_struct,1,(int) & ((struct dl_meter *)0)->element,dl_element_hdr_sinfo, 0,0, sizeof( struct dl_element_hdr)},
	{"object","object header",0,0,edd_subform,dl_struct,1,(int) & ((struct dl_meter *)0)->object,dl_object_hdr_sinfo, 0,0, sizeof( struct dl_object_hdr)},
	{"groupid","id if in a group",0,0,edd_none,dl_short,1,(int) & ((struct dl_meter *)0)->groupid,0, 0,0, sizeof( short )},
	{"monitor","monitor header",0,0,edd_subform,dl_struct,1,(int) & ((struct dl_meter *)0)->monitor,dl_monitor_hdr_sinfo, 0,0, sizeof( struct dl_monitor_hdr)},
	{"label","label type",0,0,edd_menu,dl_uchar,1,(int) & ((struct dl_meter *)0)->label,dl_meter_label_type_einfo, 0,0, sizeof( unsigned char )},
	{"clrmod","color modifier",0,0,edd_menu,dl_uchar,1,(int) & ((struct dl_meter *)0)->clrmod,dl_dynamic_color_mod_einfo, 0,0, sizeof( unsigned char )},
	{"clrrule","color rule name",0,0,edd_text_edit,dl_string_index,1,(int) & ((struct dl_meter *)0)->clrrule,0, 0,0, sizeof( char * )},
	{"clrargs","color rule arguments",0,0,edd_text_edit,dl_string_index,1,(int) & ((struct dl_meter *)0)->clrargs,0, 0,0, sizeof( char * )},
	{"rulechan","channels for dynamic color rules",0,0,edd_none,dl_pc_index,MAX_RULE_LINES,(int)  ((struct dl_meter *)0)->rulechan,0, 0,0, sizeof( char * )},
	{"rulecolorfg","result of color rule execution",0,0,edd_none,dl_color_index,1,(int) & ((struct dl_meter *)0)->rulecolorfg,0, 0,0, sizeof( unsigned char )},
	{"rulecolorbg","result of color rule execution",0,0,edd_none,dl_color_index,1,(int) & ((struct dl_meter *)0)->rulecolorbg,0, 0,0, sizeof( unsigned char )},
	{0}
}
#endif
;  

#ifndef DLINFOGLBL
extern
#endif
struct sinfo dl_indicator_sinfo[]
#ifdef DLINFOGLBL
= { 
	{"element","element header",0,0,edd_subform,dl_struct,1,(int) & ((struct dl_indicator *)0)->element,dl_element_hdr_sinfo, 0,0, sizeof( struct dl_element_hdr)},
	{"object","object header",0,0,edd_subform,dl_struct,1,(int) & ((struct dl_indicator *)0)->object,dl_object_hdr_sinfo, 0,0, sizeof( struct dl_object_hdr)},
	{"groupid","id if in a group",0,0,edd_none,dl_short,1,(int) & ((struct dl_indicator *)0)->groupid,0, 0,0, sizeof( short )},
	{"monitor","monitor header",0,0,edd_subform,dl_struct,1,(int) & ((struct dl_indicator *)0)->monitor,dl_monitor_hdr_sinfo, 0,0, sizeof( struct dl_monitor_hdr)},
	{"label","label type",0,0,edd_menu,dl_uchar,1,(int) & ((struct dl_indicator *)0)->label,dl_indicator_label_type_einfo, 0,0, sizeof( unsigned char )},
	{"clrmod","color modifier",0,0,edd_menu,dl_uchar,1,(int) & ((struct dl_indicator *)0)->clrmod,dl_dynamic_color_mod_einfo, 0,0, sizeof( unsigned char )},
	{"clrrule","color rule name",0,0,edd_text_edit,dl_string_index,1,(int) & ((struct dl_indicator *)0)->clrrule,0, 0,0, sizeof( char * )},
	{"clrargs","color rule arguments",0,0,edd_text_edit,dl_string_index,1,(int) & ((struct dl_indicator *)0)->clrargs,0, 0,0, sizeof( char * )},
	{"rulechan","channels for dynamic color rules",0,0,edd_none,dl_pc_index,MAX_RULE_LINES,(int)  ((struct dl_indicator *)0)->rulechan,0, 0,0, sizeof( char * )},
	{"direction","pointer direction",0,0,edd_menu,dl_uchar,1,(int) & ((struct dl_indicator *)0)->direction,dl_pointer_direction_einfo, 0,0, sizeof( unsigned char )},
	{"pad","available",0,0,edd_none,dl_char,1,(int) & ((struct dl_indicator *)0)->pad,0, 0,0, sizeof( char )},
	{"rulecolorfg","result of color rule execution",0,0,edd_none,dl_color_index,1,(int) & ((struct dl_indicator *)0)->rulecolorfg,0, 0,0, sizeof( unsigned char )},
	{"rulecolorbg","result of color rule execution",0,0,edd_none,dl_color_index,1,(int) & ((struct dl_indicator *)0)->rulecolorbg,0, 0,0, sizeof( unsigned char )},
	{0}
}
#endif
;  

#ifndef DLINFOGLBL
extern
#endif
struct sinfo dl_text_update_sinfo[]
#ifdef DLINFOGLBL
= { 
	{"element","element header",0,0,edd_subform,dl_struct,1,(int) & ((struct dl_text_update *)0)->element,dl_element_hdr_sinfo, 0,0, sizeof( struct dl_element_hdr)},
	{"object","object header",0,0,edd_subform,dl_struct,1,(int) & ((struct dl_text_update *)0)->object,dl_object_hdr_sinfo, 0,0, sizeof( struct dl_object_hdr)},
	{"groupid","id if in a group",0,0,edd_none,dl_short,1,(int) & ((struct dl_text_update *)0)->groupid,0, 0,0, sizeof( short )},
	{"monitor","monitor header",0,0,edd_subform,dl_struct,1,(int) & ((struct dl_text_update *)0)->monitor,dl_monitor_hdr_sinfo, 0,0, sizeof( struct dl_monitor_hdr)},
	{"clrmod","color modifier",0,0,edd_menu,dl_uchar,1,(int) & ((struct dl_text_update *)0)->clrmod,dl_dynamic_color_mod_einfo, 0,0, sizeof( unsigned char )},
	{"pad","available",0,0,edd_none,dl_char,1,(int) & ((struct dl_text_update *)0)->pad,0, 0,0, sizeof( char )},
	{"clrrule","color rule name",0,0,edd_text_edit,dl_string_index,1,(int) & ((struct dl_text_update *)0)->clrrule,0, 0,0, sizeof( char * )},
	{"clrargs","color rule arguments",0,0,edd_text_edit,dl_string_index,1,(int) & ((struct dl_text_update *)0)->clrargs,0, 0,0, sizeof( char * )},
	{"rulechan","channels for dynamic color rules",0,0,edd_none,dl_pc_index,MAX_RULE_LINES,(int)  ((struct dl_text_update *)0)->rulechan,0, 0,0, sizeof( char * )},
	{"align","text alignment",0,0,edd_menu,dl_uchar,1,(int) & ((struct dl_text_update *)0)->align,dl_string_alignment_einfo, 0,0, sizeof( unsigned char )},
	{"format","text format",0,0,edd_menu,dl_uchar,1,(int) & ((struct dl_text_update *)0)->format,dl_string_format_einfo, 0,0, sizeof( unsigned char )},
	{"rulecolorfg","result of color rule execution",0,0,edd_none,dl_color_index,1,(int) & ((struct dl_text_update *)0)->rulecolorfg,0, 0,0, sizeof( unsigned char )},
	{"rulecolorbg","result of color rule execution",0,0,edd_none,dl_color_index,1,(int) & ((struct dl_text_update *)0)->rulecolorbg,0, 0,0, sizeof( unsigned char )},
	{0}
}
#endif
;  

#ifndef DLINFOGLBL
extern
#endif
struct sinfo dl_symbol_sinfo[]
#ifdef DLINFOGLBL
= { 
	{"element","element header",0,0,edd_subform,dl_struct,1,(int) & ((struct dl_symbol *)0)->element,dl_element_hdr_sinfo, 0,0, sizeof( struct dl_element_hdr)},
	{"object","object header",0,0,edd_subform,dl_struct,1,(int) & ((struct dl_symbol *)0)->object,dl_object_hdr_sinfo, 0,0, sizeof( struct dl_object_hdr)},
	{"groupid","id if in a group",0,0,edd_none,dl_short,1,(int) & ((struct dl_symbol *)0)->groupid,0, 0,0, sizeof( short )},
	{"monitor","monitor header",0,0,edd_subform,dl_struct,1,(int) & ((struct dl_symbol *)0)->monitor,dl_monitor_hdr_sinfo, 0,0, sizeof( struct dl_monitor_hdr)},
	{"pad","available",0,0,edd_none,dl_short,1,(int) & ((struct dl_symbol *)0)->pad,0, 0,0, sizeof( short )},
	{"tbd","symbol parameters",0,0,edd_text_edit,dl_string_index,10,(int)  ((struct dl_symbol *)0)->tbd,0, 0,0, sizeof( char * )},
	{0}
}
#endif
;  

#ifndef DLINFOGLBL
extern
#endif
struct sinfo dl_anypo_sinfo[]
#ifdef DLINFOGLBL
= { 
	{"element","element header",0,0,edd_none,dl_struct,1,(int) & ((struct dl_anypo *)0)->element,dl_element_hdr_sinfo, 0,0, sizeof( struct dl_element_hdr)},
	{"object","object header",0,0,edd_none,dl_struct,1,(int) & ((struct dl_anypo *)0)->object,dl_object_hdr_sinfo, 0,0, sizeof( struct dl_object_hdr)},
	{"groupid","id if in a group",0,0,edd_none,dl_short,1,(int) & ((struct dl_anypo *)0)->groupid,0, 0,0, sizeof( short )},
	{"plotcom","common plot parameters",0,0,edd_none,dl_struct,1,(int) & ((struct dl_anypo *)0)->plotcom,dl_plot_hdr_sinfo, 0,0, sizeof( struct dl_plot_hdr)},
	{0}
}
#endif
;  

#ifndef DLINFOGLBL
extern
#endif
struct sinfo dl_plot_sinfo[]
#ifdef DLINFOGLBL
= { 
	{"element","element header",0,0,edd_subform,dl_struct,1,(int) & ((struct dl_plot *)0)->element,dl_element_hdr_sinfo, 0,0, sizeof( struct dl_element_hdr)},
	{"object","object header",0,0,edd_subform,dl_struct,1,(int) & ((struct dl_plot *)0)->object,dl_object_hdr_sinfo, 0,0, sizeof( struct dl_object_hdr)},
	{"groupid","id if in a group",0,0,edd_none,dl_short,1,(int) & ((struct dl_plot *)0)->groupid,0, 0,0, sizeof( short )},
	{"plotcom","common plot parameters",0,0,edd_subform,dl_struct,1,(int) & ((struct dl_plot *)0)->plotcom,dl_plot_hdr_sinfo, 0,0, sizeof( struct dl_plot_hdr)},
	{"style","plot style",0,0,edd_menu,dl_uchar,1,(int) & ((struct dl_plot *)0)->style,dl_plot_style_einfo, 0,0, sizeof( unsigned char )},
	{"erase_oldest","erase oldest sample",0,0,edd_button,dl_uchar,1,(int) & ((struct dl_plot *)0)->erase_oldest,dl_on_off_einfo, 0,0, sizeof( unsigned char )},
	{"count","sample save count",0,0,edd_text_edit,dl_ushort,1,(int) & ((struct dl_plot *)0)->count,0, 0,0, sizeof( unsigned short )},
	{"pad","available",0,0,edd_none,dl_short,1,(int) & ((struct dl_plot *)0)->pad,0, 0,0, sizeof( short )},
	{"trace","trace parameters",0,0,edd_subform,dl_struct,8,(int)  ((struct dl_plot *)0)->trace,dl_trace_sinfo, 0,0, sizeof( struct dl_trace)},
	{0}
}
#endif
;  

#ifndef DLINFOGLBL
extern
#endif
struct sinfo dl_smith_overlay_sinfo[]
#ifdef DLINFOGLBL
= { 
	{"element","element header",0,0,edd_subform,dl_struct,1,(int) & ((struct dl_smith_overlay *)0)->element,dl_element_hdr_sinfo, 0,0, sizeof( struct dl_element_hdr)},
	{"object","object header",0,0,edd_subform,dl_struct,1,(int) & ((struct dl_smith_overlay *)0)->object,dl_object_hdr_sinfo, 0,0, sizeof( struct dl_object_hdr)},
	{"groupid","id if in a group",0,0,edd_none,dl_short,1,(int) & ((struct dl_smith_overlay *)0)->groupid,0, 0,0, sizeof( short )},
	{"plotcom","common plot parameters",0,0,edd_subform,dl_struct,1,(int) & ((struct dl_smith_overlay *)0)->plotcom,dl_plot_hdr_sinfo, 0,0, sizeof( struct dl_plot_hdr)},
	{"igrid","impedance grid",0,0,edd_button,dl_uchar,1,(int) & ((struct dl_smith_overlay *)0)->igrid,dl_on_off_einfo, 0,0, sizeof( unsigned char )},
	{"agrid","admittance grid",0,0,edd_button,dl_uchar,1,(int) & ((struct dl_smith_overlay *)0)->agrid,dl_on_off_einfo, 0,0, sizeof( unsigned char )},
	{"igrid_clr","impedance grid color",0,0,edd_palette,dl_color_index,1,(int) & ((struct dl_smith_overlay *)0)->igrid_clr,0, 0,0, sizeof( unsigned char )},
	{"agrid_clr","admittance grid color",0,0,edd_palette,dl_color_index,1,(int) & ((struct dl_smith_overlay *)0)->agrid_clr,0, 0,0, sizeof( unsigned char )},
	{"data_clr","data color",0,0,edd_palette,dl_color_index,1,(int) & ((struct dl_smith_overlay *)0)->data_clr,0, 0,0, sizeof( unsigned char )},
	{"pad","available",0,0,edd_none,dl_char,1,(int) & ((struct dl_smith_overlay *)0)->pad,0, 0,0, sizeof( char )},
	{"xdata","x data channel",0,0,edd_text_edit,dl_pc_index,1,(int) & ((struct dl_smith_overlay *)0)->xdata,0, 0,0, sizeof( char * )},
	{"ydata","y data channel",0,0,edd_text_edit,dl_pc_index,1,(int) & ((struct dl_smith_overlay *)0)->ydata,0, 0,0, sizeof( char * )},
	{0}
}
#endif
;  

#ifndef DLINFOGLBL
extern
#endif
struct sinfo dl_surface_plot_sinfo[]
#ifdef DLINFOGLBL
= { 
	{"element","element header",0,0,edd_subform,dl_struct,1,(int) & ((struct dl_surface_plot *)0)->element,dl_element_hdr_sinfo, 0,0, sizeof( struct dl_element_hdr)},
	{"object","object header",0,0,edd_subform,dl_struct,1,(int) & ((struct dl_surface_plot *)0)->object,dl_object_hdr_sinfo, 0,0, sizeof( struct dl_object_hdr)},
	{"groupid","id if in a group",0,0,edd_none,dl_short,1,(int) & ((struct dl_surface_plot *)0)->groupid,0, 0,0, sizeof( short )},
	{"plotcom","common plot parameters",0,0,edd_subform,dl_struct,1,(int) & ((struct dl_surface_plot *)0)->plotcom,dl_plot_hdr_sinfo, 0,0, sizeof( struct dl_plot_hdr)},
	{"pad1","available",0,0,edd_none,dl_short,1,(int) & ((struct dl_surface_plot *)0)->pad1,0, 0,0, sizeof( short )},
	{"data","2D Z data channel",0,0,edd_text_edit,dl_pc_index,1,(int) & ((struct dl_surface_plot *)0)->data,0, 0,0, sizeof( char * )},
	{"data_clr","data color",0,0,edd_palette,dl_color_index,1,(int) & ((struct dl_surface_plot *)0)->data_clr,0, 0,0, sizeof( unsigned char )},
	{"pad2","available",0,0,edd_none,dl_char,1,(int) & ((struct dl_surface_plot *)0)->pad2,0, 0,0, sizeof( char )},
	{"dis","viewing distance",0,0,edd_text_edit,dl_short,1,(int) & ((struct dl_surface_plot *)0)->dis,0, 0,0, sizeof( short )},
	{"xyangle","xy viewing angle",0,0,edd_text_edit,dl_short,1,(int) & ((struct dl_surface_plot *)0)->xyangle,0, 0,0, sizeof( short )},
	{"zangle","z viewing angle",0,0,edd_text_edit,dl_short,1,(int) & ((struct dl_surface_plot *)0)->zangle,0, 0,0, sizeof( short )},
	{0}
}
#endif
;  

#ifndef DLINFOGLBL
extern
#endif
struct sinfo dl_strip_sinfo[]
#ifdef DLINFOGLBL
= { 
	{"element","element header",0,0,edd_subform,dl_struct,1,(int) & ((struct dl_strip *)0)->element,dl_element_hdr_sinfo, 0,0, sizeof( struct dl_element_hdr)},
	{"object","object header",0,0,edd_subform,dl_struct,1,(int) & ((struct dl_strip *)0)->object,dl_object_hdr_sinfo, 0,0, sizeof( struct dl_object_hdr)},
	{"groupid","id if in a group",0,0,edd_none,dl_short,1,(int) & ((struct dl_strip *)0)->groupid,0, 0,0, sizeof( short )},
	{"plotcom","common plot parameters",0,0,edd_subform,dl_struct,1,(int) & ((struct dl_strip *)0)->plotcom,dl_plot_hdr_sinfo, 0,0, sizeof( struct dl_plot_hdr)},
	{"delay","delay between samples",0,0,edd_text_edit,dl_ushort,1,(int) & ((struct dl_strip *)0)->delay,0, 0,0, sizeof( unsigned short )},
	{"units","delay units",0,0,edd_menu,dl_uchar,1,(int) & ((struct dl_strip *)0)->units,dl_time_units_einfo, 0,0, sizeof( unsigned char )},
	{"pad1","available",0,0,edd_none,dl_uchar,1,(int) & ((struct dl_strip *)0)->pad1,0, 0,0, sizeof( unsigned char )},
	{"pad2","available",0,0,edd_none,dl_uchar,1,(int) & ((struct dl_strip *)0)->pad2,0, 0,0, sizeof( unsigned char )},
	{"pad3","available",0,0,edd_none,dl_uchar,1,(int) & ((struct dl_strip *)0)->pad3,0, 0,0, sizeof( unsigned char )},
	{"pen","pen parameters",0,0,edd_subform,dl_struct,8,(int)  ((struct dl_strip *)0)->pen,dl_pen_sinfo, 0,0, sizeof( struct dl_pen)},
	{0}
}
#endif
;  

#ifndef DLINFOGLBL
extern
#endif
struct sinfo dl_anyco_sinfo[]
#ifdef DLINFOGLBL
= { 
	{"element","element header",0,0,edd_none,dl_struct,1,(int) & ((struct dl_anyco *)0)->element,dl_element_hdr_sinfo, 0,0, sizeof( struct dl_element_hdr)},
	{"object","object header",0,0,edd_none,dl_struct,1,(int) & ((struct dl_anyco *)0)->object,dl_object_hdr_sinfo, 0,0, sizeof( struct dl_object_hdr)},
	{"groupid","id if in a group",0,0,edd_none,dl_short,1,(int) & ((struct dl_anyco *)0)->groupid,0, 0,0, sizeof( short )},
	{"control","control header",0,0,edd_none,dl_struct,1,(int) & ((struct dl_anyco *)0)->control,dl_control_hdr_sinfo, 0,0, sizeof( struct dl_control_hdr)},
	{0}
}
#endif
;  

#ifndef DLINFOGLBL
extern
#endif
struct sinfo dl_valuator_sinfo[]
#ifdef DLINFOGLBL
= { 
	{"element","element header",0,0,edd_subform,dl_struct,1,(int) & ((struct dl_valuator *)0)->element,dl_element_hdr_sinfo, 0,0, sizeof( struct dl_element_hdr)},
	{"object","object header",0,0,edd_subform,dl_struct,1,(int) & ((struct dl_valuator *)0)->object,dl_object_hdr_sinfo, 0,0, sizeof( struct dl_object_hdr)},
	{"groupid","id if in a group",0,0,edd_none,dl_short,1,(int) & ((struct dl_valuator *)0)->groupid,0, 0,0, sizeof( short )},
	{"control","control header",0,0,edd_subform,dl_struct,1,(int) & ((struct dl_valuator *)0)->control,dl_control_hdr_sinfo, 0,0, sizeof( struct dl_control_hdr)},
	{"label","label type",0,0,edd_menu,dl_uchar,1,(int) & ((struct dl_valuator *)0)->label,dl_valuator_label_type_einfo, 0,0, sizeof( unsigned char )},
	{"clrmod","color modifier",0,0,edd_menu,dl_uchar,1,(int) & ((struct dl_valuator *)0)->clrmod,dl_dynamic_color_mod_einfo, 0,0, sizeof( unsigned char )},
	{"clrrule","color rule name",0,0,edd_text_edit,dl_string_index,1,(int) & ((struct dl_valuator *)0)->clrrule,0, 0,0, sizeof( char * )},
	{"clrargs","color rule arguments",0,0,edd_text_edit,dl_string_index,1,(int) & ((struct dl_valuator *)0)->clrargs,0, 0,0, sizeof( char * )},
	{"rulechan","channels for dynamic color rules",0,0,edd_none,dl_pc_index,MAX_RULE_LINES,(int)  ((struct dl_valuator *)0)->rulechan,0, 0,0, sizeof( char * )},
	{"direction","pointer direction",0,0,edd_menu,dl_uchar,1,(int) & ((struct dl_valuator *)0)->direction,dl_pointer_direction_einfo, 0,0, sizeof( unsigned char )},
	{"pad","available",0,0,edd_none,dl_char,1,(int) & ((struct dl_valuator *)0)->pad,0, 0,0, sizeof( char )},
	{"rulecolorfg","result of color rule execution",0,0,edd_none,dl_color_index,1,(int) & ((struct dl_valuator *)0)->rulecolorfg,0, 0,0, sizeof( unsigned char )},
	{"rulecolorbg","result of color rule execution",0,0,edd_none,dl_color_index,1,(int) & ((struct dl_valuator *)0)->rulecolorbg,0, 0,0, sizeof( unsigned char )},
	{0}
}
#endif
;  

#ifndef DLINFOGLBL
extern
#endif
struct sinfo dl_text_entry_sinfo[]
#ifdef DLINFOGLBL
= { 
	{"element","element header",0,0,edd_subform,dl_struct,1,(int) & ((struct dl_text_entry *)0)->element,dl_element_hdr_sinfo, 0,0, sizeof( struct dl_element_hdr)},
	{"object","object header",0,0,edd_subform,dl_struct,1,(int) & ((struct dl_text_entry *)0)->object,dl_object_hdr_sinfo, 0,0, sizeof( struct dl_object_hdr)},
	{"groupid","id if in a group",0,0,edd_none,dl_short,1,(int) & ((struct dl_text_entry *)0)->groupid,0, 0,0, sizeof( short )},
	{"control","control header",0,0,edd_subform,dl_struct,1,(int) & ((struct dl_text_entry *)0)->control,dl_control_hdr_sinfo, 0,0, sizeof( struct dl_control_hdr)},
	{"clrmod","color modifier",0,0,edd_menu,dl_uchar,1,(int) & ((struct dl_text_entry *)0)->clrmod,dl_dynamic_color_mod_einfo, 0,0, sizeof( unsigned char )},
	{"pad","available",0,0,edd_none,dl_char,1,(int) & ((struct dl_text_entry *)0)->pad,0, 0,0, sizeof( char )},
	{"clrrule","color rule name",0,0,edd_text_edit,dl_string_index,1,(int) & ((struct dl_text_entry *)0)->clrrule,0, 0,0, sizeof( char * )},
	{"clrargs","color rule arguments",0,0,edd_text_edit,dl_string_index,1,(int) & ((struct dl_text_entry *)0)->clrargs,0, 0,0, sizeof( char * )},
	{"rulechan","channels for dynamic color rules",0,0,edd_none,dl_pc_index,MAX_RULE_LINES,(int)  ((struct dl_text_entry *)0)->rulechan,0, 0,0, sizeof( char * )},
	{"rulecolorfg","result of color rule execution",0,0,edd_none,dl_color_index,1,(int) & ((struct dl_text_entry *)0)->rulecolorfg,0, 0,0, sizeof( unsigned char )},
	{"rulecolorbg","result of color rule execution",0,0,edd_none,dl_color_index,1,(int) & ((struct dl_text_entry *)0)->rulecolorbg,0, 0,0, sizeof( unsigned char )},
	{0}
}
#endif
;  

#ifndef DLINFOGLBL
extern
#endif
struct sinfo dl_button_sinfo[]
#ifdef DLINFOGLBL
= { 
	{"element","element header",0,0,edd_subform,dl_struct,1,(int) & ((struct dl_button *)0)->element,dl_element_hdr_sinfo, 0,0, sizeof( struct dl_element_hdr)},
	{"object","object header",0,0,edd_subform,dl_struct,1,(int) & ((struct dl_button *)0)->object,dl_object_hdr_sinfo, 0,0, sizeof( struct dl_object_hdr)},
	{"groupid","id if in a group",0,0,edd_none,dl_short,1,(int) & ((struct dl_button *)0)->groupid,0, 0,0, sizeof( short )},
	{"control","control header",0,0,edd_subform,dl_struct,1,(int) & ((struct dl_button *)0)->control,dl_control_hdr_sinfo, 0,0, sizeof( struct dl_control_hdr)},
	{"clrmod","color modifier",0,0,edd_menu,dl_uchar,1,(int) & ((struct dl_button *)0)->clrmod,dl_dynamic_color_mod_einfo, 0,0, sizeof( unsigned char )},
	{"pad1","available",0,0,edd_none,dl_char,1,(int) & ((struct dl_button *)0)->pad1,0, 0,0, sizeof( char )},
	{"clrrule","color rule name",0,0,edd_text_edit,dl_string_index,1,(int) & ((struct dl_button *)0)->clrrule,0, 0,0, sizeof( char * )},
	{"clrargs","color rule arguments",0,0,edd_text_edit,dl_string_index,1,(int) & ((struct dl_button *)0)->clrargs,0, 0,0, sizeof( char * )},
	{"rulechan","channels for dynamic color rules",0,0,edd_none,dl_pc_index,MAX_RULE_LINES,(int)  ((struct dl_button *)0)->rulechan,0, 0,0, sizeof( char * )},
	{"rulecolorfg","result of color rule execution",0,0,edd_none,dl_color_index,1,(int) & ((struct dl_button *)0)->rulecolorfg,0, 0,0, sizeof( unsigned char )},
	{"rulecolorbg","result of color rule execution",0,0,edd_none,dl_color_index,1,(int) & ((struct dl_button *)0)->rulecolorbg,0, 0,0, sizeof( unsigned char )},
	{"stacking","stacking modifier",0,0,edd_menu,dl_uchar,1,(int) & ((struct dl_button *)0)->stacking,dl_button_stacking_einfo, 0,0, sizeof( unsigned char )},
	{"pad2","available",0,0,edd_none,dl_char,1,(int) & ((struct dl_button *)0)->pad2,0, 0,0, sizeof( char )},
	{0}
}
#endif
;  

#ifndef DLINFOGLBL
extern
#endif
struct sinfo dl_choice_button_sinfo[]
#ifdef DLINFOGLBL
= { 
	{"element","element header",0,0,edd_subform,dl_struct,1,(int) & ((struct dl_choice_button *)0)->element,dl_element_hdr_sinfo, 0,0, sizeof( struct dl_element_hdr)},
	{"object","object header",0,0,edd_subform,dl_struct,1,(int) & ((struct dl_choice_button *)0)->object,dl_object_hdr_sinfo, 0,0, sizeof( struct dl_object_hdr)},
	{"groupid","id if in a group",0,0,edd_none,dl_short,1,(int) & ((struct dl_choice_button *)0)->groupid,0, 0,0, sizeof( short )},
	{"control","control header",0,0,edd_subform,dl_struct,1,(int) & ((struct dl_choice_button *)0)->control,dl_control_hdr_sinfo, 0,0, sizeof( struct dl_control_hdr)},
	{"clrmod","color modifier",0,0,edd_menu,dl_uchar,1,(int) & ((struct dl_choice_button *)0)->clrmod,dl_dynamic_color_mod_einfo, 0,0, sizeof( unsigned char )},
	{"pad1","available",0,0,edd_none,dl_char,1,(int) & ((struct dl_choice_button *)0)->pad1,0, 0,0, sizeof( char )},
	{"clrrule","color rule name",0,0,edd_text_edit,dl_string_index,1,(int) & ((struct dl_choice_button *)0)->clrrule,0, 0,0, sizeof( char * )},
	{"clrargs","color rule arguments",0,0,edd_text_edit,dl_string_index,1,(int) & ((struct dl_choice_button *)0)->clrargs,0, 0,0, sizeof( char * )},
	{"rulechan","channels for dynamic color rules",0,0,edd_none,dl_pc_index,MAX_RULE_LINES,(int)  ((struct dl_choice_button *)0)->rulechan,0, 0,0, sizeof( char * )},
	{"rulecolorfg","result of color rule execution",0,0,edd_none,dl_color_index,1,(int) & ((struct dl_choice_button *)0)->rulecolorfg,0, 0,0, sizeof( unsigned char )},
	{"rulecolorbg","result of color rule execution",0,0,edd_none,dl_color_index,1,(int) & ((struct dl_choice_button *)0)->rulecolorbg,0, 0,0, sizeof( unsigned char )},
	{"stacking","stacking modifier",0,0,edd_menu,dl_uchar,1,(int) & ((struct dl_choice_button *)0)->stacking,dl_button_stacking_einfo, 0,0, sizeof( unsigned char )},
	{"pad2","available",0,0,edd_none,dl_char,1,(int) & ((struct dl_choice_button *)0)->pad2,0, 0,0, sizeof( char )},
	{0}
}
#endif
;  

#ifndef DLINFOGLBL
extern
#endif
struct sinfo dl_message_button_sinfo[]
#ifdef DLINFOGLBL
= { 
	{"element","element header",0,0,edd_subform,dl_struct,1,(int) & ((struct dl_message_button *)0)->element,dl_element_hdr_sinfo, 0,0, sizeof( struct dl_element_hdr)},
	{"object","object header",0,0,edd_subform,dl_struct,1,(int) & ((struct dl_message_button *)0)->object,dl_object_hdr_sinfo, 0,0, sizeof( struct dl_object_hdr)},
	{"groupid","id if in a group",0,0,edd_none,dl_short,1,(int) & ((struct dl_message_button *)0)->groupid,0, 0,0, sizeof( short )},
	{"control","control header",0,0,edd_subform,dl_struct,1,(int) & ((struct dl_message_button *)0)->control,dl_control_hdr_sinfo, 0,0, sizeof( struct dl_control_hdr)},
	{"pad1","available",0,0,edd_none,dl_ushort,1,(int) & ((struct dl_message_button *)0)->pad1,0, 0,0, sizeof( unsigned short )},
	{"press_msg","press message",0,0,edd_text_edit,dl_string_index,1,(int) & ((struct dl_message_button *)0)->press_msg,0, 0,0, sizeof( char * )},
	{"release_msg","release message",0,0,edd_text_edit,dl_string_index,1,(int) & ((struct dl_message_button *)0)->release_msg,0, 0,0, sizeof( char * )},
	{"clrmod","color modifier",0,0,edd_menu,dl_uchar,1,(int) & ((struct dl_message_button *)0)->clrmod,dl_dynamic_color_mod_einfo, 0,0, sizeof( unsigned char )},
	{"pad2","available",0,0,edd_none,dl_uchar,1,(int) & ((struct dl_message_button *)0)->pad2,0, 0,0, sizeof( unsigned char )},
	{"behavior","button behavior",0,0,edd_button,dl_ushort,1,(int) & ((struct dl_message_button *)0)->behavior,dl_button_behavior_einfo, 0,0, sizeof( unsigned short )},
	{"clrrule","color rule name",0,0,edd_text_edit,dl_string_index,1,(int) & ((struct dl_message_button *)0)->clrrule,0, 0,0, sizeof( char * )},
	{"clrargs","color rule arguments",0,0,edd_text_edit,dl_string_index,1,(int) & ((struct dl_message_button *)0)->clrargs,0, 0,0, sizeof( char * )},
	{"rulechan","channels for dynamic color rules",0,0,edd_none,dl_pc_index,MAX_RULE_LINES,(int)  ((struct dl_message_button *)0)->rulechan,0, 0,0, sizeof( char * )},
	{"rulecolorfg","result of color rule execution",0,0,edd_none,dl_color_index,1,(int) & ((struct dl_message_button *)0)->rulecolorfg,0, 0,0, sizeof( unsigned char )},
	{"rulecolorbg","result of color rule execution",0,0,edd_none,dl_color_index,1,(int) & ((struct dl_message_button *)0)->rulecolorbg,0, 0,0, sizeof( unsigned char )},
	{0}
}
#endif
;  

#ifndef DLINFOGLBL
extern
#endif
struct sinfo dl_menu_sinfo[]
#ifdef DLINFOGLBL
= { 
	{"element","element header",0,0,edd_subform,dl_struct,1,(int) & ((struct dl_menu *)0)->element,dl_element_hdr_sinfo, 0,0, sizeof( struct dl_element_hdr)},
	{"object","object header",0,0,edd_subform,dl_struct,1,(int) & ((struct dl_menu *)0)->object,dl_object_hdr_sinfo, 0,0, sizeof( struct dl_object_hdr)},
	{"groupid","id if in a group",0,0,edd_none,dl_short,1,(int) & ((struct dl_menu *)0)->groupid,0, 0,0, sizeof( short )},
	{"control","control header",0,0,edd_subform,dl_struct,1,(int) & ((struct dl_menu *)0)->control,dl_control_hdr_sinfo, 0,0, sizeof( struct dl_control_hdr)},
	{"clrmod","color modifier",0,0,edd_menu,dl_uchar,1,(int) & ((struct dl_menu *)0)->clrmod,dl_dynamic_color_mod_einfo, 0,0, sizeof( unsigned char )},
	{"pad1","available",0,0,edd_none,dl_char,1,(int) & ((struct dl_menu *)0)->pad1,0, 0,0, sizeof( char )},
	{"rulecolorfg","result of color rule execution",0,0,edd_none,dl_color_index,1,(int) & ((struct dl_menu *)0)->rulecolorfg,0, 0,0, sizeof( unsigned char )},
	{"rulecolorbg","result of color rule execution",0,0,edd_none,dl_color_index,1,(int) & ((struct dl_menu *)0)->rulecolorbg,0, 0,0, sizeof( unsigned char )},
	{"pad2","available",0,0,edd_none,dl_ushort,1,(int) & ((struct dl_menu *)0)->pad2,0, 0,0, sizeof( unsigned short )},
	{"clrrule","color rule name",0,0,edd_text_edit,dl_string_index,1,(int) & ((struct dl_menu *)0)->clrrule,0, 0,0, sizeof( char * )},
	{"clrargs","color rule arguments",0,0,edd_text_edit,dl_string_index,1,(int) & ((struct dl_menu *)0)->clrargs,0, 0,0, sizeof( char * )},
	{"rulechan","channels for dynamic color rules",0,0,edd_none,dl_pc_index,MAX_RULE_LINES,(int)  ((struct dl_menu *)0)->rulechan,0, 0,0, sizeof( char * )},
	{0}
}
#endif
;  

#ifndef DLINFOGLBL
extern
#endif
struct sinfo dl_2d_control_sinfo[]
#ifdef DLINFOGLBL
= { 
	{"element","element header",0,0,edd_subform,dl_struct,1,(int) & ((struct dl_2d_control *)0)->element,dl_element_hdr_sinfo, 0,0, sizeof( struct dl_element_hdr)},
	{"object","object header",0,0,edd_subform,dl_struct,1,(int) & ((struct dl_2d_control *)0)->object,dl_object_hdr_sinfo, 0,0, sizeof( struct dl_object_hdr)},
	{"groupid","id if in a group",0,0,edd_none,dl_short,1,(int) & ((struct dl_2d_control *)0)->groupid,0, 0,0, sizeof( short )},
	{"control","control header",0,0,edd_subform,dl_struct,1,(int) & ((struct dl_2d_control *)0)->control,dl_control_hdr_sinfo, 0,0, sizeof( struct dl_control_hdr)},
	{"pad","available",0,0,edd_none,dl_ushort,1,(int) & ((struct dl_2d_control *)0)->pad,0, 0,0, sizeof( unsigned short )},
	{"yctrl","y control channel",0,0,edd_text_edit,dl_pc_index,1,(int) & ((struct dl_2d_control *)0)->yctrl,0, 0,0, sizeof( char * )},
	{"clr","foreground color",0,0,edd_palette,dl_color_index,1,(int) & ((struct dl_2d_control *)0)->clr,0, 0,0, sizeof( unsigned char )},
	{"bclr","background color",0,0,edd_palette,dl_bckgnd_color_index,1,(int) & ((struct dl_2d_control *)0)->bclr,0, 0,0, sizeof( unsigned char )},
	{"label","label type",0,0,edd_menu,dl_uchar,1,(int) & ((struct dl_2d_control *)0)->label,dl_2d_control_label_type_einfo, 0,0, sizeof( unsigned char )},
	{"clrmod","color modifier",0,0,edd_menu,dl_uchar,1,(int) & ((struct dl_2d_control *)0)->clrmod,dl_dynamic_color_mod_einfo, 0,0, sizeof( unsigned char )},
	{"clrrule","color rule name",0,0,edd_text_edit,dl_string_index,1,(int) & ((struct dl_2d_control *)0)->clrrule,0, 0,0, sizeof( char * )},
	{"clrargs","color rule arguments",0,0,edd_text_edit,dl_string_index,1,(int) & ((struct dl_2d_control *)0)->clrargs,0, 0,0, sizeof( char * )},
	{"rulechan","channels for dynamic color rules",0,0,edd_none,dl_pc_index,MAX_RULE_LINES,(int)  ((struct dl_2d_control *)0)->rulechan,0, 0,0, sizeof( char * )},
	{0}
}
#endif
;  

#ifndef DLINFOGLBL
extern
#endif
struct sinfo dl_related_display_sinfo[]
#ifdef DLINFOGLBL
= { 
	{"element","element header",0,0,edd_subform,dl_struct,1,(int) & ((struct dl_related_display *)0)->element,dl_element_hdr_sinfo, 0,0, sizeof( struct dl_element_hdr)},
	{"object","object header",0,0,edd_subform,dl_struct,1,(int) & ((struct dl_related_display *)0)->object,dl_object_hdr_sinfo, 0,0, sizeof( struct dl_object_hdr)},
	{"groupid","id if in a group",0,0,edd_none,dl_short,1,(int) & ((struct dl_related_display *)0)->groupid,0, 0,0, sizeof( short )},
	{"selfkill","self kill",0,0,edd_button,dl_uchar,1,(int) & ((struct dl_related_display *)0)->selfkill,dl_on_off_einfo, 0,0, sizeof( unsigned char )},
	{"pad","available",0,0,edd_none,dl_uchar,1,(int) & ((struct dl_related_display *)0)->pad,0, 0,0, sizeof( unsigned char )},
	{"display","display info",0,0,edd_subform,dl_struct,8,(int)  ((struct dl_related_display *)0)->display,dl_rd_info_sinfo, 0,0, sizeof( struct dl_rd_info)},
	{"clr","foreground color",0,0,edd_palette,dl_color_index,1,(int) & ((struct dl_related_display *)0)->clr,0, 0,0, sizeof( unsigned char )},
	{"bclr","background color",0,0,edd_palette,dl_bckgnd_color_index,1,(int) & ((struct dl_related_display *)0)->bclr,0, 0,0, sizeof( unsigned char )},
	{0}
}
#endif
;  

#ifndef DLINFOGLBL
extern
#endif
struct sinfo dl_execute_script_sinfo[]
#ifdef DLINFOGLBL
= { 
	{"element","element header",0,0,edd_subform,dl_struct,1,(int) & ((struct dl_execute_script *)0)->element,dl_element_hdr_sinfo, 0,0, sizeof( struct dl_element_hdr)},
	{"object","object header",0,0,edd_subform,dl_struct,1,(int) & ((struct dl_execute_script *)0)->object,dl_object_hdr_sinfo, 0,0, sizeof( struct dl_object_hdr)},
	{"groupid","id if in a group",0,0,edd_none,dl_short,1,(int) & ((struct dl_execute_script *)0)->groupid,0, 0,0, sizeof( short )},
	{"pad","available",0,0,edd_none,dl_ushort,1,(int) & ((struct dl_execute_script *)0)->pad,0, 0,0, sizeof( unsigned short )},
	{"script","script info",0,0,edd_subform,dl_struct,8,(int)  ((struct dl_execute_script *)0)->script,dl_es_info_sinfo, 0,0, sizeof( struct dl_es_info)},
	{"clr","foreground color",0,0,edd_palette,dl_color_index,1,(int) & ((struct dl_execute_script *)0)->clr,0, 0,0, sizeof( unsigned char )},
	{"bclr","background color",0,0,edd_palette,dl_bckgnd_color_index,1,(int) & ((struct dl_execute_script *)0)->bclr,0, 0,0, sizeof( unsigned char )},
	{0}
}
#endif
;  

#ifndef DLINFOGLBL
extern
#endif
struct sinfo dl_kill_display_sinfo[]
#ifdef DLINFOGLBL
= { 
	{"element","element header",0,0,edd_subform,dl_struct,1,(int) & ((struct dl_kill_display *)0)->element,dl_element_hdr_sinfo, 0,0, sizeof( struct dl_element_hdr)},
	{"object","object header",0,0,edd_subform,dl_struct,1,(int) & ((struct dl_kill_display *)0)->object,dl_object_hdr_sinfo, 0,0, sizeof( struct dl_object_hdr)},
	{"groupid","id if in a group",0,0,edd_none,dl_short,1,(int) & ((struct dl_kill_display *)0)->groupid,0, 0,0, sizeof( short )},
	{"pad","available",0,0,edd_none,dl_ushort,1,(int) & ((struct dl_kill_display *)0)->pad,0, 0,0, sizeof( unsigned short )},
	{"label","button label",0,0,edd_text_edit,dl_string_index,1,(int) & ((struct dl_kill_display *)0)->label,0, 0,0, sizeof( char * )},
	{"clr","foreground color",0,0,edd_palette,dl_color_index,1,(int) & ((struct dl_kill_display *)0)->clr,0, 0,0, sizeof( unsigned char )},
	{"bclr","background color",0,0,edd_palette,dl_bckgnd_color_index,1,(int) & ((struct dl_kill_display *)0)->bclr,0, 0,0, sizeof( unsigned char )},
	{0}
}
#endif
;  

#ifndef DLINFOGLBL
extern
#endif
struct sinfo dl_group_sinfo[]
#ifdef DLINFOGLBL
= { 
	{"element","element header",0,0,edd_none,dl_struct,1,(int) & ((struct dl_group *)0)->element,dl_element_hdr_sinfo, 0,0, sizeof( struct dl_element_hdr)},
	{"object","object header",0,0,edd_none,dl_struct,1,(int) & ((struct dl_group *)0)->object,dl_object_hdr_sinfo, 0,0, sizeof( struct dl_object_hdr)},
	{0}
}
#endif
;  

#ifndef DLINFOGLBL
extern
#endif
struct sinfo dl_pc_sinfo[]
#ifdef DLINFOGLBL
= { 
	{"element","element header",0,0,edd_none,dl_struct,1,(int) & ((struct dl_pc *)0)->element,dl_element_hdr_sinfo, 0,0, sizeof( struct dl_element_hdr)},
	{"count","n dynamic elements on this conn",0,0,edd_none,dl_ushort,1,(int) & ((struct dl_pc *)0)->count,0, 0,0, sizeof( unsigned short )},
	{0}
}
#endif
;  

#ifndef DLINFOGLBL
extern
#endif
struct sinfo dl_string_sinfo[]
#ifdef DLINFOGLBL
= { 
	{"element","element header",0,0,edd_none,dl_struct,1,(int) & ((struct dl_string *)0)->element,dl_element_hdr_sinfo, 0,0, sizeof( struct dl_element_hdr)},
	{"count","n references to this string",0,0,edd_none,dl_ushort,1,(int) & ((struct dl_string *)0)->count,0, 0,0, sizeof( unsigned short )},
	{0}
}
#endif
;  

#ifndef DLINFOGLBL
extern
#endif
struct sinfo dl_color_map_sinfo[]
#ifdef DLINFOGLBL
= { 
	{"element","element header",0,0,edd_none,dl_struct,1,(int) & ((struct dl_color_map *)0)->element,dl_element_hdr_sinfo, 0,0, sizeof( struct dl_element_hdr)},
	{"ncolors","n colors following header",0,0,edd_none,dl_ushort,1,(int) & ((struct dl_color_map *)0)->ncolors,0, 0,0, sizeof( unsigned short )},
	{0}
}
#endif
;  

#ifndef DLINFOGLBL
extern
#endif
struct sinfo dl_color_rule_table_sinfo[]
#ifdef DLINFOGLBL
= { 
	{"element","element header",0,0,edd_none,dl_struct,1,(int) & ((struct dl_color_rule_table *)0)->element,dl_element_hdr_sinfo, 0,0, sizeof( struct dl_element_hdr)},
	{"nrules","n color rules following header",0,0,edd_none,dl_ushort,1,(int) & ((struct dl_color_rule_table *)0)->nrules,0, 0,0, sizeof( unsigned short )},
	{"pad","available",0,0,edd_none,dl_ushort,1,(int) & ((struct dl_color_rule_table *)0)->pad,0, 0,0, sizeof( unsigned short )},
	{0}
}
#endif
;  

#ifndef DLINFOGLBL
extern
#endif
struct sinfo dl_basic_attribute_sinfo[]
#ifdef DLINFOGLBL
= { 
	{"element","element header",0,0,edd_none,dl_struct,1,(int) & ((struct dl_basic_attribute *)0)->element,dl_element_hdr_sinfo, 0,0, sizeof( struct dl_element_hdr)},
	{"attr","static attributes",0,0,edd_none,dl_struct,1,(int) & ((struct dl_basic_attribute *)0)->attr,dl_sta_attr_sinfo, 0,0, sizeof( struct dl_sta_attr)},
	{0}
}
#endif
;  

#ifndef DLINFOGLBL
extern
#endif
struct sinfo dl_dynamic_attribute_sinfo[]
#ifdef DLINFOGLBL
= { 
	{"element","element header",0,0,edd_none,dl_struct,1,(int) & ((struct dl_dynamic_attribute *)0)->element,dl_element_hdr_sinfo, 0,0, sizeof( struct dl_element_hdr)},
	{"attr","dynamic attributes",0,0,edd_none,dl_struct,1,(int) & ((struct dl_dynamic_attribute *)0)->attr,dl_dyn_attr_sinfo, 0,0, sizeof( struct dl_dyn_attr)},
	{0}
}
#endif
;  

struct ginfo{
	int		size;
	struct sinfo	*sinfo;
};

#ifndef DLINFOGLBL
extern
#endif
struct ginfo dl_elements_ginfo[] 
#ifdef DLINFOGLBL
= {
	{ sizeof(struct dl_anygo),dl_anygo_sinfo },
	{ sizeof(struct dl_rec),dl_rec_sinfo },
	{ sizeof(struct dl_line),dl_line_sinfo },
	{ sizeof(struct dl_oval),dl_oval_sinfo },
	{ sizeof(struct dl_arc),dl_arc_sinfo },
	{ sizeof(struct dl_text),dl_text_sinfo },
	{ sizeof(struct dl_user),dl_user_sinfo },
	{ sizeof(struct dl_anymo),dl_anymo_sinfo },
	{ sizeof(struct dl_bar),dl_bar_sinfo },
	{ sizeof(struct dl_tank),dl_tank_sinfo },
	{ sizeof(struct dl_meter),dl_meter_sinfo },
	{ sizeof(struct dl_indicator),dl_indicator_sinfo },
	{ sizeof(struct dl_text_update),dl_text_update_sinfo },
	{ sizeof(struct dl_symbol),dl_symbol_sinfo },
	{ sizeof(struct dl_anypo),dl_anypo_sinfo },
	{ sizeof(struct dl_plot),dl_plot_sinfo },
	{ sizeof(struct dl_smith_overlay),dl_smith_overlay_sinfo },
	{ sizeof(struct dl_surface_plot),dl_surface_plot_sinfo },
	{ sizeof(struct dl_strip),dl_strip_sinfo },
	{ sizeof(struct dl_anyco),dl_anyco_sinfo },
	{ sizeof(struct dl_valuator),dl_valuator_sinfo },
	{ sizeof(struct dl_text_entry),dl_text_entry_sinfo },
	{ sizeof(struct dl_button),dl_button_sinfo },
	{ sizeof(struct dl_choice_button),dl_choice_button_sinfo },
	{ sizeof(struct dl_message_button),dl_message_button_sinfo },
	{ sizeof(struct dl_menu),dl_menu_sinfo },
	{ sizeof(struct dl_2d_control),dl_2d_control_sinfo },
	{ sizeof(struct dl_related_display),dl_related_display_sinfo },
	{ sizeof(struct dl_execute_script),dl_execute_script_sinfo },
	{ sizeof(struct dl_kill_display),dl_kill_display_sinfo },
	{ sizeof(struct dl_group),dl_group_sinfo },
	{ sizeof(struct dl_pc),dl_pc_sinfo },
	{ sizeof(struct dl_string),dl_string_sinfo },
	{ sizeof(struct dl_color_map),dl_color_map_sinfo },
	{ sizeof(struct dl_color_rule_table),dl_color_rule_table_sinfo },
	{ sizeof(struct dl_basic_attribute),dl_basic_attribute_sinfo },
	{ sizeof(struct dl_dynamic_attribute),dl_dynamic_attribute_sinfo },
	{0,0}
}
#endif
;

struct group{
	char		**einfo;
	struct ginfo	*ginfo;
};

#ifndef DLINFOGLBL
extern
#endif
struct group dl_elements_group 
#ifdef DLINFOGLBL
= {
	dl_elements_einfo,
	dl_elements_ginfo
}
#endif
;


#ifndef DLINFOGLBL
extern
#endif
enum dl_element_class	dl_element_class[]
#ifdef DLINFOGLBL
 = {
	dl_class_graphic,
	dl_class_graphic,
	dl_class_graphic,
	dl_class_graphic,
	dl_class_graphic,
	dl_class_graphic,
	dl_class_graphic,
	dl_class_monitor,
	dl_class_monitor,
	dl_class_monitor,
	dl_class_monitor,
	dl_class_monitor,
	dl_class_monitor,
	dl_class_monitor,
	dl_class_plot,
	dl_class_plot,
	dl_class_plot,
	dl_class_plot,
	dl_class_plot,
	dl_class_control,
	dl_class_control,
	dl_class_control,
	dl_class_control,
	dl_class_control,
	dl_class_control,
	dl_class_control,
	dl_class_control,
	dl_class_related_display,
	dl_class_execute_script,
	dl_class_kill_display,
	dl_class_internal,
	dl_class_internal,
	dl_class_internal,
	dl_class_internal,
	dl_class_internal,
	dl_class_attribute,
	dl_class_attribute,
	0};
#endif
;
#endif
