#include <stdio.h>
#include <vxWorks.h>
#include <socket.h>
#include <sockLib.h>
#include <in.h>
#include <errno.h>

/*
setenv PATH /tis/vw510/gnu-toolkit/sun4.68k/bin:$PATH
cc68k -o -fvolatile -fno-builtin -m68040 -Wall -I/tis/vw510/h -I/tis/vw510/h/net -DCPU=MC68040 getsocklinger.c
*/
void getsocklinger (int s)
{
    struct linger lingerval;
    int		optlen;

    optlen = sizeof(lingerval);

    if (getsockopt (s, SOL_SOCKET, SO_LINGER, (char *)&lingerval, &optlen))
	printf ("Error getting liger values %d", errno);
    else
	printf ("Linger values - Enable = %d, timeout = %d\n",
			 lingerval.l_onoff, lingerval.l_linger);
}
