/*lineup.h,v 1.1.1.1 1999/08/03 14:44:55 tis4000 Exp */

/****************************************************************/
/*								*/
/*	This software is the proprietary property of Tate	*/
/*	Integrated Systems, L.P.  Patents and copyrights are	*/
/*	pending.						*/
/*								*/
/*	This software is furnished under a license and may	*/
/*	be used and copied only in accordance with the terms	*/
/*	of such license and with the inclusion of the above	*/
/*	notice. This software or any other copies thereof	*/
/*	may not be provided or otherwise made available to	*/
/*	any other person. No title to and ownership of the	*/
/*	software is hereby transferred.				*/
/*								*/
/*	The information in this software is subject to		*/
/*	change without notice and should not be construed 	*/
/*	as a commitment by Tate Integrated Systems L.P. or	*/
/*	its third party suppliers.				*/
/*								*/
/*	Tate Integrated Systems, L.P. (TIS) and its third	*/
/*	party suppliers assume no responsibility for the	*/
/*	use or inability to use any of its software. TIS	*/
/*	software is provided "as is" without warranty of	*/
/*	any kind and TIS expressly disclaims all implied	*/
/*	warranties, including but not limited to the implied	*/
/*	warranties of merchantability and fitness for a		*/
/*	particular purpose.					*/
/*								*/
/*	Notice: Notwithstanding any other lease or license	*/
/*	that may pertain to or accompany the delivery of this	*/
/*	computer software, the rights of the Government		*/
/*	regarding its use, reproduction, and disclosure are	*/
/*	as set forth in Section 52.227-19 of the FARS		*/
/*	Computer Software-Restricted Rights clause.		*/
/*								*/
/****************************************************************/
/*lineup.h,v 1.1.1.1 1999/08/03 14:44:55 tis4000 Exp */

/****************************************************************/
/*								*/
/*	This software is the proprietary property of Tate	*/
/*	Integrated Systems, L.P.  Patents and copyrights are	*/
/*	pending.						*/
/*								*/
/*	This software is furnished under a license and may	*/
/*	be used and copied only in accordance with the terms	*/
/*	of such license and with the inclusion of the above	*/
/*	notice. This software or any other copies thereof	*/
/*	may not be provided or otherwise made available to	*/
/*	any other person. No title to and ownership of the	*/
/*	software is hereby transferred.				*/
/*								*/
/*	The information in this software is subject to		*/
/*	change without notice and should not be construed 	*/
/*	as a commitment by Tate Integrated Systems L.P. or	*/
/*	its third party suppliers.				*/
/*								*/
/*	Tate Integrated Systems, L.P. (TIS) and its third	*/
/*	party suppliers assume no responsibility for the	*/
/*	use or inability to use any of its software. TIS	*/
/*	software is provided "as is" without warranty of	*/
/*	any kind and TIS expressly disclaims all implied	*/
/*	warranties, including but not limited to the implied	*/
/*	warranties of merchantability and fitness for a		*/
/*	particular purpose.					*/
/*								*/
/*	Notice: Notwithstanding any other lease or license	*/
/*	that may pertain to or accompany the delivery of this	*/
/*	computer software, the rights of the Government		*/
/*	regarding its use, reproduction, and disclosure are	*/
/*	as set forth in Section 52.227-19 of the FARS		*/
/*	Computer Software-Restricted Rights clause.		*/
/*								*/
/****************************************************************/
/*
 * widgets
 */
#define	INSERT_BUTTON			1
#define	DELETE_BUTTON			2
#define	PRINT_BUTTON			3
#define	SAVE_BUTTON				4
#define	GET_CMPNTS_BUTTON		5
#define	CSL_MNGR_BUTTON			6
#define	NEXT_BUTTON				7
#define	PREVIOUS_BUTTON			8
#define	EXIT_BUTTON				9
#define	LINEUP_NAME_ENTRY		10
#define	SRCS_ENTRY				11
#define	DESTS_ENTRY				12
#define	SETUP_TIME_ENTRY		13
#define	SHTDWN_TIME_ENTRY		14
#define	FLOW_RATE_ENTRY			15
#define	MSRMNT_VOLS_ENTRY		16
#define	XREF_VOLS_ENTRY			17
#define	REL_DSPLY_ENTRY			18
#define	MAN_CSL_SCRIPT_ENTRY	19
#define	START_SCRIPT_ENTRY		20
#define	STOP_SCRIPT_ENTRY		21
#define	PAUSE_SCRIPT_ENTRY		22
#define	RESUME_SCRIPT_ENTRY		23
#define	MONITOR_SCRIPT_ENTRY	24
#define	CMPNTS_LIST				25
#define	ADD_CMPNT_BUTTON		26
#define	MODIFY_CMPNT_BUTTON		27
#define	DELETE_CMPNT_BUTTON		28
#define	CMPNTS_DIALOG			29
#define	CMPNTS_ENTRY			30
#define	OK_CMPNT_BUTTON			31
#define	CANCEL_CMPNT_BUTTON		32
#define	CLEAR_BUTTON			33
#define	TANK_LIST				34
#define	METHOD_ENTRY			35
#define	STATE_ENTRY				36

/*
 * miscellaneous
 */
#define	MAX_ARGS				20
#define	CLICK					1
#define	DOUBLE_CLICK			2
#define	MAX_SRCS				6
#define	MAX_DESTS				6
#define	MAX_MSRMNT_VOLS			6
#define	MAX_XREF_VOLS			6
#define	CMPNTS_BLOCK_SIZE		1000
#define	OPERATOR_NAME_SIZE		9

typedef struct
	{
	char		entry[CHANNEL_NAME_ENTRY_SIZE+1];
	char		state[STATE_ENTRY_SIZE+1];
	XmString	string;
	} Component;

typedef struct
	{
	char		lineupName[LINEUP_NAME_ENTRY_SIZE+1];
	char		method[METHOD_ENTRY_SIZE+1];
	Component	*cmpnts;
	char		srcs[MAX_SRCS][CHANNEL_NAME_ENTRY_SIZE+1];
	char		dests[MAX_DESTS][CHANNEL_NAME_ENTRY_SIZE+1];
	char		setupTime[TIME_STRING_ENTRY_SIZE+1];
	char		shtdwnTime[TIME_STRING_ENTRY_SIZE+1];
	char		flowRate[FLOW_RATE_ENTRY_SIZE+1];
	char		msrmntVols[MAX_MSRMNT_VOLS][CHANNEL_NAME_ENTRY_SIZE+1];
	char		xrefVols[MAX_XREF_VOLS][CHANNEL_NAME_ENTRY_SIZE+1];
	char		relDsply[REL_DSPLY_ENTRY_SIZE+1];
	char		manCslScript[CSL_SCRIPT_ENTRY_SIZE+1];
	char		startScript[CSL_SCRIPT_ENTRY_SIZE+1];
	char		stopScript[CSL_SCRIPT_ENTRY_SIZE+1];
	char		pauseScript[CSL_SCRIPT_ENTRY_SIZE+1];
	char		resumeScript[CSL_SCRIPT_ENTRY_SIZE+1];
	char		monitorScript[CSL_SCRIPT_ENTRY_SIZE+1];
	} LineupRecord;
