#include <vport.h>		/* for v*HEADER */
#include vstdlibHEADER
#include vdebugHEADER
#include vdialogHEADER

#include "tisgalaxy.h"
#include "tisgalaxylib.hxx"


/***********************************************************
*
*  tisWaitDialog
*
************************************************************/
vkindTYPED_FULL_DEFINITION(tisWaitDialog, vdialog, NULL);

/***********************************************************
*
*   tisWaitDialog LoadInit
*
************************************************************/

void tisWaitDialog::LoadInit(vresource resource)
{
    waitTextitem = vtextitem::RequestSubLoad (this, tisgalaxy_waitTextitem);

    vdialog::LoadInit (resource);

    Place (GetRoot (), vrectPLACE_CENTER, vrectPLACE_CENTER);
}


/***********************************************************
*
*   tisWaitDialog Observe window override
*
************************************************************/

void tisWaitDialog::ObserveWindow (vevent *event)
{
    if ( event -> GetType () == veventWINDOW_STATE && event -> IsClose () )
    {
	Close ();
    }
}


/***********************************************************
*
*   tisWaitDialog Destroy
*
************************************************************/

void tisWaitDialog::Destroy(void)
{
    if (IsOpen())
    {
	Close ();
    }
    vdialog::Destroy ();
}


/***********************************************************
*
*   tisWaitDialog Open function
*
************************************************************/

void tisWaitDialog::OpenWaitDialog (void)
{
    Open ();
    vevent::FlushProcessing ();
}
