/* trendsearchdlg.h,v 1.1.1.1 1999/08/03 14:45:11 tis4000 Exp
 *
 */

class tsDurType;
class tsSpecList;
class tsAddButton;
class tsDeleteButton;
class tsAcceptButton;
class tsBrowseButton;
class tsCancelButton;

/*
 * TrendSearchDialog - trend graph continer class
 */

class TrendSearchDialog : public vdialog
{
    public:
	// the default versions of the necessary constructors/destructor
	vloadableINLINE_CONSTRUCTORS(TrendSearchDialog, vdialog);

	// overrides from vkindTyped
	vkindTYPED_FULL_DECLARATION(TrendSearchDialog);

	// virtual member function overrides
	// vloadable
	virtual void LoadInit(vresource resource);
	// vwindow
	virtual void ObserveWindow(vevent *event);

	// methods
	int Alert (TrendSet *trendSet);
	void AcceptClick ();
	void CancelClick ();
	SEARCH *ResultStruct () { return &searchStruct; }
    private:
	TrendSet workset;
        int result;
	SEARCH searchStruct;

	vcontainerExclusiveGroup *selectTrend;
	vcontainerExclusiveGroup *startType;
	vcontainerGroup *statusTypes;
	vcontainerGroup *severityTypes;
	tsAcceptButton *accept;
	tsCancelButton *cancel;
};
