/* 
  AACO_points.h

  pv contains data for all the point "groups" to create.
*/

#define       ALARMGRP_SZ   16
#define       PVNAME_SZ     28
#define       DESC_SZ       28
#define       REFERENCE_SZ  28
#define       TYPE_SZ       15
#define       RESOURCE_SZ   16


/* default points 	INREQ, PLEFT, POLNOW, MFAST		*/

char    *tempname[] = {"BCHERR-A", "INREQ-A", "TIMOUT-A", 0};

struct pv {
    char   alarmgrp[ALARMGRP_SZ];
    char   name[PVNAME_SZ];
    char   desc[DESC_SZ];
    int    address;
    int    line;
    char   resource[RESOURCE_SZ];
}  point[] = {

/* ########## NC1 COMMUNICATIONS LINE ########## */
	"4101", "NC1_4101_", "ARUN GARDENS",	63,  10, "QEI-NORTH1",
	"4501", "NC1_4501_", "ASHBERRY LN",	109, 10, "QEI-NORTH1",
	"4301", "NC1_4301_", "BTC",		2,   10, "QEI-NORTH1",
	"4239", "NC1_4239_", "BELL AVE",	64,  10, "QEI-NORTH1",
	"4526", "NC1_4526_", "BEN OAKS",	50,  10, "QEI-NORTH1",
	"4504", "NC1_4504_", "BOONE TRAIL",	102, 10, "QEI-NORTH1",
	"4556", "NC1_4556_", "BRITTINGHAM",	132, 10, "QEI-NORTH1",
	"4204", "NC1_4204_", "CABIN BRANCH",	65,  10, "QEI-NORTH1",
	"4550", "NC1_4550_", "CP St CLAIR 4",	105, 10, "QEI-NORTH1",
	"4540", "NC1_4540_", "CAROLTON MN 2",	32,  10, "QEI-NORTH1",
	"4542", "NC1_4542_", "CAROLTON MN 4",	34,  10, "QEI-NORTH1",
	"4511", "NC1_4511_", "CEDAR POINT",	36,  10, "QEI-NORTH1",
	"4110", "NC1_4110_", "CHURCH CIRCLE",	66,  10, "QEI-NORTH1",
	"4207", "NC1_4207_", "CINDER COVE",	3,   10, "QEI-NORTH1",
	"4401", "NC1_4401_", "CLARK HEIGHTS",	51,  10, "QEI-NORTH1",
	"4535", "NC1_4535_", "COLCHESTER",	38,  10, "QEI-NORTH1",
	"4208", "NC1_4208_", "COUNTY CB EST",	67,  10, "QEI-NORTH1",
	"4209", "NC1_4209_", "COUNTY CB MNR",	68,  10, "QEI-NORTH1",
	"4403", "NC1_4403_", "CROFTON WLK IN",	52,  10, "QEI-NORTH1",
/*	MAJOR RE-WORK FOR BELOW STATION	*/
	"5000", "NC1_5000_", "DORSEY RD",	121, 10, "QEI-NORTH1",
	"4111", "NC1_4111_", "HARBOR VALLEY",	118, 10, "QEI-NORTH1",
/*	MAJOR RE-WORK FOR BELOW STATION	*/
	"4214", "NC1_4214_", "HARRIS HGHTS I",	69,  10, "QEI-NORTH1",
	"4516", "NC1_4516_", "LAKELAND",	53,  10, "QEI-NORTH1",
	"4106", "NC1_4106_", "LIN/SHIPLEY",	76,  10, "QEI-NORTH1",
/*	MAJOR RE-WORK FOR BELOW STATION	*/
	"4303", "NC1_4303_", "LITTLE PATUX",	127, 10, "QEI-NORTH1",
	"4220", "NC1_4220_", "MARGATE"	,	71,  10, "QEI-NORTH1",
/*	MAJOR RE-WORK FOR BELOW STATION	*/
	"4221", "NC1_4221_", "MARLEY",		54,  10, "QEI-NORTH1",
	"4247", "NC1_4247_", "MARLEY AVE",	115, 10, "QEI-NORTH1",
/*	MAJOR RE-WORK FOR BELOW STATION	*/
	"4302", "NC1_4302_", "MD CITY SPS",	4,   10, "QEI-NORTH1",
/*	MAJOR RE-WORK FOR BELOW STATION	*/
	"4300", "NC1_4300_", "MD CITY WRF",	126, 10, "QEI-NORTH1",
/*	MAJOR RE-WORK FOR BELOW STATION	*/
	"7000", "NC1_7000_", "MILLERSVILLE",	109, 10, "QEI-NORTH1",
	"4223", "NC1_4223_", "MORRIS HILLS",	72,  10, "QEI-NORTH1",
	"4235", "NC1_4235_", "NEW CUT FARMS",	55,  10, "QEI-NORTH1",
	"4237", "NC1_4237_", "OLD MILL",	56,  10, "QEI-NORTH1",
	"4225", "NC1_4225_", "ORDANCE RD",	73,  10, "QEI-NORTH1",
	"4238", "NC1_4238_", "PARK WEST",	57,  10, "QEI-NORTH1",
	"4103", "NC1_4103_", "PATAPSCO",	74,  10, "QEI-NORTH1",
	"4104", "NC1_4104_", "PATAPSCO PARKS",	75,  10, "QEI-NORTH1",
/*	MAJOR RE-WORK FOR BELOW STATION	*/
	"4400", "NC1_4400_", "PATUXENT",	58,  10, "QEI-NORTH1",
	"4256", "NC1_4256_", "PRICE CLUB",	130, 10, "QEI-NORTH1",
	"4236", "NC1_4236_", "QUARTERFIELD",	59,  10, "QEI-NORTH1",
	"4408", "NC1_4408_", "RIDGEWAY",	60,  10, "QEI-NORTH1",
	"4107", "NC1_4107_", "ROLAND TERR",	78,  10, "QEI-NORTH1",
	"4519", "NC1_4519_", "ROUND BAY 1",	46,  10, "QEI-NORTH1",
	"4520", "NC1_4520_", "ROUND BAY 2",	47,  10, "QEI-NORTH1",
	"4305", "NC1_4305_", "RUSSETT 2",	128, 10, "QEI-NORTH1",
	"4409", "NC1_4409_", "SEVERN RUN",	61,  10, "QEI-NORTH1",
	"4555", "NC1_4555_", "SHIPLEY CHO",	122, 10, "QEI-NORTH1",
	"4240", "NC1_4240_", "SHORELAND DR",	79,  10, "QEI-NORTH1",
/*	MAJOR RE-WORK FOR BELOW STATION	*/
	"0101", "NC1_0101_", "NORTH REPEATER",	1,   10, "QEI-NORTH1",
	"4410", "NC1_4410_", "STORCH PROP",	62,  10, "QEI-NORTH1",
	"4412", "NC1_4412_", "WALDEN",		120, 10, "QEI-NORTH1",
	"4411", "NC1_4411_", "WETHERFIELD",	116, 10, "QEI-NORTH1",
	"4246", "NC1_4246_", "7TH STREET",	113, 10, "QEI-NORTH1",

/* ########## NC2 COMMUNICATIONS LINE ########## */
	"4201", "NC2_4201_", "ARUNDEL ROAD",	80,  11, "QEI-NORTH2",
	"4245", "NC2_4245_", "ASPEN PARK",	114, 11, "QEI-NORTH2",
	"4531", "NC2_4531_", "ATLANTIS",	118, 11, "QEI-NORTH2",
	"4202", "NC2_4202_", "BAR HARBOR I",	81,  11, "QEI-NORTH2",
	"4218", "NC2_4218_", "BAR HARBOR II",	82,  11, "QEI-NORTH2",
	"4203", "NC2_4203_", "BAY DRIVE",	83,  11, "QEI-NORTH2",
	"4502", "NC2_4502_", "BAY HILLS",	89,  11, "QEI-NORTH2",
	"4538", "NC2_4538_", "BERRYWOOD",	26,  11, "QEI-NORTH2",
	"4503", "NC2_4503_", "BELVEDERE",	10,  11, "QEI-NORTH2",
	"4512", "NC2_4512_", "BIG CYPRESS",	27,  11, "QEI-NORTH2",
/*	MAJOR RE-WORK FOR BELOW STATION	*/
	"4500", "NC2_4500_", "BROADNECK WRF",	6,   11, "QEI-NORTH2",
	"4505", "NC2_4505_", "BUSCH'S",		7,   11, "QEI-NORTH2",
	"4506", "NC2_4506_", "CP ARTHUR #2",	29,  11, "QEI-NORTH2",
	"4507", "NC2_4507_", "CP ARTHUR #3",	30,  11, "QEI-NORTH2",
	"4508", "NC2_4508_", "CP ARTHUR #5",	110, 11, "QEI-NORTH2",
	"4552", "NC2_4552_", "CP St CLARI #5",	111, 11, "QEI-NORTH2",
	"4553", "NC2_4553_", "CP St CLARI #8",	111, 11, "QEI-NORTH2",
	"4554", "NC2_4554_", "CP St CLARI #10",	112, 11, "QEI-NORTH2",
	"4205", "NC2_4205_", "CARVEL BEACH",	84,  11, "QEI-NORTH2",
	"4509", "NC2_4509_", "CATTAIL CREEK",	35,  11, "QEI-NORTH2",
	"4253", "NC2_4253_", "CHESTNUTHILL",	125, 11, "QEI-NORTH2",
/*	MAJOR RE-WORK FOR BELOW STATION	*/
	"4200", "NC2_4200_", "CC ADMIN BLDG",	131, 11, "QEI-NORTH2",
	"4210", "NC2_4210_", "CREEK ROAD",	85,  11, "QEI-NORTH2",
	"4529", "NC2_4529_", "DRILL ROAD",	39,  11, "QEI-NORTH2",
	"4514", "NC2_4514_", "DORIS DRIVE",	16,  11, "QEI-NORTH2",
	"4241", "NC2_4241_", "ELIZ LANDING",	86,  11, "QEI-NORTH2",
	"4536", "NC2_4536_", "FAIR OAKS",	40,  11, "QEI-NORTH2",
	"4528", "NC2_4528_", "FORKED CREEK",	24,  11, "QEI-NORTH2",
	"4211", "NC2_4211_", "FREETOWN",	87,  11, "QEI-NORTH2",
	"4212", "NC2_4212_", "GLEN AVENUE",	88,  11, "QEI-NORTH2",
	"4249", "NC2_4249_", "GREENHAVEN II",	123, 11, "QEI-NORTH2",
	"4213", "NC2_4213_", "HARBOR DRIVE",	89,  11, "QEI-NORTH2",
	"4515", "NC2_4515_", "HASKEL ROAD",	17,  11, "QEI-NORTH2",
	"4216", "NC2_4216_", "HOLLY RD N",	90,  11, "QEI-NORTH2",
	"4517", "NC2_4517_", "LAKEVIEW",	18,  11, "QEI-NORTH2",
	"4513", "NC2_4513_", "LIT CYPRES CK",	41,  11, "QEI-NORTH2",
	"4248", "NC2_4248_", "LOMBARDEE BCH",	117, 11, "QEI-NORTH2",
	"4530", "NC2_4530_", "LONG MEADOW",	42,  11, "QEI-NORTH2",
	"4543", "NC2_4543_", "MANHATTON BCH 1",	43,  11, "QEI-NORTH2",
	"4544", "NC2_4544_", "MANHATTON BCH 2",	44,  11, "QEI-NORTH2",
	"4545", "NC2_4545_", "MANHATTON BCH 3",	45,  11, "QEI-NORTH2",
	"4222", "NC2_4254_", "MARLEY NECK",	124, 11, "QEI-NORTH2",
	"4222", "NC2_4222_", "MEADOW LANE",	91,  11, "QEI-NORTH2",
/*	MAJOR RE-WORK FOR BELOW STATION	*/
	"4518", "NC2_4518_", "MILL CK",		103, 11, "QEI-NORTH2",
	"4224", "NC2_4224_", "MT PLEASNT CCN",	92,  11, "QEI-NORTH2",
	"4548", "NC2_4548_", "OLD JONES STA",	19,  11, "QEI-NORTH2",
	"4226", "NC2_4226_", "PARK ROAD",	93,  11, "QEI-NORTH2",
	"4227", "NC2_4227_", "PINE HAVEN",	94,  11, "QEI-NORTH2",
	"4228", "NC2_4228_", "RIV BEACH",	95,  11, "QEI-NORTH2",
	"4206", "NC2_4206_", "ROCK CREEK",	96,  11, "QEI-NORTH2",
	"4521", "NC2_4521_", "ROUND BAY 3",	83,  11, "QEI-NORTH2",
	"4229", "NC2_4229_", "SANDY BEACH",	97,  11, "QEI-NORTH2",
	"4230", "NC2_4230_", "SEA BREEZE",	98,  11, "QEI-NORTH2",
	"4242", "NC2_4242_", "SHARON DRIVE",	7,   11, "QEI-NORTH2",
	"4255", "NC2_4255_", "SILVER SANDS",	129, 11, "QEI-NORTH2",
	"4244", "NC2_4244_", "STONE HAVEN",	99,  11, "QEI-NORTH2",
/*	MAJOR RE-WORK FOR BELOW STATION	*/
	"4252", "NC2_4252_", "STONEY BCH 1",	119, 11, "QEI-NORTH2",
	"4231", "NC2_4231_", "STONEY CREEK",	100, 11, "QEI-NORTH2",
	"4232", "NC2_4232_", "SUNSET BCH",	101, 11, "QEI-NORTH2",
	"4243", "NC2_4243_", "TICKNECK",	102, 11, "QEI-NORTH2",
	"4532", "NC2_4532_", "TWIN HRBS I",	20,  11, "QEI-NORTH2",
	"4533", "NC2_4533_", "TWIN HRBS II",	21,  11, "QEI-NORTH2",
	"4522", "NC2_4522_", "TWIN HRBS 4",	22,  11, "QEI-NORTH2",
	"4523", "NC2_4523_", "ULMSETAD",	23,  11, "QEI-NORTH2",
	"4233", "NC2_4233_", "VALLEY RD",	103, 11, "QEI-NORTH2",
	"4234", "NC2_4234_", "WATERVIEW",	104, 11, "QEI-NORTH2",
	"4537", "NC2_4537_", "WHITEHURST",	49,  11, "QEI-NORTH2",

/* ########## SC1 COMMUNICATIONS LINE ########## */
	"4615", "SC1_4615_", "ANCHORAGE 1",	11,   9, "QEI-SOUTH",
	"4616", "SC1_4616_", "ANCHORAGE 2",	12,   9, "QEI-SOUTH",
	"4632", "SC1_4632_", "ANNAP.LAND.",	37,   9, "QEI-SOUTH",
	"4649", "SC1_4649_", "ANNAP. RDS.",	99,   9, "QEI-SOUTH",
	"4600", "SC1_4600_", "ANNAPOLIS",	105,  9, "QEI-SOUTH",
/*	MAJOR RE-WORK FOR BELOW STATION	*/
	"6000", "SC1_6000_", "ARNOLD",		106,  9, "QEI-SOUTH",
	"4617", "SC1_4617_", "ARUN OT BAY 1",	13,   9, "QEI-SOUTH",
	"4618", "SC1_4618_", "ARUN OT BAY 2",	14,   9, "QEI-SOUTH",
	"4619", "SC1_4619_", "ARUN OT BAY 3",	15,   9, "QEI-SOUTH",
	"4620", "SC1_4620_", "ARUN OT BAY 4",	16,   9, "QEI-SOUTH",
	"4621", "SC1_4621_", "ARUN OT BAY 5",	17,   9, "QEI-SOUTH",
	"4622", "SC1_4622_", "ARUN OT BAY 6",	18,   9, "QEI-SOUTH",
	"4715", "SC1_4715_", "AVALON SHRS 1",	64,   9, "QEI-SOUTH",
	"4716", "SC1_4716_", "AVALON SHRS 2",	65,   9, "QEI-SOUTH",
	"4701", "SC1_4701_", "BAY BREEZE",	66,   9, "QEI-SOUTH",
	"4601", "SC1_4601_", "BAY RIDGE 1",	19,   9, "QEI-SOUTH",
	"4602", "SC1_4602_", "BAY RIDGE 2",	20,   9, "QEI-SOUTH",
/*	MAJOR RE-WORK FOR BELOW STATION	*/
	"4605", "SC1_4605_", "BAY RIDGE 5",	2,    9, "QEI-SOUTH",
	"4606", "SC1_4606_", "BAY RIDGE 6",	21,   9, "QEI-SOUTH",
	"4607", "SC1_4607_", "BAY RIDGE 7",	22,   9, "QEI-SOUTH",
	"4603", "SC1_4603_", "BAY RIDGE 8",	23,   9, "QEI-SOUTH",
	"4801", "SC1_4801_", "BAYVIEW",		38,   9, "QEI-SOUTH",
	"4802", "SC1_4802_", "BENTLEY RD.",	39,   9, "QEI-SOUTH",
	"4631", "SC1_4631_", "BERKSHIRE",	40,   9, "QEI-SOUTH",
	"4648", "SC1_4648_", "BROADCREEK",	41,   9, "QEI-SOUTH",
	"4702", "SC1_4702_", "BROADWATER SPS",	68,   9, "QEI-SOUTH",
/*	MAJOR RE-WORK FOR BELOW STATION	*/
	"4700", "SC1_4700_", "BROADWATER WRF",	67,   9, "QEI-SOUTH",
	"4703", "SC1_4703_", "CAPE ANNE",	69,   9, "QEI-SOUTH",
	"4527", "SC1_4527_", "CP St CLAIR 1",	81,   9, "QEI-SOUTH", 
	"4546", "SC1_4546_", "CP St CLAIR 2",	84,   9, "QEI-SOUTH", 
	"4547", "SC1_4547_", "CP St CLAIR 3",	82,   9, "QEI-SOUTH",
	"4640", "SC1_4604_", "CP St JOHN 1",	42,   9, "QEI-SOUTH",  
	"4641", "SC1_4641_", "CP St JOHN 2",	43,   9, "QEI-SOUTH",
	"4642", "SC1_4642_", "CP St JOHN 3",	44,   9, "QEI-SOUTH",
	"4643", "SC1_4643_", "CP St JOHN 4",	45,   9, "QEI-SOUTH", 
	"4644", "SC1_4644_", "CP St JOHN 5",	46,   9, "QEI-SOUTH",
	"4645", "SC1_4645_", "CP St JOHN 6",	47,   9, "QEI-SOUTH",
	"4646", "SC1_4646_", "CP St JOHN 7",	48,   9, "QEI-SOUTH",
	"4539", "SC1_4539_", "CARROLTON MN 1",	86,   9, "QEI-SOUTH",
	"4541", "SC1_4541_", "CARROLTON MN 3",	88,   9, "QEI-SOUTH",
	"4704", "SC1_4704_", "CEDARHURST",	70,   9, "QEI-SOUTH",
	"4510", "SC1_4510_", "CEDAR RD",	85,   9, "QEI-SOUTH",
	"4720", "SC1_4720_", "CHALK POINT",	92,   9, "QEI-SOUTH", 
	"4626", "SC1_4626_", "CHESAPEAK 1E",	25,   9, "QEI-SOUTH", 
	"4627", "SC1_4627_", "CHESAPEAK 2W",	26,   9, "QEI-SOUTH",
	"4705", "SC1_4705_", "COLUMBIA BCH",	71,   9, "QEI-SOUTH", 
	"4404", "SC1_4404_", "CROFTON EJECT",	62,   9, "QEI-SOUTH",
	"4706", "SC1_4706_", "DARTMOUTH",	72,   9, "QEI-SOUTH",
	"4551", "SC1_4551_", "DIVINITY CV",	87,   9, "QEI-SOUTH",
	"4712", "SC1_4712_", "DRUM POINT",	4,    9, "QEI-SOUTH",
	"4725", "SC1_4725_", "FORD AVE",	101,  9, "QEI-SOUTH",
	"4707", "SC1_4707_", "FRANKLIN MN",	73,   9, "QEI-SOUTH",
	"4708", "SC1_4708_", "FRANKLIN MR 2",	74,   9, "QEI-SOUTH",
	"4651", "SC1_4651_", "GEM HIGHWAY",	107,  9, "QEI-SOUTH",
	"4634", "SC1_4634_", "HERITAGE HB 1",	49,   9, "QEI-SOUTH",
	"4635", "SC1_4635_", "HERITAGE HB 2",	5,    9, "QEI-SOUTH",
	"4624", "SC1_4624_", "HIGHLAND BCH 1",	27,   9, "QEI-SOUTH",
	"4625", "SC1_4625_", "HIGHLAND BCH 2",	28,   9, "QEI-SOUTH",
	"4608", "SC1_4608_", "HILLSMERE 1",	29,   9, "QEI-SOUTH",
	"4609", "SC1_4609_", "HILLSMERE 2",	30,   9, "QEI-SOUTH",
	"4610", "SC1_4610_", "HILLSMERE 3",	31,   9, "QEI-SOUTH",
	"4611", "SC1_4611_", "HILLSMERE 4",	32,   9, "QEI-SOUTH",
	"4612", "SC1_4612_", "HILLSMERE 5",	33,   9, "QEI-SOUTH",
	"4613", "SC1_4613_", "HILLSMERE 6",	34,   9, "QEI-SOUTH",
	"4614", "SC1_4614_", "HILLSMERE 7",	35,   9, "QEI-SOUTH",
	"4803", "SC1_4803_", "HOLLY RD SOUTH",	50,   9, "QEI-SOUTH",
	"4628", "SC1_4628_", "HOOT OWL",	51,   9, "QEI-SOUTH",
	"4710", "SC1_4710_", "IDLEWILDE",	75,   9, "QEI-SOUTH",
	"4650", "SC1_4650_", "JENIFER ROAD",	104,  9, "QEI-SOUTH",
	"4721", "SC1_4721_", "JOHNSON DRIVE",	90,   9, "QEI-SOUTH",
	"4629", "SC1_4629_", "KRAPISH",		52,   9, "QEI-SOUTH",
	"4722", "SC1_4722_", "LERCH DRIVE",	91,   9, "QEI-SOUTH",
	"4636", "SC1_4636_", "LORETTA HEIGHTS",	53,   9, "QEI-SOUTH",
	"4718", "SC1_4718_", "MAIN STREET",	94,   9, "QEI-SOUTH",
	"4304", "SC1_4304_", "NAT BUS PARK",	108,  9, "QEI-SOUTH",
	"4709", "SC1_4709_", "NORTH DEALE",	76,   9, "QEI-SOUTH",
	"4713", "SC1_4713_", "OWINGS BCH",	77,   9, "QEI-SOUTH",
	"4714", "SC1_4714_", "PARKERS CK",	78,   9, "QEI-SOUTH",
/*	MAJOR RE-WORK FOR BELOW STATION	*/
	"4647", "SC1_4647_", "PAROLE",		55,   9, "QEI-SOUTH",
	"4406", "SC1_4406_", "PIGEON HOUSE",	63,   9, "QEI-SOUTH",
	"4717", "SC1_4717_", "REST HAVEN",	93,   9, "QEI-SOUTH",
	"4637", "SC1_4637_", "RIVA 2",		56,   9, "QEI-SOUTH",
	"4639", "SC1_4639_", "RIVA WOODS",	57,   9, "QEI-SOUTH",
	"4630", "SC1_4630_", "RIVERVIEW",	58,   9, "QEI-SOUTH",
	"4638", "SC1_4638_", "SCIENCE CTR",	59,   9, "QEI-SOUTH",
	"4711", "SC1_4711_", "SNUG HBR",	79,   9, "QEI-SOUTH",
	"4633", "SC1_4633_", "SYLVAN SHORES",	60,   9, "QEI-SOUTH",
	"4623", "SC1_4623_", "THOMAS POINT",	36,   9, "QEI-SOUTH",
	"4719", "SC1_4719_", "TYLER ROAD",	95,   9, "QEI-SOUTH",
	"4805", "SC1_4805_", "WEBSTER PL",	61,   9, "QEI-SOUTH",
	"4724", "SC1_4724_", "W SHADYSIDE",	100,  9, "QEI-SOUTH",
	"4524", "SC1_4524_", "WHISPER WDS",	10,   9, "QEI-SOUTH",
	"4525", "SC1_4525_", "WHISPER WDS 2",	8,    9, "QEI-SOUTH",
	"4804", "SC1_4804_", "WOODLAND BCH",	54,   9, "QEI-SOUTH",
	"4534", "SC1_4534_", "TWIN HRBRS 5",	9,    9, "QEI-SOUTH",

	NULL, NULL, NULL, 0, 0, NULL
};


